View Issue Details

IDProjectCategoryView StatusLast Update
0004825FreeCADBugpublic2022-01-24 04:48
ReporterC0rn3j Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status feedbackResolutionopen 
Product Version0.20 
Summary0004825: Building with python 3.10 on Arch/Manjaro fails in tests
DescriptionAttempting to build FreeCAD through AUR/freecad-git on Arch fails with an error due to build tests failing (FreeCADCmd --console --run-test 0).

Attached is a build log, interesting parts can be found by searching for 'Trackeback' as there seem to be some Python 3.10 related errors too, mainly "AttributeError: module 'collections' has no attribute 'Iterable'".

I suppose this is the part where it hard fails. Hard to tell as I get both "failures" and "errors" and can't tell the difference between them.

```
ERROR: test_box_static_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 147, in test_box_static_0_mm
    ret = testtools.compare_files(startinfo_given, startinfo_totest)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/support_utils.py", line 237, in compare_files
    file2 = open(file_name2, "r")
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/FEM_unittests/solver_elmer_box_static_0_mm_bfc33fba65f5/ELMERSOLVER_STARTINFO'
```
Tags#post-to-forum
FreeCAD InformationWon't build

Activities

C0rn3j

2022-01-11 09:47

reporter  

freecad_build.log (357,707 bytes)   
[130] % trizen -S freecad-git --noedit
:: Cloning AUR package: freecad-git

--------------------------------------------------------------------------------
:: Content of /tmp/trizen-c0rn3j/freecad-git/PKGBUILD
--------------------------------------------------------------------------------

# Maintainer: Grey Christoforo <first name at last name dot net>

pkgname=freecad-git
pkgver=0.20.0.r2430.gb23ae963d9
pkgrel=1
epoch=0
pkgdesc='A general purpose 3D CAD modeler - git checkout'
arch=('x86_64')
url='https://www.freecadweb.org/'
license=('LGPL')
depends=(
boost-libs
glew
jsoncpp
med
netcdf
opencascade
openmpi
pyside2-tools
python-yaml
python-matplotlib
python-pivy
python-ply
python-pyside2
qt5-svg
qt5-tools
qt5-webkit
qt5-x11extras
qt5-xmlpatterns
qt5-base
shared-mime-info
xerces-c
vtk
)
makedepends=(
boost
cmake
coin
eigen
gcc-fortran
gendesk
git
ninja
pyside2
python-shiboken2
shiboken2
swig
)
optdepends=(
'povray: ray tracing support'
'luxcorerender: ray tracing support'
'libspnav: 3d mouse support'
'openscad: OpenSCAD support'
)
provides=('freecad')
conflicts=('freecad' 'freecad-appimage' 'freecad-appimage-git')
source=("git+https://github.com/FreeCAD/FreeCAD.git")
md5sums=('SKIP')

pkgver() {
  cd FreeCAD
  read -d$'/n' -r major minor patch < <(grep -Po "set\(PACKAGE_VERSION_(MAJOR|MINOR|PATCH) \"\K[0-9]*" CMakeLists.txt) || true
  count=$(git rev-list --count $(git tag --sort=-creatordate|head -1)..HEAD)
  hash=$(git rev-parse --short HEAD)
  printf "%d.%d.%d.r%d.g%s" "$major" "$minor" "$patch" "$count" "$hash"
}

prepare() {
  cd FreeCAD

  #sed 's,from femexamples.boxanalysis_frequency import setup,return,' -i src/Mod/Fem/femtest/app/test_ccxtools.py
  #sed 's,from femexamples.thermomech_flow1d import setup,return,' -i src/Mod/Fem/femtest/app/test_ccxtools.py

  #git revert --no-commit 663ac994a794606e56d086cac85598517bd323dc
  #git checkout 927fdc9edc
}

_destdir="/usr"

build() {
  cd FreeCAD

  cmake -Wno-dev -G Ninja -B build_dir -S . \
    -D BUILD_ENABLE_CXX_STD=C++17 \
    -D BUILD_FEM=ON \
    -D BUILD_FEM_NETGEN=OFF \
    -D BUILD_MESH=ON \
    -D BUILD_FLAT_MESH=ON \
    -D BUILD_MESH_PART=ON \
    -D BUILD_SHIP=ON \
    -D BUILD_ASSEMBLY=OFF \
    -D BUILD_COMPLETE=ON \
    -D BUILD_JTREADER=ON \
    -D BUILD_PLOT=ON \
    -D CMAKE_BUILD_TYPE=None \
    -D CMAKE_C_FLAGS="${CFLAGS} -fPIC -w" \
    -D CMAKE_CXX_FLAGS="${CXXFLAGS} -fPIC -w" \
    -D FREECAD_USE_EXTERNAL_PIVY=ON \
    -D FREECAD_USE_OCC_VARIANT="Official Version" \
    -D FREECAD_USE_QT_FILEDIALOG=ON \
    -D PYTHON_EXECUTABLE=/usr/bin/python \
    -D INSTALL_TO_SITEPACKAGES=ON \
    -D CMAKE_INSTALL_PREFIX="${_destdir}/lib/freecad" \
    -D CMAKE_INSTALL_BINDIR=bin \
    -D CMAKE_INSTALL_LIBDIR='../../lib' \
    -D CMAKE_INSTALL_DATADIR='../../share/freecad' \
    -D CMAKE_INSTALL_DATAROOTDIR='../../share' \
    -D CMAKE_INSTALL_DOCDIR='../../share/doc/freecad'

  cmake --build build_dir
}

check() {
  cd FreeCAD
  unset PATH_TO_FREECAD_LIBDIR
  cd build_dir
  LD_LIBRARY_PATH=lib bin/FreeCADCmd --console --run-test 0
}

package() {
  cd FreeCAD
  DESTDIR="${pkgdir}" cmake --install build_dir

  # get python site package folder in the right place
  cp -a "${pkgdir}${_destdir}"/lib/freecad/lib "${pkgdir}${_destdir}"
  rm -rf "${pkgdir}${_destdir}"/lib/freecad/lib

  # link all the .sos into python site package dir
  python_site_packages="$(python -c 'import sys; print(sys.path[-1])')"
  mkdir -p "${pkgdir}/${python_site_packages}"
  FILES="${pkgdir}${_destdir}"/lib/*.so
  for f in $FILES
  do
    ln -s ${_destdir}/lib/$(basename $f) "${pkgdir}/${python_site_packages}/$(basename $f)"
  done

  # links for bin
  mkdir -p "${pkgdir}${_destdir}"/bin
  FILES="${pkgdir}${_destdir}"/lib/freecad/bin/*
  for f in $FILES
  do
    ln -s '../lib/freecad/bin/'$(basename $f) "${pkgdir}${_destdir}"/bin/$(basename $f)
  done

  # env var for __init__.py
  mkdir -p "${pkgdir}"/etc/profile.d
  echo "export PATH_TO_FREECAD_LIBDIR=${_destdir}/lib" > "${pkgdir}"/etc/profile.d/freecad.sh

  install -Dt "${pkgdir}${_destdir}/share/licenses/${pkgname}" -m644 LICENSE
}

Repository      : AUR
Name            : freecad-git
Version         : 0.20.0.r2430.gb23ae963d9-1
Maintainer      : greyltc
URL             : https://www.freecadweb.org/
AUR URL         : https://aur.archlinux.org/packages.php?ID=1006834
License         : LGPL
Votes           : 98
Popularity      : 0.85%
Installed       : No
Out Of Date     : No
Depends On      : boost-libs
                  glew
                  jsoncpp
                  med
                  netcdf
                  opencascade
                  openmpi
                  pyside2-tools
                  python-yaml
                  python-matplotlib
                  python-pivy
                  python-ply
                  python-pyside2
                  qt5-svg
                  qt5-tools
                  qt5-webkit
                  qt5-x11extras
                  qt5-xmlpatterns
                  qt5-base
                  shared-mime-info
                  xerces-c
                  vtk
Make Deps       : cmake
                  coin
                  gendesk
                  git
                  ninja
                  pyside2
                  python-shiboken2
                  boost
                  eigen
                  gcc-fortran
                  shiboken2
                  swig
Check Deps      : None
Optional Deps   : libspnav: 3d mouse support
                  openscad: OpenSCAD support
                  povray: ray tracing support
                  luxcorerender: ray tracing support
Provides        : freecad
Conflicts With  : freecad
                  freecad-appimage
                  freecad-appimage-git
Replaces        : None
Package Base    : freecad-git
Last Update     : Sun Dec 19 20:29:29 2021
Description     : A general purpose 3D CAD modeler - git checkout

==> Making package: freecad-git 0.20.0.r2430.gb23ae963d9-1 (Tue 11 Jan 2022 09:57:45 CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...

Package (8)        New Version  Net Change  Download Size

extra/clang        13.0.0-4     207.42 MiB      39.17 MiB
extra/compiler-rt  13.0.0-2      35.42 MiB       2.86 MiB
extra/llvm         13.0.0-6     337.62 MiB      55.15 MiB
extra/boost        1.78.0-1     169.58 MiB      13.42 MiB
extra/eigen        3.4.0-1        8.37 MiB       1.05 MiB
core/gcc-fortran   11.1.0-3      31.44 MiB      10.08 MiB
extra/shiboken2    5.15.2-13      2.03 MiB       0.71 MiB
extra/swig         4.0.2-5        4.64 MiB       1.08 MiB

Total Download Size:   123.52 MiB
Total Installed Size:  796.51 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
 compiler-rt-13.0.0-2-x86_64                                                                                        2.9 MiB  2.78 MiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 swig-4.0.2-5-x86_64                                                                                             1107.0 KiB  1604 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 eigen-3.4.0-1-any                                                                                               1075.6 KiB  1287 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 shiboken2-5.15.2-13-x86_64                                                                                       727.9 KiB   984 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
 gcc-fortran-11.1.0-3-x86_64                                                                                       10.1 MiB  1317 KiB/s 00:08 [---------------------------------------------------------------------------------------] 100%
 boost-1.78.0-1-x86_64                                                                                             13.4 MiB  1134 KiB/s 00:12 [---------------------------------------------------------------------------------------] 100%
 llvm-13.0.0-6-x86_64                                                                                              55.2 MiB  2.87 MiB/s 00:19 [---------------------------------------------------------------------------------------] 100%
 clang-13.0.0-4-x86_64                                                                                             39.2 MiB  1959 KiB/s 00:20 [---------------------------------------------------------------------------------------] 100%
 Total (8/8)                                                                                                      123.5 MiB  6.02 MiB/s 00:21 [---------------------------------------------------------------------------------------] 100%
(8/8) checking keys in keyring                                                                                                                [---------------------------------------------------------------------------------------] 100%
(8/8) checking package integrity                                                                                                              [---------------------------------------------------------------------------------------] 100%
(8/8) loading package files                                                                                                                   [---------------------------------------------------------------------------------------] 100%
(8/8) checking for file conflicts                                                                                                             [---------------------------------------------------------------------------------------] 100%
(8/8) checking available disk space                                                                                                           [---------------------------------------------------------------------------------------] 100%
:: Processing package changes...
(1/8) installing boost                                                                                                                        [---------------------------------------------------------------------------------------] 100%
Optional dependencies for boost
    python: for python bindings [installed]
(2/8) installing eigen                                                                                                                        [---------------------------------------------------------------------------------------] 100%
(3/8) installing gcc-fortran                                                                                                                  [---------------------------------------------------------------------------------------] 100%
(4/8) installing compiler-rt                                                                                                                  [---------------------------------------------------------------------------------------] 100%
(5/8) installing clang                                                                                                                        [---------------------------------------------------------------------------------------] 100%
Optional dependencies for clang
    openmp: OpenMP support in clang with -fopenmp
    python: for scan-view and git-clang-format [installed]
    llvm: referenced by some clang headers [pending]
(6/8) installing llvm                                                                                                                         [---------------------------------------------------------------------------------------] 100%
(7/8) installing shiboken2                                                                                                                    [---------------------------------------------------------------------------------------] 100%
(8/8) installing swig                                                                                                                         [---------------------------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/3) Arming ConditionNeedsUpdate...
(2/3) Removing unnecessary cached files (keeping only the latest)…
==> no candidate packages found for pruning
(3/3) Updating the info directory file...
==> Retrieving sources...
  -> Cloning FreeCAD git repo...
Cloning into bare repository '/tmp/trizen-c0rn3j/freecad-git/FreeCAD'...
remote: Enumerating objects: 498158, done.
remote: Counting objects: 100% (235/235), done.
remote: Compressing objects: 100% (65/65), done.
remote: Total 498158 (delta 180), reused 204 (delta 170), pack-reused 497923
Receiving objects: 100% (498158/498158), 1.48 GiB | 5.00 MiB/s, done.
Resolving deltas: 100% (412024/412024), done.
==> Validating source files with md5sums...
    FreeCAD ... Skipped
==> Extracting sources...
  -> Creating working copy of FreeCAD git repo...
Cloning into 'FreeCAD'...
done.
Updating files: 100% (11055/11055), done.
==> Starting prepare()...
==> Starting pkgver()...
==> Updated version: freecad-git 0.20.0.r2783.g70d61b9624-1
==> Starting build()...
-- The C compiler identification is GNU 11.1.0
-- The CXX compiler identification is GNU 11.1.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Compiler: GNU, version: 11.1.0
-- Looking for GL/gl.h
-- Looking for GL/gl.h - found
-- Looking for C++ include istream
-- Looking for C++ include istream - found
-- Looking for C++ include ostream
-- Looking for C++ include ostream - found
-- Looking for C++ include fstream
-- Looking for C++ include fstream - found
-- Looking for C++ include sstream
-- Looking for C++ include sstream - found
-- Looking for C++ include ios
-- Looking for C++ include ios - found
-- Looking for C++ include iostream
-- Looking for C++ include iostream - found
-- Looking for C++ include iomanip
-- Looking for C++ include iomanip - found
-- Looking for C++ include iostream
-- Looking for C++ include iostream - found
-- Check for STD namespace
-- Check for STD namespace - found
-- prefix: /usr/lib/freecad
-- bindir: bin
-- datadir: ../../share/freecad
-- docdir: ../../share/doc/freecad
-- includedir: include
-- libdir: ../../lib
-- cmake: 3.22.1
-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)
=====================================================
Doxygen not found, will not build documentation.
=====================================================

-- Found Python3: /usr/bin/python3.10 (found version "3.10.1") found components: Interpreter Development Development.Module Development.Embed
-- Found XercesC: /usr/lib/libxerces-c.so (found version "3.2.3")
-- Found ZLIB: /usr/lib/libz.so (found version "1.2.11")
-- PyCXX found:
--   Headers:  /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/src
--   Sources:  /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/src/CXX
--   Version:  6.2.8
-- Found OCC: /usr/include/opencascade (found version "7.5.3")
-- -- Found OCE/OpenCASCADE version: 7.5.3
-- -- OCE/OpenCASCADE include directory: /usr/include/opencascade
-- -- OCE/OpenCASCADE shared libraries directory: /usr/lib
-- Found OpenGL: /usr/lib/libOpenGL.so
-- Found OpenGLU: /usr/lib/libGLU.so
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Check if compiler accepts -pthread
-- Check if compiler accepts -pthread - yes
-- Found Threads: TRUE
-- Found MPI_C: /usr/lib/openmpi/libmpi.so (found version "3.1")
-- Found MPI_CXX: /usr/lib/openmpi/libmpi_cxx.so (found version "3.1")
-- Found MPI: TRUE (found version "3.1")
-- Found OpenMP_C: -fopenmp (found version "4.5")
-- Found OpenMP_CXX: -fopenmp (found version "4.5")
-- Found OpenMP: TRUE (found version "4.5")
-- Could NOT find utf8cpp (missing: utf8cpp_INCLUDE_DIR)
-- VTK components: CommonCore;CommonDataModel;FiltersVerdict;IOXML;FiltersCore;FiltersGeneral;IOLegacy;FiltersExtraction;FiltersSources;FiltersGeometry;IOMPIParallel;ParallelMPI;hdf5;FiltersParallelDIY2;RenderingCore;InteractionStyle;RenderingFreeType;RenderingOpenGL2
-- Found JsonCpp: /usr/lib/libjsoncpp.so (found suitable version "1.9.5", minimum required is "0.7.0")
-- Found HDF5: /usr/lib/libhdf5.so;/usr/lib/libsz.so;/usr/lib/libz.so;/usr/lib/libdl.so;/usr/lib/libm.so (found version "1.12.1") found components: C HL
-- Found MPI: TRUE (found version "3.1") found components: C
-- Found X11: /usr/include
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found GLEW: /usr/lib/libGLEW.so
-- Found OpenGL: /usr/lib/libOpenGL.so  found components: OpenGL GLX
-- Found EXPAT: /usr/lib/libexpat.so (found version "2.4.2")
-- Found LZMA: /usr/lib/liblzma.so (found version "5.2.5")
-- Found LZ4: /usr/lib/liblz4.so (found version "1.9.3")
-- Found double-conversion: /usr/lib/libdouble-conversion.so
-- Found Eigen3: /usr/include/eigen3 (found version "3.4.0")
-- Found TIFF: /usr/lib/libtiff.so (found version "4.3.0")
-- Found PNG: /usr/lib/libpng.so (found version "1.6.37")
-- Found JPEG: /usr/lib/libjpeg.so (found version "80")
-- Found Freetype: /usr/lib/libfreetype.so (found version "2.11.1")
-- Found OpenMP_C: -fopenmp (found version "4.5")
-- Found OpenMP_CXX: -fopenmp (found version "4.5")
-- Could NOT find utf8cpp (missing: utf8cpp_INCLUDE_DIR)
-- Check for medfile (libmed and libmedc) ...
-- Found MEDFile: /usr/include
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.8.0")
-- We guess that libmed was built using hdf5-serial version
-- Checking for one of the modules 'hdf5-serial'
-- Found HDF5: /usr/lib/libhdf5.so;/usr/lib/libsz.so;/usr/lib/libz.so;/usr/lib/libdl.so;/usr/lib/libm.so (found version "1.12.1")
-- Checking for one of the modules 'ompi-cxx'
-- Found Boost: /usr/lib64/cmake/Boost-1.78.0/BoostConfig.cmake (found suitable version "1.78.0", minimum required is "1.55") found components: filesystem program_options regex system thread date_time
-- Found SWIG: /usr/bin/swig (found version "4.0.2")
-- Found Eigen3: /usr/include/eigen3 (found suitable version "3.4.0", minimum required is "2.91.0")
-- Checking for module 'Coin'
--   Found Coin, version 4.0.1
-- Coin3D libraries found
-- Found Spnav: /usr/lib/libspnav.so
-- Shiboken2Config: Using default python: .cpython-310-x86_64-linux-gnu
-- Found PythonInterp: /usr/bin/python (found suitable version "3.10.1", minimum required is "3")
-- Found PythonLibs: /usr/lib/libpython3.10.so (found suitable version "3.10.1", minimum required is "3")
-- SHIBOKEN_PYTHON_INCLUDE_DIRS computed to value: '/usr/include/python3.10'
-- SHIBOKEN_PYTHON_LIBRARIES computed to value: ''
-- libshiboken built for Release
-- PYTHON_CONFIG_SUFFIX: .cpython-310-x86_64-linux-gnu
-- libshiboken built for Release
-- ===============================================
PySide2 Python module found at /usr/lib/python3.10/site-packages/PySide2.
===============================================

-- Found Matplotlib: /usr/lib/python3.10/site-packages/matplotlib (found version "3.5.1")
-- Platform is 64-bit, set -D_OCC64
-- Performing Test _flag_found
-- Performing Test _flag_found - Success
-- Performing Test _flag_found
-- Performing Test _flag_found - Success
-- Performing Test _flag_found
-- Performing Test _flag_found - Success
-- [E57] Revison ID: E57Format-2.2.1-x86_64-linux-gcc111
-- [E57] Building static library
-- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY
-- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY - Success
-- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY
-- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY - Success
-- Performing Test COMPILER_HAS_DEPRECATED_ATTR
-- Performing Test COMPILER_HAS_DEPRECATED_ATTR - Success
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/TypePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/BaseClassPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/BoundBoxPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/CoordinateSystemPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/PersistencePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/VectorPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/MatrixPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/RotationPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/PlacementPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/AxisPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/UnitPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Base/QuantityPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/DocumentPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/DocumentObjectPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/ExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/ExtensionContainerPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/DocumentObjectExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/GroupExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/LinkBaseExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/DocumentObjectGroupPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/GeoFeaturePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/GeoFeatureGroupExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/MetadataPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/OriginGroupExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/PartPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/ComplexGeoDataPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/PropertyContainerPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/App/MaterialPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Points/App/PointsPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Mesh/App/EdgePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Mesh/App/FacetPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Mesh/App/MeshFeaturePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Mesh/App/MeshPointPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Mesh/App/MeshPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Mesh/Gui/ViewProviderMeshPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ArcPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ArcOfConicPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ArcOfCirclePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ArcOfParabolaPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BodyBasePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ConicPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/CirclePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ArcOfEllipsePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/EllipsePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/HyperbolaPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ArcOfHyperbolaPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ParabolaPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/OffsetCurvePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryIntExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryStringExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryBoolExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryDoubleExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometryCurvePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BoundedCurvePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TrimmedCurvePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeometrySurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/LinePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/LineSegmentPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/PointPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BezierCurvePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BSplineCurvePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/PlanePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ConePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/CylinderPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/SpherePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ToroidPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BezierSurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BSplineSurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/OffsetSurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/PlateSurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/RectangularTrimmedSurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/SurfaceOfExtrusionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/SurfaceOfRevolutionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/PartFeaturePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/AttachExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Part2DObjectPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/AttachEnginePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeCompoundPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeCompSolidPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeEdgePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeFacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeShellPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeSolidPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeVertexPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/TopoShapeWirePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BRepOffsetAPI_MakePipeShellPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BRepOffsetAPI_MakeFillingPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/BRepFeat/MakePrismPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/ArcOfCircle2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/ArcOfConic2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/ArcOfEllipse2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/ArcOfHyperbola2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/ArcOfParabola2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/BezierCurve2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/BSplineCurve2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Circle2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Conic2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Ellipse2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Geometry2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Hyperbola2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Curve2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Line2dSegmentPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Line2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/OffsetCurve2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/Geom2d/Parabola2dPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeomPlate/BuildPlateSurfacePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeomPlate/CurveConstraintPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/GeomPlate/PointConstraintPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/HLRBRep/HLRBRep_AlgoPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/HLRBRep/HLRToShapePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/HLRBRep/HLRBRep_PolyAlgoPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/HLRBRep/PolyHLRToShapePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Part/App/ShapeUpgrade/UnifySameDomainPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/PartDesign/App/BodyPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/PartDesign/App/FeaturePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/PartDesign/Gui/ViewProviderPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/SketchObjectSFPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/SketchObjectPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/SketchGeometryExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/ExternalGeometryExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/GeometryFacadePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/ExternalGeometryFacadePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/ConstraintPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Sketcher/App/SketchPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Robot/App/Robot6AxisPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Robot/App/TrajectoryPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Robot/App/WaypointPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Robot/App/RobotObjectPy.cpp
-- Performing Test _flag_found
-- Performing Test _flag_found - Success
-- Performing Test _flag_found
-- Performing Test _flag_found - Success
-- Found Boost: /usr/lib64/cmake/Boost-1.78.0/BoostConfig.cmake (found version "1.78.0") found components: python310
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Import/App/StepShapePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Fem/App/FemMeshPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Fem/App/FemPostPipelinePy.cpp
-- Found OpenMP_C: -fopenmp (found version "4.5")
-- Found OpenMP_CXX: -fopenmp (found version "4.5")
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Fem/Gui/ViewProviderFemMeshPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Spreadsheet/App/SheetPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Spreadsheet/App/PropertySheetPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Spreadsheet/App/PropertyColumnWidthsPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Spreadsheet/App/PropertyRowHeightsPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Spreadsheet/Gui/ViewProviderSpreadsheetPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/CommandPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/PathPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/ToolPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/TooltablePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/FeaturePathCompoundPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/AreaPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/FeatureAreaPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/VoronoiPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/VoronoiCellPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/VoronoiEdgePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/App/VoronoiVertexPy.cpp
-- found Boost: 1_78
-- boost-incude dirs are: /usr/include
-- boost-python lib is:
-- boost_LIBRARY_DIRS is: /usr/lib
-- Boost_LIBRARIES is: Boost::python
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
-- area module (for Path Workbench) will be installed to: ../../lib
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Path/PathSimulator/App/PathSimPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/Measure/App/MeasurementPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawPagePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewPartPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewSymbolPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawTemplatePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawParametricTemplatePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawSVGTemplatePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewClipPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewDimensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewDimExtentPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawHatchPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawGeomHatchPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewCollectionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawProjGroupPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawProjGroupItemPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawViewAnnotationPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawLeaderLinePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawRichAnnoPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/GeomFormatPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/CenterLinePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/CosmeticEdgePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/CosmeticVertexPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawTilePy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawTileWeldPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/DrawWeldSymbolPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Mod/TechDraw/App/CosmeticExtensionPy.cpp
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
<string>:1: DeprecationWarning: The distutils.sysconfig module is deprecated, use sysconfig instead
Created file /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/doc/freecad/freecad.qch
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/DocumentPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/PythonWorkbenchPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/ViewProviderPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/ViewProviderDocumentObjectPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/ViewProviderExtensionPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/WorkbenchPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/SelectionObjectPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/LinkViewPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/ViewProviderLinkPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/AxisOriginPy.cpp
-- /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Gui/CommandPy.cpp
--
==============
Summary report
==============

-- Build type:          None
-- Compiler:            /usr/bin/c++ (11.1.0)
-- Flags:               -Wall -Wextra -Wno-write-strings -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -fPIC -w
-- Standard:            Requires C++17
-- Python:              3.10.1 [/usr/bin/python] [.cpython-310-x86_64-linux-gnu]
-- PCL:                 not enabled
-- pybind11:            not enabled
-- Boost:               1.78.0 (1.78.0)
-- XercesC:             3.2.3 [/usr/lib/libxerces-c.so] [/usr/include]
-- ZLIB:                1.2.11
-- PyCXX:               6.2.8 [/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/src]
-- OCC:                 7.5.3 [TKFillet;TKMesh;TKernel;TKG2d;TKG3d;TKMath;TKIGES;TKSTL;TKShHealing;TKXSBase;TKBool;TKBO;TKBRep;TKTopAlgo;TKGeomAlgo;TKGeomBase;TKOffset;TKPrim;TKSTEPBase;TKSTEPAttr;TKSTEP209;TKSTEP;TKHLR;TKFeat] [/usr/lib] [/usr/include/opencascade]
-- SMESH:               build internal
--  MEDFile:            4.1.0 [/usr/lib/libmedC.so;/usr/lib/libmed.so] [/usr/include]
--  HDF5:               1.12.1
--  VTK:                9.1.0
-- NETGEN:              not enabled
-- SWIG:                4.0.2
-- Eigen3               3.4.0
-- Qt5Core:             5.15.2
-- Qt5Network:          5.15.2
-- Qt5Xml:              5.15.2
-- Qt5XmlPatterns:      5.15.2
-- Qt5Widgets:          5.15.2
-- Qt5PrintSupport:     5.15.2
-- Qt5OpenGL:           5.15.2
-- Qt5Svg:              5.15.2
-- Qt5UiTools:          5.15.2
-- Qt5Concurrent:       5.15.2
-- Qt5WebEngineWidgets: 5.15.8
-- Shiboken2:           5.15.2 [/usr/lib64/cmake/Shiboken2-5.15.2] [/usr/include/shiboken2;/usr/include/python3.10]
-- PySide2:             5.15.2 [/usr/include/PySide2]
-- PySide2Tools:        [/usr/bin/uic-qt5] [/usr/bin/rcc-qt5]
-- Freetype:            2.11.1
-- OpenGL:              /usr/lib/libGL.so
-- OpenGLU:             [/usr/lib/libGLU.so][/usr/include]
-- Coin3D:              4.0.1 [Coin] []
-- Pivy:                0.6.6
-- SPNAV:               [/usr/lib/libspnav.so] [/usr/include]
-- Matplotlib:          3.5.1
-- Rift:                not enabled (BUILD_VR)
-- Doxygen:             not found
=================================================
Now run 'cmake --build /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir' to build FreeCAD
=================================================

-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir
[1/4193] Generating version_check
git
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/src/Build/Version.h.out written
[2147/4193] Automatic MOC for target FreeCADGui
AutoMoc: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/src/Gui/UiLoader.h:0: Note: No relevant classes found. No output generated.
[4193/4193] Linking CXX shared library Mod/TechDraw/TechDrawGui.so
==> Starting check()...
FreeCAD 0.20, Libs: 0.20R27050 (Git)
(c) Juergen Riegel, Werner Mayer, Yorik van Havre and others 2001-2022
FreeCAD is free and open-source software licensed under the terms of LGPL2+ license.
FreeCAD wouldn't be possible without FreeCAD community.
  #####                 ####  ###   ####
  #                    #      # #   #   #
  #     ##  #### ####  #     #   #  #   #
  ####  # # #  # #  #  #     #####  #   #
  #     #   #### ####  #    #     # #   #
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

import TestFemImport
import TestObjectExistance
import TestFemCommon
import TestObjectCreate
import TestObjectType
import TestObjectOpen
import TestMaterialUnits
import TestMeshCommon
import TestMeshEleTetra10
import TestMeshGroups
import TestResult
import TestCcxTools
import TestSolverCalculix
import TestSolverElmer
import TestSolverZ88
testAnnoSymImageCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawAnno/Sym/Image test
TDTestAnno path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
Recompute......
TD DrawAnno/Sym/Image test passed
ok
testBalloonCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawViewBalloon test
TDBalloon path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
Recompute......                                 (100.0 %)
Place balloon
adding balloon1 to page
adding balloon2 to page
Recompute......                                 (100.0 %)
TD DrawViewBalloon test passed
ok
testDimensionCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawViewDimension test
TDDim path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
Recompute......                                 (100.0 %)
making length dimension
adding dim1 to page
finished length dimension
making radius dimension
Recompute......                                 (100.0 %)
TD DrawViewDimension test passed
ok
testHatchCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawHatch test
TDHatch path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
Recompute......                                 (100.0 %)
making hatch
adding hatch to page
finished hatch
Recompute......                                 (100.0 %)
TD DrawHatch test passed
ok
testProjGroupCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawProjGroup test
TDGroup path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
document created
box created
sphere created
Fusion created
making a page
Page created
making a projection group
Group created
adding views
added Front
Anchor values set
Front/Anchor recomputed
adding left
added Left
added Top
added Right
added Rear
added Bottom
removed Left
testing getItemByLabel
Item Label: Top Item Name: ProjItem002
recomputing document
Recompute......                                 (100.0 %)
View: Front TechDraw::DrawProjGroupItem
View: Top TechDraw::DrawProjGroupItem
View: Right TechDraw::DrawProjGroupItem
View: Rear TechDraw::DrawProjGroupItem
View: Bottom TechDraw::DrawProjGroupItem
TD DrawProjGroup test passed
ok
testSectionCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawViewSection test
TDSection path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
page created
view created
section created
Recompute......                                 (100.0 %)
TD DrawViewSection test passed
ok
testViewPartCase (TestTechDrawApp.TechDrawTestCases) ... starting TD DrawViewPart test
TDPart path: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/TechDraw/TDTest
page created
Recompute......                                 (100.0 %)
TD DrawViewPart test passed
ok
test00 (PathTests.TestPathDressupDogbone.TestDressupDogbone)
Verify bones are inserted for simple moves. ... ok
test01 (PathTests.TestPathDressupDogbone.TestDressupDogbone)
Verify bones are inserted if hole ends with rapid move out. ... ok
test02 (PathTests.TestPathDressupDogbone.TestDressupDogbone)
Recompute......e correctly generated for a Profi(100.0 %)                                               (25.0 %)
Recompute......                                 (100.0 %)
centroid_post gcode postprocessor loaded.
centroid_post gcode postprocessor loaded.
centroid_post gcode postprocessor loaded.
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Postprocessing......                            (100.0 %)
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Recompute......                                 (100.0 %)
PathSetupSheet.INFO: SetupSheet has no support for Profile Faces
Recompute......
<Path.Area> Area.cpp(1432): hit bottom -0,1.77636e-15,1e-06
<Path.Area> Area.cpp(1432): hit bottom 0,0,1e-06
<Path.Area> Area.cpp(1432): hit bottom 2.52435e-29,-2.52435e-29,1e-06
Recompute......                                 (100.0 %)
ok
test03 (PathTests.TestPathDressupDogbone.TestDressupDogbone)
Verify no bone is inserted for straight move interrupted by plunge. ... ok
test04 (PathTests.TestPathDressupDogbone.TestDressupDogbone)
Verify can handle comments between moves ... ok
test05 (PathTests.TestPathDressupDogbone.TestDressupDogbone)
Verify can handle noops between moves ... ok
test00 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Check Tag origin. ... ok
test01 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify solid for a 90 degree tag is a cylinder. ... ok
test02 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify trapezoidal tag has a cone shape with a lid. ... ok
test03 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify pointy cone shape of tag with pointy end if width, angle and height match up. ... ok
test04 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify height adjustment if tag isn't wide eough for angle. ... 4.373428289111414
ok
Importing project files......                   (100.0 %)
Postprocessing......                            (100.0 %)
centroid_post gcode postprocessor loaded.
centroid_post gcode postprocessor loaded.
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Postprocessing......                            (100.0 %)
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Recompute......                                 (100.0 %)
PathSetupSheet.INFO: SetupSheet has no support for Adaptive
Recompute......
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.037196 sec


test00 (PathTests.TestPathAdaptive.TestPathAdaptive)
test00() Empty test. ... ok
test01 (PathTests.TestPathAdaptive.TestPathAdaptive)
PathSetupSheet.INFO: SetupSheet has no support for Adaptive                             (80.0 %)
Recompute......
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.021706 sec


ok
test02 (PathTests.TestPathAdaptive.TestPathAdaptive)
PathSetupSheet.INFO: SetupSheet has no support for Adaptiveand Face10.  The Z heights are different. ...                                                (81.0 %)
Recompute......
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.107092 sec


ok
test03 (PathTests.TestPathAdaptive.TestPathAdaptive)
PathSetupSheet.INFO: SetupSheet has no support for Adaptiveand Face10.  The Z heights are different. ...                                                (82.0 %)
Recompute......
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
Unable to resolve tool down linking path (self-intersects).
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.096824 sec


ok
test04 (PathTests.TestPathAdaptive.TestPathAdaptive)
test04() Verify path generated non-closed edges with differing Z-heights that are closed with Z=1 projection: "Edge9", "Edge2", "Edge8", "Edge15", "Edge30", "Edge31", "Edge29", "Edge19". ...                                          (83.PathSetupSheet.INFO: SetupSheet has no support for Adaptive
Recompute......
PathGeom.INFO: Zero working area to process. Check your selection and settings.
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.076864 sec


ok
test05 (PathTests.TestPathAdaptive.TestPathAdaptive)
PathSetupSheet.INFO: SetupSheet has no support for Adaptive-heights: "Edge13", "Edge7", "Edge9", "Edge2", "Edge8", "Edge15", "Edge30", "Edge31", "Edge29", "Edge19". ...                                                (84.0 %)
Recompute......
PathGeom.INFO: Zero working area to process. Check your selection and settings.
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.081188 sec


ok
test06 (PathTests.TestPathAdaptive.TestPathAdaptive)
test06() Verify path generated with outer and inner edge loops at same Z height: "Edge15", "Edge30", "Edge31", "Edge29", "Edge19", "Edge18", "Edge35", "Edge32", "Edge34", "Edge33". ...                                                (85.PathSetupSheet.INFO: SetupSheet has no support for Adaptive
Recompute......
PathGeom.INFO: Zero working area to process. Check your selection and settings.
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
Unable to resolve tool down linking path (self-intersects).
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.193321 sec


ok
test07 (PathTests.TestPathAdaptive.TestPathAdaptive)
PathSetupSheet.INFO: SetupSheet has no support for Adaptive                                             (85.0 %)
Recompute......
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
Unable to resolve tool down linking path (self-intersects).
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.176203 sec


Recompute......                                 (100.0 %)
PathAdaptive.INFO: *** Adaptive toolpath processing started...

Tool Diameter: 5
Accuracy: 6.3 um
** Processing region: 1
All cleared.
PathAdaptive.INFO: *** Done. Elapsed time: 0.050854 sec


ok
test00 (PathTests.TestPathCore.TestPathCore)
Test Path command core functionality ... ok
test10 (PathTests.TestPathCore.TestPathCore)
Test Path Object core functionality ... ok
test20 (PathTests.TestPathCore.TestPathCore)
Test Path Tool and ToolTable object core functionality ... ok
test50 (PathTests.TestPathCore.TestPathCore)
Test Path.Length calculation ... ok
test00 (PathTests.TestPathDeburr.TestPathDeburr)
Verify chamfer depth and offset for an end mill. ... ok
test01 (PathTests.TestPathDeburr.TestPathDeburr)
Verify chamfer depth and offset for a 90 deg v-bit. ... ok
test02 (PathTests.TestPathDeburr.TestPathDeburr)
Verify chamfer depth and offset for a 90 deg v-bit with non 0 flat radius. ... ok
test03 (PathTests.TestPathDeburr.TestPathDeburr)
Verify chamfer depth and offset for a 60 deg v-bit with non 0 flat radius. ... ok
test10 (PathTests.TestPathDeburr.TestPathDeburr)
The selected tool has no CuttingEdgeAngle property. Assuming Endmill                                    (86.0 %)
ok
test11 (PathTests.TestPathDeburr.TestPathDeburr)
Verify missing tip diameter info prints only once. ... The selected tool has no FlatRadius and no TipDiameter property. Assuming V-Bit
ok
test00 (PathTests.TestPathDrillGenerator.TestPathDrillGenerator)
Test Basic Drill Generator Return ... ok
test10 (PathTests.TestPathDrillGenerator.TestPathDrillGenerator)
Test edge alignment check ... ok
test20 (PathTests.TestPathDrillGenerator.TestPathDrillGenerator)
Test Basic Peck Drill Generator Return ... ok
test30 (PathTests.TestPathDrillGenerator.TestPathDrillGenerator)
Test Basic Dwell Drill Generator Return ... ok
test00 (PathTests.TestPathGeom.TestPathGeom)
Verify getAngle functionality. ... ok
test01 (PathTests.TestPathGeom.TestPathGeom)
Verify diffAngle functionality. ... ok
test02 (PathTests.TestPathGeom.TestPathGeom)
Verify isVertical/isHorizontal for Vector ... ok
test03 (PathTests.TestPathGeom.TestPathGeom)
Verify isVertical/isHorizontal for Edges ... ok
test04 (PathTests.TestPathGeom.TestPathGeom)
Verify isVertical/isHorizontal for faces ... ok
test07 (PathTests.TestPathGeom.TestPathGeom)
Verify speed interpolation works for different pitches ... ok
test08 (PathTests.TestPathGeom.TestPathGeom)
Verify speed interpolation works for different pitches if vSpeed > hSpeed ... ok
test10 (PathTests.TestPathGeom.TestPathGeom)
Verify proper geometry objects for G1 and G01 commands are created. ... ok
test20 (PathTests.TestPathGeom.TestPathGeom)
Verify proper geometry for arcs in the XY-plane are created. ... ok
test30 (PathTests.TestPathGeom.TestPathGeom)
Verify proper geometry for arcs with rising and fall ing Z-axis are created. ... ok
test40 (PathTests.TestPathGeom.TestPathGeom)
Verify arc results in proper G2/3 command. ... ok
test41 (PathTests.TestPathGeom.TestPathGeom)
Verify circle results in proper G2/G3 commands. ... ok
test42 (PathTests.TestPathGeom.TestPathGeom)
Verify ellipsis results in a proper segmentation of G1 commands. ... ok
test50 (PathTests.TestPathGeom.TestPathGeom)
Verify proper wire(s) aggregation from a Path. ... ok
test60 (PathTests.TestPathGeom.TestPathGeom)
Verify arcToHelix returns proper helix. ... ok
test62 (PathTests.TestPathGeom.TestPathGeom)
Verify splitArcAt returns proper subarcs. ... ok
test65 (PathTests.TestPathGeom.TestPathGeom)
Verify splitEdgeAt. ... ok
test66 (PathTests.TestPathGeom.TestPathGeom)
Split arc real world sample ... (491.75, 351.75, 1.00) vs. (491.75, 351.75, 1.00)
ok
test70 (PathTests.TestPathGeom.TestPathGeom)
Flip a line. ... ok
test71 (PathTests.TestPathGeom.TestPathGeom)
Flip a line segment. ... ok
test72 (PathTests.TestPathGeom.TestPathGeom)
Flip a circle ... ok
test73 (PathTests.TestPathGeom.TestPathGeom)
Flip an arc ... ok
test74 (PathTests.TestPathGeom.TestPathGeom)
Flip a rotated arc ... ok
test75 (PathTests.TestPathGeom.TestPathGeom)
Flip a B-spline ... ok
test76 (PathTests.TestPathGeom.TestPathGeom)
Flip an offset wire ... ok
test00 (PathTests.TestPathLog.TestPathLog)
Check for proper module extraction. ... ok
test01 (PathTests.TestPathLog.TestPathLog)
Check for proper function extraction. ... ok
test10 (PathTests.TestPathLog.TestPathLog)
Verify default log levels is NOTICE. ... ok
test11 (PathTests.TestPathLog.TestPathLog)
Verify setting global log level. ... ok
test12 (PathTests.TestPathLog.TestPathLog)
Verify setting module log level. ... ok
test13 (PathTests.TestPathLog.TestPathLog)
Verify setting other modul's log level doesn't change this one's. ... ok
test14 (PathTests.TestPathLog.TestPathLog)
Verify resetting log level for module falls back to global level. ... ok
test20 (PathTests.TestPathLog.TestPathLog)
Verify debug logs aren't logged by default. ... ok
test21 (PathTests.TestPathLog.TestPathLog)
Verify debug logs are logged if log level is set to DEBUG. ... TestPathLog.DEBUG: this
ok
test30 (PathTests.TestPathLog.TestPathLog)
Verify log level ERROR. ... TestPathLog.ERROR: something
ok
test31 (PathTests.TestPathLog.TestPathLog)
Verify log level WARNING. ... TestPathLog.WARNING: something
TestPathLog.ERROR: something
ok
test32 (PathTests.TestPathLog.TestPathLog)
Verify log level NOTICE. ... TestPathLog.WARNING: something
TestPathLog.ERROR: something
ok
test33 (PathTests.TestPathLog.TestPathLog)
Verify log level INFO. ... TestPathLog.INFO: something
TestPathLog.WARNING: something
TestPathLog.ERROR: something
ok
test34 (PathTests.TestPathLog.TestPathLog)
Verify log level DEBUG. ... TestPathLog.DEBUG: something
TestPathLog.INFO: something
TestPathLog.WARNING: something
TestPathLog.ERROR: something
ok
test50 (PathTests.TestPathLog.TestPathLog)
Verify no tracking by default. ... ok
test51 (PathTests.TestPathLog.TestPathLog)
Verify enabling tracking for module results in tracking. ... TestPathLog(154).test51(this, and, that)
ok
test52 (PathTests.TestPathLog.TestPathLog)
Verify untracking stops tracking. ... TestPathLog(161).test52(this, and, that)
ok
test53 (PathTests.TestPathLog.TestPathLog)
Verify trackAllModules works correctly. ... TestPathLog(168).test53(this, and, that)
TestPathLog(173).test53(this, and, that)
TestPathLog(175).test53(this, and, that)
ok
test60 (PathTests.TestPathLog.TestPathLog)
Verify track handles no argument. ... TestPathLog(180).test60()
ok
test61 (PathTests.TestPathLog.TestPathLog)
Verify track handles arbitrary argument types correctly. ... TestPathLog(187).test61(this, None, 1, 18.25)
ok
testzz (PathTests.TestPathLog.TestPathLog)
Restoring environment after tests. ... ok
Importing project files......
Postprocessing......                            (100.0 %)
test00 (PathTests.TestPathOpTools.TestPathOpTools)
Verify isWireClockwise for polygon wires. ... ok
test01 (PathTests.TestPathOpTools.TestPathOpTools)
Verify isWireClockwise for single edge circle wires. ... ok
test02 (PathTests.TestPathOpTools.TestPathOpTools)
Verify isWireClockwise for two half circle wires. ... ok
test03 (PathTests.TestPathOpTools.TestPathOpTools)
Verify isWireClockwise for two edge wires with an arc. ... ok
test04 (PathTests.TestPathOpTools.TestPathOpTools)
Verify isWireClockwise for unoriented wires. ... ok
test11 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a circular hole. ... ok
test12 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a circular hole by the radius or more makes the hole vanish. ... ok
test13 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a cylinder succeeds. ... ok
test14 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a hole with Placement. ... ok
test15 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a cylinder with Placement. ... ok
test20 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting hole wire succeeds. ... ok
test21 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting hole wire for more than it's size makes hole vanish. ... ok
test22 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a body wire succeeds. ... ok
test31 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a cylinder. ... ok
test32 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a box. ... ok
test33 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a triangle. ... ok
test34 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a shape. ... ok
test35 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a cylindrical hole. ... ok
test36 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a square hole. ... ok
test37 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a triangular holee. ... ok
test38 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a shape hole. ... ok
test40 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a single outside edge forward. ... ok
test41 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a single outside edge not forward. ... ok
test42 (PathTests.TestPathOpTools.TestPathOpTools)
Recompute......g multiple outside edges. ...                                            (100.0 %)
                                                (ok.0 %)
test43 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting multiple backwards outside edges. ... ok
test44 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a single inside edge forward. ... ok
test45 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting a single inside edge not forward. ... ok
test46 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting multiple inside edges. ... ok
test47 (PathTests.TestPathOpTools.TestPathOpTools)
Check offsetting multiple backwards inside edges. ... ok
test50 (PathTests.TestPathOpTools.TestPathOpTools)
Orient an already oriented wire ... ok
test51 (PathTests.TestPathOpTools.TestPathOpTools)
Orient a potentially misoriented wire ... ok
test52 (PathTests.TestPathOpTools.TestPathOpTools)
Orient a potentially misoriented longer wire ... ok
test00 (PathTests.TestPathPreferences.TestPathPreferences)
There is at least one search path. ... ok
test01 (PathTests.TestPathPreferences.TestPathPreferences)
PathScripts is part of the posts search path. ... ok
test02 (PathTests.TestPathPreferences.TestPathPreferences)
PathScripts/post is part of the posts search path. ... ok
test03 (PathTests.TestPathPreferences.TestPathPreferences)
Available post processors include linuxcnc, grbl and opensbp. ... ok
test10 (PathTests.TestPathPreferences.TestPathPreferences)
Default paths for tools are resolved correctly ... ok
test00 (PathTests.TestPathPropertyBag.TestPathPropertyBag)
basic PropertyBag creation and access test ... ok
test01 (PathTests.TestPathPropertyBag.TestPathPropertyBag)
adding properties to a PropertyBag is tracked properly ... ok
test02 (PathTests.TestPathPropertyBag.TestPathPropertyBag)
refreshCustomPropertyGroups deletes empty groups ... ok
test03 (PathTests.TestPathPropertyBag.TestPathPropertyBag)
refreshCustomPropertyGroups does not delete non-empty groups ... ok
test00 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Recompute......et templateAttributes ... 83.0 %)(100.0 %)
ok
test01 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Recompute......et template attributes roundtrip. ...                                            (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
test02 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Verify default value detection logic. ... ok
test10 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Verify template attributes encoding/decoding of floats. ... ok
test11 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Verify template attributes encoding/decoding of strings. ... ok
test12 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Verify template attributes encoding/decoding of dictionaries. ... ok
test13 (PathTests.TestPathSetupSheet.TestPathSetupSheet)
Recompute...... attributes encoding/decoding of (100.0 %).                                              (50.0 %)
ok
test00 (PathTests.TestPathStock.TestPathStock)
Test CreateBox ... ok
test01 (PathTests.TestPathStock.TestPathStock)
Test CreateCylinder ... ok
test10 (PathTests.TestPathStock.TestPathStock)
Verify FromTemplate box creation. ... ok
test11 (PathTests.TestPathStock.TestPathStock)
Verify FromTemplate cylinder creation. ... ok
test12 (PathTests.TestPathStock.TestPathStock)
Verify FromTemplate from Base creation. ... ok
test00 (PathTests.TestPathThreadMilling.TestPathThreadMilling)
Verify internal radii. ... ok
test01 (PathTests.TestPathThreadMilling.TestPathThreadMilling)
Verify internal radii with tool crest. ... ok
test10 (PathTests.TestPathThreadMilling.TestPathThreadMilling)
Verify thread passes. ... ok
test00 (PathTests.TestPathTool.TestPathTool)
Verify templateAttrs ... ok
test01 (PathTests.TestPathTool.TestPathTool)
Verify template roundtrip ... ok
test02 (PathTests.TestPathTool.TestPathTool)
Verify template dictionary construction ... ok
test (PathTests.TestPathToolBit.TestPathToolBit)
Log test setup directory structure ...
realpath : /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Path/PathTests/TestPathToolBit.py
   Tools : /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Path/PathTests/Tools
     dir : /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Path/PathTests
         : PathTests
         :   PathTestUtils.py
         :   TestPathAdaptive.py
         :   TestPathCore.py
         :   TestPathDeburr.py
         :   TestPathDepthParams.py
         :   TestPathDressupDogbone.py
         :   TestPathDressupHoldingTags.py
         :   TestPathDrillGenerator.py
         :   TestPathGeom.py
         :   TestPathHelix.py
         :   TestPathLog.py
         :   TestPathOpTools.py
         :   TestPathPost.py
         :   TestPathPreferences.py
         :   TestPathPropertyBag.py
         :   TestPathSetupSheet.py
         :   TestPathStock.py
         :   TestPathThreadMilling.py
         :   TestPathTool.py
         :   TestPathToolBit.py
         :   TestPathToolController.py
         :   TestPathTooltable.py
         :   TestPathUtil.py
         :   TestPathVcarve.py
         :   TestPathVoronoi.py
         :   Tools
         :     Bit
         :       test-path-tool-bit-bit-00.fctb
         :     Library
         :       test-path-tool-bit-library-00.fctl
         :     Shape
         :       test-path-tool-bit-shape-00.fcstd
         :   __init__.py
         :   __pycache__
         :     ...
         :   boxtest.fcstd
         :   test_adaptive.fcstd
         :   test_centroid_00.ngc
         :   test_geomop.fcstd
         :   test_holes00.fcstd
         :   test_linuxcnc_00.ngc
ok
test00 (PathTests.TestPathToolBit.TestPathToolBit)
Find a tool shape from file name ... ok
test01 (PathTests.TestPathToolBit.TestPathToolBit)
Not find a relative path shape if not stored in default location ... ok
test02 (PathTests.TestPathToolBit.TestPathToolBit)
Find a relative path shape if it's local to a bit path ... ok
test03 (PathTests.TestPathToolBit.TestPathToolBit)
Not find a tool shape from an invalid absolute path. ... ok
test04 (PathTests.TestPathToolBit.TestPathToolBit)
Find a tool shape from a valid absolute path. ... ok
test10 (PathTests.TestPathToolBit.TestPathToolBit)
Find a tool bit from file name ... ok
test11 (PathTests.TestPathToolBit.TestPathToolBit)
Not find a relative path bit if not stored in default location ... ok
test12 (PathTests.TestPathToolBit.TestPathToolBit)
Find a relative path bit if it's local to a library path ... ok
test13 (PathTests.TestPathToolBit.TestPathToolBit)
Not find a tool bit from an invalid absolute path. ... ok
test14 (PathTests.TestPathToolBit.TestPathToolBit)
Find a tool bit from a valid absolute path. ... ok
test20 (PathTests.TestPathToolBit.TestPathToolBit)
Find a tool library from file name ... ok
test21 (PathTests.TestPathToolBit.TestPathToolBit)
Not find a relative path library if not stored in default location ... ok
test22 (PathTests.TestPathToolBit.TestPathToolBit)
[skipped] Find a relative path library if it's local to <what?> ... ok
test23 (PathTests.TestPathToolBit.TestPathToolBit)
Not find a tool library from an invalid absolute path. ... ok
test24 (PathTests.TestPathToolBit.TestPathToolBit)
Find a tool library from a valid absolute path. ... ok
test00 (PathTests.TestPathToolController.TestPathToolController)
Importing project files......eAttrs ...         (100.0 %)                               (50.0 %)
Postprocessing......                            (100.0 %)
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Recompute......                                 (100.0 %)
ok
test01 (PathTests.TestPathToolController.TestPathToolController)
Importing project files......e roundtrip. ...   (100.0 %)                               (8.0 %)
Postprocessing......                            (100.0 %)
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Postprocessing......                            (100.0 %)
Recompute......                                 (100.0 %)
Importing project files......                   (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
test00 (PathTests.TestPathTooltable.TestPathTooltable)
Verify templateAttrs ... ok
test01 (PathTests.TestPathTooltable.TestPathTooltable)
Verify setFromTemplate roundtrip. ... ok
test02 (PathTests.TestPathTooltable.TestPathTooltable)
Verify template constructor. ... ok
test00 (PathTests.TestPathUtil.TestPathUtil)
Recompute......lidBaseObject detects solids. ...(100.0 %)                                       (6.0 %)
ok
test01 (PathTests.TestPathUtil.TestPathUtil)
Recompute......lidBaseObject detects PDs. ...   (100.0 %)                               (50.0 %)
ok
test02 (PathTests.TestPathUtil.TestPathUtil)
Recompute......lidBaseObject detects compounds. (100.0 %)                                       (11.0 %)
ok
test03 (PathTests.TestPathUtil.TestPathUtil)
Recompute......lidBaseObject ignores sketches. .(100.0 %)                                       (33.0 %)
Recompute......                                 (100.0 %)
ok
test04 (PathTests.TestPathUtil.TestPathUtil)
Recompute...... is handled correctly. ...       (100.0 %)                               (10.0 %)
ok
test00 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 90 deg depth calculation ... ok
test01 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 90 deg depth limit ... ok
test02 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 60 deg depth calculation ... ok
test03 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 60 deg depth limit ... ok
test10 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 90 deg with tip dia depth calculation ... ok
test11 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 90 deg with tip dia depth limit calculation ... ok
test12 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 45 deg with tip dia depth calculation ... ok
test13 (PathTests.TestPathVcarve.TestPathVcarve)
Verify 45 deg with tip dia depth limit calculation ... ok
test00 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check vertex comparison ... ok
test10 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check edge comparison ... ok
test20 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check cell comparison ... ok
test50 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check toShape for linear edges ... ok
test51 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check toShape for linear edges with set z ... ok
test52 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check toShape for linear edges with varying z ... ok
test60 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check toShape for curved edges ... ok
test61 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check toShape for curved edges with set z ... ok
test62 (PathTests.TestPathVoronoi.TestPathVoronoi)
Check toShape for curved edges with varying z ... ok
test00 (PathTests.TestPathDepthParams.depthTestCases)
Stepping down to zero ... ok
test10 (PathTests.TestPathDepthParams.depthTestCases)
Stepping from zero to a negative depth ... ok
test20 (PathTests.TestPathDepthParams.depthTestCases)
Start and end are equal or start lower than finish ... ok
test30 (PathTests.TestPathDepthParams.depthTestCases)
User Parameters passed in ... ok
test40 (PathTests.TestPathDepthParams.depthTestCases)
z_finish_step passed in. ... ok
test50 (PathTests.TestPathDepthParams.depthTestCases)
stepping down with equalstep=True ... ok
test60 (PathTests.TestPathDepthParams.depthTestCases)
stepping down with equalstep=True and a finish depth ... ok
test70 (PathTests.TestPathDepthParams.depthTestCases)
stepping down with stepdown greater than total depth ... ok
test80 (PathTests.TestPathDepthParams.depthTestCases)
Test handling of negative step-down, negative finish step, and relative size of step/finish ... ok
testAggregates (TestSpreadsheet.SpreadsheetCases)
Recompute......ate functions ...                (100.0 %)                       (10.0 %)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet001.H6: Quantity::operator +=(): Unit mismatch in plus operation
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet001.H5: Quantity::operator -(): Unit mismatch in minus operation
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet001.H3: Quantity::operator >(): quantities need to have same unit to compare
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet001.H2: Quantity::operator <(): quantities need to have same unit to compare
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet001.H1: Quantity::operator +=(): Unit mismatch in plus operation
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet001.D1: Invalid number of entries: at least two required.
Recompute failed! Please check report view.
ok
testAlias (TestSpreadsheet.SpreadsheetCases)
Recompute......iases ...                                                (50.0 %)
ok
testAmbiguousAlias (TestSpreadsheet.SpreadsheetCases)
Try to set the same alias twice (bug #2402) ... ok
testClearAlias (TestSpreadsheet.SpreadsheetCases)
This was causing a crash ... ok
testCrossDocumentLinks (TestSpreadsheet.SpreadsheetCases)
Importing project files......not saved (bug #2442) ...                                          (100.0 %)
File was not written with this version of the topology
Postprocessing......                            (100.0 %)
Importing project files......                   (100.0 %)
File was not written with this version of the topology
Postprocessing......                            (100.0 %)
ok
testFunctions (TestSpreadsheet.SpreadsheetCases)
Recompute......in simple functions ...                                          (100.0 %)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C27: Units must be equal.
in expression: cath(7.071067811865476mm; 5mm; 4)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C26: Units must be equal.
in expression: cath(5mm; 3)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C24: Units must be equal.
in expression: hypot(3mm; 4; 5)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C23: Units must be equal.
in expression: hypot(3mm; 4)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.D21: Exponent is not allowed to have a unit.
in expression: pow(7mm; 4mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C20: Units must be equal.
in expression: atan2(3mm; 3)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.B17: Unit must be empty.
in expression: tanh(0.5mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.B16: Unit must be empty.
in expression: cosh(0.5mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.B15: Unit must be empty.
in expression: sinh(0.5mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.B14: Unit must be empty.
in expression: atan(0.5mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.B13: Unit must be empty.
in expression: acos(0.5mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.B12: Unit must be empty.
in expression: asin(0.5mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C7: Unit must be empty.
in expression: log10(-3mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C6: Unit must be empty.
in expression: log(-3mm)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.C5: Unit must be empty.
in expression: exp(-3mm)
Recompute failed! Please check report view.
ok
testInsertColumnsAlias (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4429; insert columns to sheet with aliases ...
Recompute......                                 (100.0 %)
ok
testInsertRows (TestSpreadsheet.SpreadsheetCases)
Inserting rows -- check renaming of internal cells ... ok
testInsertRowsAlias (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4429; insert rows to sheet with aliases ...                                           (100.0 %)
Recompute......                                 (100.0 %)
ok
testInvoluteGear (TestSpreadsheet.SpreadsheetCases)
Recompute......ean or integer values ...                                                (100.0 %)
Recompute......                                 (100.0 %)
ok
testIssue3128 (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 3128; mod should work (100.0 %)trary units for both arguments ...                                             (50.0 %)
ok
testIssue3225 (TestSpreadsheet.SpreadsheetCases)
Inserting rows -- check renaming of internal cells ... ok
testIssue3363 (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 3363; Nested conditionals statement fails with additional conditional statement in false-branch ...                                           (100.0 %)
Postprocessing......                            (100.0 %)
ok
testIssue3432 (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 3432; numbers with units are ignored from aggregates ...                                              (100.0 %)
ok
testIssue4156 (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4156; necessarily use of leading '=' to enter an expression, creates inconsistent behavior depending on the spreadsheet state ...                                             (100.0 %)
ok
testMatrix (TestSpreadsheet.SpreadsheetCases)
Recompute......tor/Placement/Rotation operations ...                                            (100.0 %)
<Spreadsheet> Cell.cpp(640): Unnamed#Spreadsheet.H2: Cannot invert singular matrix
in expression: G2 ^ -1
Recompute failed! Please check report view.
ok
testNumbers (TestSpreadsheet.SpreadsheetCases)
Recompute......numbers ...
ok
testPlacementName (TestSpreadsheet.SpreadsheetCases)
Object name is equal to property name (bug #2389) ... ok
testPrecedence (TestSpreadsheet.SpreadsheetCases)
Recompute......est precedence for relational operators and conditional operator. ...                                            (100.0 %)
ok
testQuantitiesAndFractionsAsNumbers (TestSpreadsheet.SpreadsheetCases)
Recompute...... and simple fractions as numbers (100.0 %)                                       (33.0 %)
ok
testRelationalOperators (TestSpreadsheet.SpreadsheetCases)
Recompute...... operators ...                                           (100.0 %)
ok
testRemoveColumnsAlias (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4429; remove columns from sheet with aliases ...                                              (100.0 %)
Recompute......                                 (100.0 %)
ok
testRemoveColumnsAliasReuseName (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4492; deleted aliases remains in database ...                                                 (100.0 %)
ok
testRemoveRows (TestSpreadsheet.SpreadsheetCases)
Removing rows -- check renaming of internal cells ... ok
testRemoveRowsAlias (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4429; remove rows from sheet with aliases ...                                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testRemoveRowsAliasReuseName (TestSpreadsheet.SpreadsheetCases)
Recompute...... for issue 4492; deleted aliases remains in database ...                                                 (100.0 %)
ok
testRenameAlias (TestSpreadsheet.SpreadsheetCases)
Recompute......f alias1 to alias2 in a spreadsheet ...                                          (100.0 %)
Recompute......                                 (100.0 %)
ok
testRenameAlias2 (TestSpreadsheet.SpreadsheetCases)
Test renaming of alias1 to alias2 in a spreadsheet, when referenced from another object ... ok
testRenameAlias3 (TestSpreadsheet.SpreadsheetCases)
Test renaming of document object referenced from another object ... ok
testSetInvalidAlias (TestSpreadsheet.SpreadsheetCases)
Try to use a cell address as alias name ... ok
testSetInvalidAlias2 (TestSpreadsheet.SpreadsheetCases)
Try to use a unit (reserved word) as alias name ... ok
testSketcher (TestSpreadsheet.SpreadsheetCases)
Recompute......and Name (bug #2407) ...                                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testUndoAliasCreationReuseName (TestSpreadsheet.SpreadsheetCases)
Recompute......iases by undo remains in database(100.0 %)                                       (50.0 %)
Recompute......                                 (100.0 %)
ok
testUnits (TestSpreadsheet.SpreadsheetCases)
Recompute......nit calculations. ...                                            (100.0 %)
ok
test_00print (femtest.app.test_femimport.TestFemImport) ...                                             (100.0 %)
****************************************************************************************************
********** run FEM TestFemImport tests *************************************************************
****************************************************************************************************
ok
test_import_fem (femtest.app.test_femimport.TestFemImport) ...
  Try importing Fem ...
ok
test_00print (femtest.app.test_common.TestFemCommon) ...
****************************************************************************************************
********** run FEM TestFemCommon tests *************************************************************
****************************************************************************************************
ok
test_adding_refshaps (femtest.app.test_common.TestFemCommon) ... Recompute......
ok
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem mCommon) ...                                               (50.0 %)
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femexamples
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/feminout
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femmesh
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femobjects
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femresult
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtools
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/equations
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/z88
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/calculix
Try importing ObjectsFem ...
Try importing TestFemApp ...
Try importing femexamples.__init__ ...
Try importing femexamples.boxanalysis_base ...
Try importing femexamples.boxanalysis_frequency ...
Try importing femexamples.boxanalysis_static ...
Try importing femexamples.buckling_lateraltorsionalbuckling ...
Try importing femexamples.buckling_platebuckling ...
Try importing femexamples.ccx_buckling_flexuralbuckling ...
Try importing femexamples.ccx_cantilever_base_edge ...
Try importing femexamples.ccx_cantilever_base_face ...
Try importing femexamples.ccx_cantilever_base_solid ...
Try importing femexamples.ccx_cantilever_beam_circle ...
Try importing femexamples.ccx_cantilever_beam_pipe ...
Try importing femexamples.ccx_cantilever_beam_rect ...
Try importing femexamples.ccx_cantilever_ele_hexa20 ...
Try importing femexamples.ccx_cantilever_ele_quad4 ...
Try importing femexamples.ccx_cantilever_ele_quad8 ...
Try importing femexamples.ccx_cantilever_ele_seg2 ...
Try importing femexamples.ccx_cantilever_ele_seg3 ...
Try importing femexamples.ccx_cantilever_ele_tetra4 ...
Try importing femexamples.ccx_cantilever_ele_tria3 ...
Try importing femexamples.ccx_cantilever_ele_tria6 ...
Try importing femexamples.ccx_cantilever_faceload ...
Try importing femexamples.ccx_cantilever_nodeload ...
Try importing femexamples.ccx_cantilever_prescribeddisplacement ...
Try importing femexamples.constraint_centrif ...
Try importing femexamples.constraint_contact_shell_shell ...
Try importing femexamples.constraint_contact_solid_solid ...
Try importing femexamples.constraint_section_print ...
Try importing femexamples.constraint_selfweight_cantilever ...
Try importing femexamples.constraint_tie ...
Try importing femexamples.constraint_transform_beam_hinged ...
Try importing femexamples.constraint_transform_torque ...
Try importing femexamples.elmer_nonguitutorial01_eigenvalue_of_elastic_beam ...
Try importing femexamples.equation_electrostatics_capacitance_two_balls ...
Try importing femexamples.equation_electrostatics_electricforce_elmer_nongui6 ...
Try importing femexamples.frequency_beamsimple ...
Try importing femexamples.manager ...
Try importing femexamples.material_multiple_bendingbeam_fiveboxes ...
Try importing femexamples.material_multiple_bendingbeam_fivefaces ...
Try importing femexamples.material_multiple_tensionrod_twoboxes ...
Try importing femexamples.material_nl_platewithhole ...
Try importing femexamples.mystran_plate ...
Try importing femexamples.rc_wall_2d ...
Try importing femexamples.square_pipe_end_twisted_edgeforces ...
Try importing femexamples.square_pipe_end_twisted_nodeforces ...
Try importing femexamples.thermomech_bimetall ...
Try importing femexamples.thermomech_flow1d ...
Try importing femexamples.thermomech_spine ...
Try importing femexamples.truss_3d_cs_circle_ele_seg2 ...
Try importing femexamples.truss_3d_cs_circle_ele_seg3 ...
Try importing feminout.__init__ ...
Try importing feminout.convert2TetGen ...
Try importing feminout.exportNastranMesh ...
Module pyNastran not found. Writing Mystran solver input will not be work.
Try importing feminout.importCcxDatResults ...
Try importing feminout.importCcxFrdResults ...
Try importing feminout.importFenicsMesh ...
Try importing feminout.importInpMesh ...
Try importing feminout.importPyMesh ...
Try importing feminout.importToolsFem ...
Try importing feminout.importVTKResults ...
Try importing feminout.importYamlJsonMesh ...
Try importing feminout.importZ88Mesh ...
Try importing feminout.importZ88O2Results ...
Try importing feminout.readFenicsXDMF ...
Try importing feminout.readFenicsXML ...
Try importing feminout.writeFenicsXDMF ...
Try importing feminout.writeFenicsXML ...
Try importing femmesh.__init__ ...
Try importing femmesh.femmesh2mesh ...
Try importing femmesh.gmshtools ...
Try importing femmesh.meshsetsgetter ...
Try importing femmesh.meshtools ...
Try importing femobjects.__init__ ...
Try importing femobjects.base_fempythonobject ...
Try importing femobjects.constant_vacuumpermittivity ...
Try importing femobjects.constraint_bodyheatsource ...
Try importing femobjects.constraint_centrif ...
Try importing femobjects.constraint_electrostaticpotential ...
Try importing femobjects.constraint_flowvelocity ...
Try importing femobjects.constraint_initialflowvelocity ...
Try importing femobjects.constraint_sectionprint ...
Try importing femobjects.constraint_selfweight ...
Try importing femobjects.constraint_tie ...
Try importing femobjects.element_fluid1D ...
Try importing femobjects.element_geometry1D ...
Try importing femobjects.element_geometry2D ...
Try importing femobjects.element_rotation1D ...
Try importing femobjects.material_common ...
Try importing femobjects.material_mechanicalnonlinear ...
Try importing femobjects.material_reinforced ...
Try importing femobjects.mesh_boundarylayer ...
Try importing femobjects.mesh_gmsh ...
Try importing femobjects.mesh_group ...
Try importing femobjects.mesh_region ...
Try importing femobjects.mesh_result ...
Try importing femobjects.result_mechanical ...
Try importing femobjects.solver_ccxtools ...
Try importing femresult.__init__ ...
Try importing femresult.resulttools ...
Try importing femtest.__init__ ...
Try importing femtools.__init__ ...
Try importing femtools.ccxtools ...
Try importing femtools.checksanalysis ...
Try importing femtools.constants ...
Try importing femtools.errors ...
Try importing femtools.femutils ...
Try importing femtools.geomtools ...
Try importing femtools.membertools ...
Try importing femtools.migrate_app ...
Try importing femtools.tokrules ...
WARNING: Token 'COMMENT' defined, but not used
WARNING: There is 1 unused token
Generating LALR tables
Try importing femsolver.__init__ ...
Try importing femsolver.equationbase ...
Try importing femsolver.report ...
Try importing femsolver.reportdialog ...
Try importing femsolver.run ...
Try importing femsolver.settings ...
Try importing femsolver.signal ...
Try importing femsolver.solverbase ...
Try importing femsolver.task ...
Try importing femsolver.writerbase ...
Try importing femsolver.elmer.__init__ ...
Try importing femsolver.elmer.sifio ...
Try importing femsolver.elmer.solver ...
Try importing femsolver.elmer.tasks ...
Try importing femsolver.elmer.writer ...
Try importing femsolver.elmer.equations.__init__ ...
Try importing femsolver.elmer.equations.elasticity ...
Try importing femsolver.elmer.equations.electricforce ...
Try importing femsolver.elmer.equations.electrostatic ...
Try importing femsolver.elmer.equations.equation ...
Try importing femsolver.elmer.equations.flow ...
Try importing femsolver.elmer.equations.flux ...
Try importing femsolver.elmer.equations.heat ...
Try importing femsolver.elmer.equations.linear ...
Try importing femsolver.elmer.equations.nonlinear ...
Try importing femsolver.z88.__init__ ...
Try importing femsolver.z88.solver ...
Try importing femsolver.z88.tasks ...
Try importing femsolver.z88.writer ...
Try importing femsolver.calculix.__init__ ...
Try importing femsolver.calculix.solver ...
Try importing femsolver.calculix.tasks ...
Try importing femsolver.calculix.write_constraint_centrif ...
Try importing femsolver.calculix.write_constraint_contact ...
Try importing femsolver.calculix.write_constraint_displacement ...
Try importing femsolver.calculix.write_constraint_fixed ...
Try importing femsolver.calculix.write_constraint_fluidsection ...
Try importing femsolver.calculix.write_constraint_force ...
Try importing femsolver.calculix.write_constraint_heatflux ...
Try importing femsolver.calculix.write_constraint_initialtemperature ...
Try importing femsolver.calculix.write_constraint_planerotation ...
Try importing femsolver.calculix.write_constraint_pressure ...
Try importing femsolver.calculix.write_constraint_sectionprint ...
Try importing femsolver.calculix.write_constraint_selfweight ...
Try importing femsolver.calculix.write_constraint_temperature ...
Try importing femsolver.calculix.write_constraint_tie ...
Try importing femsolver.calculix.write_constraint_transform ...
Try importing femsolver.calculix.write_femelement_geometry ...
Try importing femsolver.calculix.write_femelement_material ...
Try importing femsolver.calculix.write_femelement_matgeosets ...
Try importing femsolver.calculix.write_footer ...
Try importing femsolver.calculix.write_mesh ...
Try importing femsolver.calculix.write_step_equation ...
Try importing femsolver.calculix.write_step_output ...
Try importing femsolver.calculix.writer ...
ok
test_00print (femtest.app.test_object.TestObjectCreate) ...
****************************************************************************************************
********** run FEM TestObjectCreate tests **********************************************************
****************************************************************************************************
ok
test_femobjects_make (femtest.app.test_object.TestObjectCreate) ... Module to read results not found.
Module pyNastran not found. Writing Mystran solver input will not be work.
Recompute......
doc objects count: 56, method: test_femobjects_make .0 %)
Save FreeCAD all objects file to /tmp/FEM_unittests/objects_create_all_acc318fa700d/all_objects.FCStd ...
ok
test_00print (femtest.app.test_object.TestObjectType) ...
****************************************************************************************************
********** run FEM TestObjectType tests ************************************************************
****************************************************************************************************
ok
test_femobjects_derivedfromfem (femtest.app.test_object.TestObjectType) ... doc objects count: 51, method: test_femobjects_derivedfromfem
ok
test_femobjects_derivedfromstd (femtest.app.test_object.TestObjectType) ... doc objects count: 51, method: test_femobjects_derivedfromstd
ok
test_femobjects_isoftype (femtest.app.test_object.TestObjectType) ... doc objects count: 51, method: test_femobjects_isoftype
ok
test_femobjects_type (femtest.app.test_object.TestObjectType) ... doc objects count: 51, method: test_femobjects_type
ok
test_00print (femtest.app.test_open.TestObjectOpen) ...
****************************************************************************************************
********** run FEM TestObjectOpen tests ************************************************************
****************************************************************************************************
ok
test_femobjects_open_de9b3fb438 (femtest.app.test_open.TestObjectOpen) ... load old document objects
Importing project files......
Postprocessing......                            (100.0 %)
ok
load master head document objects .app.test_open.TestObjectOpen) ...                                            (100.0 %)
Recompute......
Importing project files......                   (100.0 %)
Postprocessing......                            (100.0 %)
ok
test_00print (femtest.app.test_material.TestMaterialUnits) ...                                          (100.0 %)
****************************************************************************************************
********** run FEM TestMaterialUnits tests *********************************************************
****************************************************************************************************
ok
test_known_quantity_units (femtest.app.test_material.TestMaterialUnits) ... AngleOfFriction
CompressiveStrength
Density
ShearModulus
UltimateTensileStrength
YieldStrength
YoungsModulus
Stiffness
SpecificHeat
ThermalConductivity
ThermalExpansionCoefficient
ElectricalConductivity
ok
test_material_card_quantities (femtest.app.test_material.TestMaterialUnits) ... /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X6CrNiTi18-10.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Wood-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X5CrNiMo17-12-2.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X5CrNi18-10.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X3CrNiMo13-14.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X39CrMo17-1.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X2CrNiMoN17-13-3.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-X2CrNiN24-4.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-St-E-460.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-St-E-500.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-St-E-380.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-St-E-315.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S690MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-St-E-255.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-St-37-2K.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S460N.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S500MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S550MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S420MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S460MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S420N.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S355J2G3.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S380MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S335N.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S340MC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S335JR.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S335JO.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S275N.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S275JO.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S260NC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S275JR.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S235JRG1.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S235JO.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S235JR.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-S185.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G30Mn5.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G300.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G230.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G260.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G20Mn5.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJS-800-1.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G16Mn5.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-G200.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJS-700-2.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJS-600-3.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJS-500-7.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMW-450-7.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMW-360-12.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJS-400-15.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMB-550-4.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMB-650-2.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMW-400-5.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMW-350-4.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJMB-350-10.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJL-350.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJL-300.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJL-250.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJL-200.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJL-150.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-E360.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-EN-GJL-100.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-E360-GC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-E295-GC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-E335.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-E335-GC.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C55E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C60E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-E295.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C50E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C40E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C30E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C25E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C15.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C22E.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-C10.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-3V45.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-3C35.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-36NiCrMo16.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-3C22.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-3C15.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-34CrNiMo6.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-36CrNiMo4.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-30CrNiMo8.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-2C10.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-28Mn6.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-20NiCrMo2.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-1C35.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-1C60.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-1C45.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-1C22.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/PP-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-15CrNi6.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/PTFE-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Steel-17CrNiMo6.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Reinforcement-FIB-B500.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/PVC-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/PET-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/PA6-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Graphite.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/PLA-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Glass-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Glass-S2-GlassFibre.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Concrete-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Glass-E-GlassFibre.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/CalculiX-Steel.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/AlMgSi1F31.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/AlZn4-5Mg1F35.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Aluminum-6061-T6.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/ABS-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/AlMg3F24.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/Acrylic-Glass-Generic.FCMat
/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Material/StandardMaterial/None.FCMat
Parameter: Density --> value: 0 kg/m^3 --> Value 0 kg/m^3 = 0 for Density
Parameter: UltimateTensileStrength --> value: 0 MPa --> Value 0 MPa = 0 for UltimateTensileStrength
Parameter: YoungsModulus --> value: 0 MPa --> Value 0 MPa = 0 for YoungsModulus
ok
test_00print (femtest.app.test_mesh.TestMeshCommon) ...
****************************************************************************************************
********** run FEM TestMeshCommon tests ************************************************************
****************************************************************************************************
ok
test_mesh_seg2_python (femtest.app.test_mesh.TestMeshCommon) ... ok
test_mesh_seg3_python (femtest.app.test_mesh.TestMeshCommon) ... ok
test_unv_save_load (femtest.app.test_mesh.TestMeshCommon) ... ok
test_writeAbaqus_precision (femtest.app.test_mesh.TestMeshCommon) ... ok
test_00print (femtest.app.test_mesh.TestMeshEleTetra10) ...
****************************************************************************************************
********** run FEM TestMeshEleTetra10 tests ********************************************************
****************************************************************************************************
ok
test_tetra10_create (femtest.app.test_mesh.TestMeshEleTetra10) ... ok
test_tetra10_inp (femtest.app.test_mesh.TestMeshEleTetra10) ... [1, (1, 2, 3, 4, 5, 6, 7, 8, 9, 10)]
ok
test_tetra10_unv (femtest.app.test_mesh.TestMeshEleTetra10) ... [1, (1, 2, 3, 4, 5, 6, 7, 8, 9, 10)]
ok
test_tetra10_vkt (femtest.app.test_mesh.TestMeshEleTetra10) ... [1, (1, 2, 3, 4, 5, 6, 7, 8, 9, 10)]
ok
test_tetra10_yml (femtest.app.test_mesh.TestMeshEleTetra10) ... Converting indices to integer numbers ...OK
Converting indices to integer numbers ...OK
[1, (1, 2, 3, 4, 5, 6, 7, 8, 9, 10)]
ok
test_tetra10_z88 (femtest.app.test_mesh.TestMeshEleTetra10) ... [1, (1, 2, 3, 4, 5, 6, 7, 8, 9, 10)]
ok
test_00print (femtest.app.test_mesh.TestMeshGroups) ...
****************************************************************************************************
********** run FEM TestMeshGroups tests *********************************************************
****************************************************************************************************
ok
test_add_group_elements (femtest.app.test_mesh.TestMeshGroups)
Add a node group, add elements to it. Verify that elements added ... Added Group: Name: 'mynodegroup' Type: 'Node' id: 0
AddGroupElements: num elements: 13 sizeof: 8
ok
test_add_groups (femtest.app.test_mesh.TestMeshGroups)
Create different groups with different names. Check whether the ... Added Group: Name: 'MyNodeGroup' Type: 'Node' id: 0
Added Group: Name: 'MyEdgeGroup' Type: 'Edge' id: 1
Added Group: Name: 'MyVolumeGroup' Type: 'Volume' id: 2
Added Group: Name: 'My0DElementGroup' Type: '0DElement' id: 3
Added Group: Name: 'MyBallGroup' Type: 'Ball' id: 4
ok
test_delete_groups (femtest.app.test_mesh.TestMeshGroups)
Adds a number of groups to FemMesh and deletes them ... Added Group: Name: 'group0' Type: 'Node' id: 0
Added Group: Name: 'group1' Type: 'Node' id: 1
Added Group: Name: 'group2' Type: 'Node' id: 2
Added Group: Name: 'group3' Type: 'Node' id: 3
Added Group: Name: 'group4' Type: 'Node' id: 4
Added Group: Name: 'group5' Type: 'Node' id: 5
Added Group: Name: 'group6' Type: 'Node' id: 6
Added Group: Name: 'group7' Type: 'Node' id: 7
Added Group: Name: 'group8' Type: 'Node' id: 8
Added Group: Name: 'group9' Type: 'Node' id: 9
Added Group: Name: 'group10' Type: 'Node' id: 10
Added Group: Name: 'group11' Type: 'Node' id: 11
Added Group: Name: 'group12' Type: 'Node' id: 12
Added Group: Name: 'group13' Type: 'Node' id: 13
Added Group: Name: 'group14' Type: 'Node' id: 14
Added Group: Name: 'group15' Type: 'Node' id: 15
Added Group: Name: 'group16' Type: 'Node' id: 16
Added Group: Name: 'group17' Type: 'Node' id: 17
Added Group: Name: 'group18' Type: 'Node' id: 18
Added Group: Name: 'group19' Type: 'Node' id: 19
Added Group: Name: 'group20' Type: 'Node' id: 20
Added Group: Name: 'group21' Type: 'Node' id: 21
Added Group: Name: 'group22' Type: 'Node' id: 22
Added Group: Name: 'group23' Type: 'Node' id: 23
Added Group: Name: 'group24' Type: 'Node' id: 24
Added Group: Name: 'group25' Type: 'Node' id: 25
Added Group: Name: 'group26' Type: 'Node' id: 26
Added Group: Name: 'group27' Type: 'Node' id: 27
Added Group: Name: 'group28' Type: 'Node' id: 28
Added Group: Name: 'group29' Type: 'Node' id: 29
Added Group: Name: 'group30' Type: 'Node' id: 30
Added Group: Name: 'group31' Type: 'Node' id: 31
Added Group: Name: 'group32' Type: 'Node' id: 32
Added Group: Name: 'group33' Type: 'Node' id: 33
Added Group: Name: 'group34' Type: 'Node' id: 34
Added Group: Name: 'group35' Type: 'Node' id: 35
Added Group: Name: 'group36' Type: 'Node' id: 36
Added Group: Name: 'group37' Type: 'Node' id: 37
Added Group: Name: 'group38' Type: 'Node' id: 38
Added Group: Name: 'group39' Type: 'Node' id: 39
Added Group: Name: 'group40' Type: 'Node' id: 40
Added Group: Name: 'group41' Type: 'Node' id: 41
Added Group: Name: 'group42' Type: 'Node' id: 42
Added Group: Name: 'group43' Type: 'Node' id: 43
Added Group: Name: 'group44' Type: 'Node' id: 44
Added Group: Name: 'group45' Type: 'Node' id: 45
Added Group: Name: 'group46' Type: 'Node' id: 46
Added Group: Name: 'group47' Type: 'Node' id: 47
Added Group: Name: 'group48' Type: 'Node' id: 48
Added Group: Name: 'group49' Type: 'Node' id: 49
Added Group: Name: 'group50' Type: 'Node' id: 50
Added Group: Name: 'group51' Type: 'Node' id: 51
Added Group: Name: 'group52' Type: 'Node' id: 52
Added Group: Name: 'group53' Type: 'Node' id: 53
Added Group: Name: 'group54' Type: 'Node' id: 54
Added Group: Name: 'group55' Type: 'Node' id: 55
Added Group: Name: 'group56' Type: 'Node' id: 56
Added Group: Name: 'group57' Type: 'Node' id: 57
Added Group: Name: 'group58' Type: 'Node' id: 58
Added Group: Name: 'group59' Type: 'Node' id: 59
Added Group: Name: 'group60' Type: 'Node' id: 60
Added Group: Name: 'group61' Type: 'Node' id: 61
Added Group: Name: 'group62' Type: 'Node' id: 62
Added Group: Name: 'group63' Type: 'Node' id: 63
Added Group: Name: 'group64' Type: 'Node' id: 64
Added Group: Name: 'group65' Type: 'Node' id: 65
Added Group: Name: 'group66' Type: 'Node' id: 66
Added Group: Name: 'group67' Type: 'Node' id: 67
Added Group: Name: 'group68' Type: 'Node' id: 68
Added Group: Name: 'group69' Type: 'Node' id: 69
Added Group: Name: 'group70' Type: 'Node' id: 70
Added Group: Name: 'group71' Type: 'Node' id: 71
Added Group: Name: 'group72' Type: 'Node' id: 72
Added Group: Name: 'group73' Type: 'Node' id: 73
Added Group: Name: 'group74' Type: 'Node' id: 74
Added Group: Name: 'group75' Type: 'Node' id: 75
Added Group: Name: 'group76' Type: 'Node' id: 76
Added Group: Name: 'group77' Type: 'Node' id: 77
Added Group: Name: 'group78' Type: 'Node' id: 78
Added Group: Name: 'group79' Type: 'Node' id: 79
Added Group: Name: 'group80' Type: 'Node' id: 80
Added Group: Name: 'group81' Type: 'Node' id: 81
Added Group: Name: 'group82' Type: 'Node' id: 82
Added Group: Name: 'group83' Type: 'Node' id: 83
Added Group: Name: 'group84' Type: 'Node' id: 84
Added Group: Name: 'group85' Type: 'Node' id: 85
Added Group: Name: 'group86' Type: 'Node' id: 86
Added Group: Name: 'group87' Type: 'Node' id: 87
Added Group: Name: 'group88' Type: 'Node' id: 88
Added Group: Name: 'group89' Type: 'Node' id: 89
Added Group: Name: 'group90' Type: 'Node' id: 90
Added Group: Name: 'group91' Type: 'Node' id: 91
Added Group: Name: 'group92' Type: 'Node' id: 92
Added Group: Name: 'group93' Type: 'Node' id: 93
Added Group: Name: 'group94' Type: 'Node' id: 94
Added Group: Name: 'group95' Type: 'Node' id: 95
Added Group: Name: 'group96' Type: 'Node' id: 96
Added Group: Name: 'group97' Type: 'Node' id: 97
Added Group: Name: 'group98' Type: 'Node' id: 98
Added Group: Name: 'group99' Type: 'Node' id: 99
Added Group: Name: 'group100' Type: 'Node' id: 100
Added Group: Name: 'group101' Type: 'Node' id: 101
Added Group: Name: 'group102' Type: 'Node' id: 102
Added Group: Name: 'group103' Type: 'Node' id: 103
Added Group: Name: 'group104' Type: 'Node' id: 104
Added Group: Name: 'group105' Type: 'Node' id: 105
Added Group: Name: 'group106' Type: 'Node' id: 106
Added Group: Name: 'group107' Type: 'Node' id: 107
Added Group: Name: 'group108' Type: 'Node' id: 108
Added Group: Name: 'group109' Type: 'Node' id: 109
Added Group: Name: 'group110' Type: 'Node' id: 110
Added Group: Name: 'group111' Type: 'Node' id: 111
Added Group: Name: 'group112' Type: 'Node' id: 112
Added Group: Name: 'group113' Type: 'Node' id: 113
Added Group: Name: 'group114' Type: 'Node' id: 114
Added Group: Name: 'group115' Type: 'Node' id: 115
Added Group: Name: 'group116' Type: 'Node' id: 116
Added Group: Name: 'group117' Type: 'Node' id: 117
Added Group: Name: 'group118' Type: 'Node' id: 118
Added Group: Name: 'group119' Type: 'Node' id: 119
Added Group: Name: 'group120' Type: 'Node' id: 120
Added Group: Name: 'group121' Type: 'Node' id: 121
Added Group: Name: 'group122' Type: 'Node' id: 122
Added Group: Name: 'group123' Type: 'Node' id: 123
Added Group: Name: 'group124' Type: 'Node' id: 124
Added Group: Name: 'group125' Type: 'Node' id: 125
Added Group: Name: 'group126' Type: 'Node' id: 126
Added Group: Name: 'group127' Type: 'Node' id: 127
Added Group: Name: 'group128' Type: 'Node' id: 128
Added Group: Name: 'group129' Type: 'Node' id: 129
Added Group: Name: 'group130' Type: 'Node' id: 130
Added Group: Name: 'group131' Type: 'Node' id: 131
Added Group: Name: 'group132' Type: 'Node' id: 132
Added Group: Name: 'group133' Type: 'Node' id: 133
Added Group: Name: 'group134' Type: 'Node' id: 134
Added Group: Name: 'group135' Type: 'Node' id: 135
Added Group: Name: 'group136' Type: 'Node' id: 136
Added Group: Name: 'group137' Type: 'Node' id: 137
Added Group: Name: 'group138' Type: 'Node' id: 138
Added Group: Name: 'group139' Type: 'Node' id: 139
Added Group: Name: 'group140' Type: 'Node' id: 140
Added Group: Name: 'group141' Type: 'Node' id: 141
Added Group: Name: 'group142' Type: 'Node' id: 142
Added Group: Name: 'group143' Type: 'Node' id: 143
Added Group: Name: 'group144' Type: 'Node' id: 144
Added Group: Name: 'group145' Type: 'Node' id: 145
Added Group: Name: 'group146' Type: 'Node' id: 146
Added Group: Name: 'group147' Type: 'Node' id: 147
Added Group: Name: 'group148' Type: 'Node' id: 148
Added Group: Name: 'group149' Type: 'Node' id: 149
Added Group: Name: 'group150' Type: 'Node' id: 150
Added Group: Name: 'group151' Type: 'Node' id: 151
Added Group: Name: 'group152' Type: 'Node' id: 152
Added Group: Name: 'group153' Type: 'Node' id: 153
Added Group: Name: 'group154' Type: 'Node' id: 154
Added Group: Name: 'group155' Type: 'Node' id: 155
Added Group: Name: 'group156' Type: 'Node' id: 156
Added Group: Name: 'group157' Type: 'Node' id: 157
Added Group: Name: 'group158' Type: 'Node' id: 158
Added Group: Name: 'group159' Type: 'Node' id: 159
Added Group: Name: 'group160' Type: 'Node' id: 160
Added Group: Name: 'group161' Type: 'Node' id: 161
Added Group: Name: 'group162' Type: 'Node' id: 162
Added Group: Name: 'group163' Type: 'Node' id: 163
Added Group: Name: 'group164' Type: 'Node' id: 164
Added Group: Name: 'group165' Type: 'Node' id: 165
Added Group: Name: 'group166' Type: 'Node' id: 166
Added Group: Name: 'group167' Type: 'Node' id: 167
Added Group: Name: 'group168' Type: 'Node' id: 168
Added Group: Name: 'group169' Type: 'Node' id: 169
Added Group: Name: 'group170' Type: 'Node' id: 170
Added Group: Name: 'group171' Type: 'Node' id: 171
Added Group: Name: 'group172' Type: 'Node' id: 172
Added Group: Name: 'group173' Type: 'Node' id: 173
Added Group: Name: 'group174' Type: 'Node' id: 174
Added Group: Name: 'group175' Type: 'Node' id: 175
Added Group: Name: 'group176' Type: 'Node' id: 176
Added Group: Name: 'group177' Type: 'Node' id: 177
Added Group: Name: 'group178' Type: 'Node' id: 178
Added Group: Name: 'group179' Type: 'Node' id: 179
Added Group: Name: 'group180' Type: 'Node' id: 180
Added Group: Name: 'group181' Type: 'Node' id: 181
Added Group: Name: 'group182' Type: 'Node' id: 182
Added Group: Name: 'group183' Type: 'Node' id: 183
Added Group: Name: 'group184' Type: 'Node' id: 184
Added Group: Name: 'group185' Type: 'Node' id: 185
Added Group: Name: 'group186' Type: 'Node' id: 186
Added Group: Name: 'group187' Type: 'Node' id: 187
Added Group: Name: 'group188' Type: 'Node' id: 188
Added Group: Name: 'group189' Type: 'Node' id: 189
Added Group: Name: 'group190' Type: 'Node' id: 190
Added Group: Name: 'group191' Type: 'Node' id: 191
Added Group: Name: 'group192' Type: 'Node' id: 192
Added Group: Name: 'group193' Type: 'Node' id: 193
Added Group: Name: 'group194' Type: 'Node' id: 194
Added Group: Name: 'group195' Type: 'Node' id: 195
Added Group: Name: 'group196' Type: 'Node' id: 196
Added Group: Name: 'group197' Type: 'Node' id: 197
Added Group: Name: 'group198' Type: 'Node' id: 198
Added Group: Name: 'group199' Type: 'Node' id: 199
Added Group: Name: 'group200' Type: 'Node' id: 200
Added Group: Name: 'group201' Type: 'Node' id: 201
Added Group: Name: 'group202' Type: 'Node' id: 202
Added Group: Name: 'group203' Type: 'Node' id: 203
Added Group: Name: 'group204' Type: 'Node' id: 204
Added Group: Name: 'group205' Type: 'Node' id: 205
Added Group: Name: 'group206' Type: 'Node' id: 206
Added Group: Name: 'group207' Type: 'Node' id: 207
Added Group: Name: 'group208' Type: 'Node' id: 208
Added Group: Name: 'group209' Type: 'Node' id: 209
Added Group: Name: 'group210' Type: 'Node' id: 210
Added Group: Name: 'group211' Type: 'Node' id: 211
Added Group: Name: 'group212' Type: 'Node' id: 212
Added Group: Name: 'group213' Type: 'Node' id: 213
Added Group: Name: 'group214' Type: 'Node' id: 214
Added Group: Name: 'group215' Type: 'Node' id: 215
Added Group: Name: 'group216' Type: 'Node' id: 216
Added Group: Name: 'group217' Type: 'Node' id: 217
Added Group: Name: 'group218' Type: 'Node' id: 218
Added Group: Name: 'group219' Type: 'Node' id: 219
Added Group: Name: 'group220' Type: 'Node' id: 220
Added Group: Name: 'group221' Type: 'Node' id: 221
Added Group: Name: 'group222' Type: 'Node' id: 222
Added Group: Name: 'group223' Type: 'Node' id: 223
Added Group: Name: 'group224' Type: 'Node' id: 224
Added Group: Name: 'group225' Type: 'Node' id: 225
Added Group: Name: 'group226' Type: 'Node' id: 226
Added Group: Name: 'group227' Type: 'Node' id: 227
Added Group: Name: 'group228' Type: 'Node' id: 228
Added Group: Name: 'group229' Type: 'Node' id: 229
Added Group: Name: 'group230' Type: 'Node' id: 230
Added Group: Name: 'group231' Type: 'Node' id: 231
Added Group: Name: 'group232' Type: 'Node' id: 232
Added Group: Name: 'group233' Type: 'Node' id: 233
Added Group: Name: 'group234' Type: 'Node' id: 234
Added Group: Name: 'group235' Type: 'Node' id: 235
Added Group: Name: 'group236' Type: 'Node' id: 236
Added Group: Name: 'group237' Type: 'Node' id: 237
Added Group: Name: 'group238' Type: 'Node' id: 238
Added Group: Name: 'group239' Type: 'Node' id: 239
Added Group: Name: 'group240' Type: 'Node' id: 240
Added Group: Name: 'group241' Type: 'Node' id: 241
Added Group: Name: 'group242' Type: 'Node' id: 242
Added Group: Name: 'group243' Type: 'Node' id: 243
Added Group: Name: 'group244' Type: 'Node' id: 244
Added Group: Name: 'group245' Type: 'Node' id: 245
Added Group: Name: 'group246' Type: 'Node' id: 246
Added Group: Name: 'group247' Type: 'Node' id: 247
Added Group: Name: 'group248' Type: 'Node' id: 248
Added Group: Name: 'group249' Type: 'Node' id: 249
Added Group: Name: 'group250' Type: 'Node' id: 250
Added Group: Name: 'group251' Type: 'Node' id: 251
Added Group: Name: 'group252' Type: 'Node' id: 252
Added Group: Name: 'group253' Type: 'Node' id: 253
Added Group: Name: 'group254' Type: 'Node' id: 254
Added Group: Name: 'group255' Type: 'Node' id: 255
Added Group: Name: 'group256' Type: 'Node' id: 256
Added Group: Name: 'group257' Type: 'Node' id: 257
Added Group: Name: 'group258' Type: 'Node' id: 258
Added Group: Name: 'group259' Type: 'Node' id: 259
Added Group: Name: 'group260' Type: 'Node' id: 260
Added Group: Name: 'group261' Type: 'Node' id: 261
Added Group: Name: 'group262' Type: 'Node' id: 262
Added Group: Name: 'group263' Type: 'Node' id: 263
Added Group: Name: 'group264' Type: 'Node' id: 264
Added Group: Name: 'group265' Type: 'Node' id: 265
Added Group: Name: 'group266' Type: 'Node' id: 266
Added Group: Name: 'group267' Type: 'Node' id: 267
Added Group: Name: 'group268' Type: 'Node' id: 268
Added Group: Name: 'group269' Type: 'Node' id: 269
Added Group: Name: 'group270' Type: 'Node' id: 270
Added Group: Name: 'group271' Type: 'Node' id: 271
Added Group: Name: 'group272' Type: 'Node' id: 272
Added Group: Name: 'group273' Type: 'Node' id: 273
Added Group: Name: 'group274' Type: 'Node' id: 274
Added Group: Name: 'group275' Type: 'Node' id: 275
Added Group: Name: 'group276' Type: 'Node' id: 276
Added Group: Name: 'group277' Type: 'Node' id: 277
Added Group: Name: 'group278' Type: 'Node' id: 278
Added Group: Name: 'group279' Type: 'Node' id: 279
Added Group: Name: 'group280' Type: 'Node' id: 280
Added Group: Name: 'group281' Type: 'Node' id: 281
Added Group: Name: 'group282' Type: 'Node' id: 282
Added Group: Name: 'group283' Type: 'Node' id: 283
Added Group: Name: 'group284' Type: 'Node' id: 284
Added Group: Name: 'group285' Type: 'Node' id: 285
Added Group: Name: 'group286' Type: 'Node' id: 286
Added Group: Name: 'group287' Type: 'Node' id: 287
Added Group: Name: 'group288' Type: 'Node' id: 288
Added Group: Name: 'group289' Type: 'Node' id: 289
Added Group: Name: 'group290' Type: 'Node' id: 290
Added Group: Name: 'group291' Type: 'Node' id: 291
Added Group: Name: 'group292' Type: 'Node' id: 292
Added Group: Name: 'group293' Type: 'Node' id: 293
Added Group: Name: 'group294' Type: 'Node' id: 294
Added Group: Name: 'group295' Type: 'Node' id: 295
Added Group: Name: 'group296' Type: 'Node' id: 296
Added Group: Name: 'group297' Type: 'Node' id: 297
Added Group: Name: 'group298' Type: 'Node' id: 298
Added Group: Name: 'group299' Type: 'Node' id: 299
Added Group: Name: 'group300' Type: 'Node' id: 300
Added Group: Name: 'group301' Type: 'Node' id: 301
Added Group: Name: 'group302' Type: 'Node' id: 302
Added Group: Name: 'group303' Type: 'Node' id: 303
Added Group: Name: 'group304' Type: 'Node' id: 304
Added Group: Name: 'group305' Type: 'Node' id: 305
Added Group: Name: 'group306' Type: 'Node' id: 306
Added Group: Name: 'group307' Type: 'Node' id: 307
Added Group: Name: 'group308' Type: 'Node' id: 308
Added Group: Name: 'group309' Type: 'Node' id: 309
Added Group: Name: 'group310' Type: 'Node' id: 310
Added Group: Name: 'group311' Type: 'Node' id: 311
Added Group: Name: 'group312' Type: 'Node' id: 312
Added Group: Name: 'group313' Type: 'Node' id: 313
Added Group: Name: 'group314' Type: 'Node' id: 314
Added Group: Name: 'group315' Type: 'Node' id: 315
Added Group: Name: 'group316' Type: 'Node' id: 316
Added Group: Name: 'group317' Type: 'Node' id: 317
Added Group: Name: 'group318' Type: 'Node' id: 318
Added Group: Name: 'group319' Type: 'Node' id: 319
Added Group: Name: 'group320' Type: 'Node' id: 320
Added Group: Name: 'group321' Type: 'Node' id: 321
Added Group: Name: 'group322' Type: 'Node' id: 322
Added Group: Name: 'group323' Type: 'Node' id: 323
Added Group: Name: 'group324' Type: 'Node' id: 324
Added Group: Name: 'group325' Type: 'Node' id: 325
Added Group: Name: 'group326' Type: 'Node' id: 326
Added Group: Name: 'group327' Type: 'Node' id: 327
Added Group: Name: 'group328' Type: 'Node' id: 328
Added Group: Name: 'group329' Type: 'Node' id: 329
Added Group: Name: 'group330' Type: 'Node' id: 330
Added Group: Name: 'group331' Type: 'Node' id: 331
Added Group: Name: 'group332' Type: 'Node' id: 332
Added Group: Name: 'group333' Type: 'Node' id: 333
Added Group: Name: 'group334' Type: 'Node' id: 334
Added Group: Name: 'group335' Type: 'Node' id: 335
Added Group: Name: 'group336' Type: 'Node' id: 336
Added Group: Name: 'group337' Type: 'Node' id: 337
Added Group: Name: 'group338' Type: 'Node' id: 338
Added Group: Name: 'group339' Type: 'Node' id: 339
Added Group: Name: 'group340' Type: 'Node' id: 340
Added Group: Name: 'group341' Type: 'Node' id: 341
Added Group: Name: 'group342' Type: 'Node' id: 342
Added Group: Name: 'group343' Type: 'Node' id: 343
Added Group: Name: 'group344' Type: 'Node' id: 344
Added Group: Name: 'group345' Type: 'Node' id: 345
Added Group: Name: 'group346' Type: 'Node' id: 346
Added Group: Name: 'group347' Type: 'Node' id: 347
Added Group: Name: 'group348' Type: 'Node' id: 348
Added Group: Name: 'group349' Type: 'Node' id: 349
Added Group: Name: 'group350' Type: 'Node' id: 350
Added Group: Name: 'group351' Type: 'Node' id: 351
Added Group: Name: 'group352' Type: 'Node' id: 352
Added Group: Name: 'group353' Type: 'Node' id: 353
Added Group: Name: 'group354' Type: 'Node' id: 354
Added Group: Name: 'group355' Type: 'Node' id: 355
Added Group: Name: 'group356' Type: 'Node' id: 356
Added Group: Name: 'group357' Type: 'Node' id: 357
Added Group: Name: 'group358' Type: 'Node' id: 358
Added Group: Name: 'group359' Type: 'Node' id: 359
Added Group: Name: 'group360' Type: 'Node' id: 360
Added Group: Name: 'group361' Type: 'Node' id: 361
Added Group: Name: 'group362' Type: 'Node' id: 362
Added Group: Name: 'group363' Type: 'Node' id: 363
Added Group: Name: 'group364' Type: 'Node' id: 364
Added Group: Name: 'group365' Type: 'Node' id: 365
Added Group: Name: 'group366' Type: 'Node' id: 366
Added Group: Name: 'group367' Type: 'Node' id: 367
Added Group: Name: 'group368' Type: 'Node' id: 368
Added Group: Name: 'group369' Type: 'Node' id: 369
Added Group: Name: 'group370' Type: 'Node' id: 370
Added Group: Name: 'group371' Type: 'Node' id: 371
Added Group: Name: 'group372' Type: 'Node' id: 372
Added Group: Name: 'group373' Type: 'Node' id: 373
Added Group: Name: 'group374' Type: 'Node' id: 374
Added Group: Name: 'group375' Type: 'Node' id: 375
Added Group: Name: 'group376' Type: 'Node' id: 376
Added Group: Name: 'group377' Type: 'Node' id: 377
Added Group: Name: 'group378' Type: 'Node' id: 378
Added Group: Name: 'group379' Type: 'Node' id: 379
Added Group: Name: 'group380' Type: 'Node' id: 380
Added Group: Name: 'group381' Type: 'Node' id: 381
Added Group: Name: 'group382' Type: 'Node' id: 382
Added Group: Name: 'group383' Type: 'Node' id: 383
Added Group: Name: 'group384' Type: 'Node' id: 384
Added Group: Name: 'group385' Type: 'Node' id: 385
Added Group: Name: 'group386' Type: 'Node' id: 386
Added Group: Name: 'group387' Type: 'Node' id: 387
Added Group: Name: 'group388' Type: 'Node' id: 388
Added Group: Name: 'group389' Type: 'Node' id: 389
Added Group: Name: 'group390' Type: 'Node' id: 390
Added Group: Name: 'group391' Type: 'Node' id: 391
Added Group: Name: 'group392' Type: 'Node' id: 392
Added Group: Name: 'group393' Type: 'Node' id: 393
Added Group: Name: 'group394' Type: 'Node' id: 394
Added Group: Name: 'group395' Type: 'Node' id: 395
Added Group: Name: 'group396' Type: 'Node' id: 396
Added Group: Name: 'group397' Type: 'Node' id: 397
Added Group: Name: 'group398' Type: 'Node' id: 398
Added Group: Name: 'group399' Type: 'Node' id: 399
Added Group: Name: 'group400' Type: 'Node' id: 400
Added Group: Name: 'group401' Type: 'Node' id: 401
Added Group: Name: 'group402' Type: 'Node' id: 402
Added Group: Name: 'group403' Type: 'Node' id: 403
Added Group: Name: 'group404' Type: 'Node' id: 404
Added Group: Name: 'group405' Type: 'Node' id: 405
Added Group: Name: 'group406' Type: 'Node' id: 406
Added Group: Name: 'group407' Type: 'Node' id: 407
Added Group: Name: 'group408' Type: 'Node' id: 408
Added Group: Name: 'group409' Type: 'Node' id: 409
Added Group: Name: 'group410' Type: 'Node' id: 410
Added Group: Name: 'group411' Type: 'Node' id: 411
Added Group: Name: 'group412' Type: 'Node' id: 412
Added Group: Name: 'group413' Type: 'Node' id: 413
Added Group: Name: 'group414' Type: 'Node' id: 414
Added Group: Name: 'group415' Type: 'Node' id: 415
Added Group: Name: 'group416' Type: 'Node' id: 416
Added Group: Name: 'group417' Type: 'Node' id: 417
Added Group: Name: 'group418' Type: 'Node' id: 418
Added Group: Name: 'group419' Type: 'Node' id: 419
Added Group: Name: 'group420' Type: 'Node' id: 420
Added Group: Name: 'group421' Type: 'Node' id: 421
Added Group: Name: 'group422' Type: 'Node' id: 422
Added Group: Name: 'group423' Type: 'Node' id: 423
Added Group: Name: 'group424' Type: 'Node' id: 424
Added Group: Name: 'group425' Type: 'Node' id: 425
Added Group: Name: 'group426' Type: 'Node' id: 426
Added Group: Name: 'group427' Type: 'Node' id: 427
Added Group: Name: 'group428' Type: 'Node' id: 428
Added Group: Name: 'group429' Type: 'Node' id: 429
Added Group: Name: 'group430' Type: 'Node' id: 430
Added Group: Name: 'group431' Type: 'Node' id: 431
Added Group: Name: 'group432' Type: 'Node' id: 432
Added Group: Name: 'group433' Type: 'Node' id: 433
Added Group: Name: 'group434' Type: 'Node' id: 434
Added Group: Name: 'group435' Type: 'Node' id: 435
Added Group: Name: 'group436' Type: 'Node' id: 436
Added Group: Name: 'group437' Type: 'Node' id: 437
Added Group: Name: 'group438' Type: 'Node' id: 438
Added Group: Name: 'group439' Type: 'Node' id: 439
Added Group: Name: 'group440' Type: 'Node' id: 440
Added Group: Name: 'group441' Type: 'Node' id: 441
Added Group: Name: 'group442' Type: 'Node' id: 442
Added Group: Name: 'group443' Type: 'Node' id: 443
Added Group: Name: 'group444' Type: 'Node' id: 444
Added Group: Name: 'group445' Type: 'Node' id: 445
Added Group: Name: 'group446' Type: 'Node' id: 446
Added Group: Name: 'group447' Type: 'Node' id: 447
Added Group: Name: 'group448' Type: 'Node' id: 448
Added Group: Name: 'group449' Type: 'Node' id: 449
Added Group: Name: 'group450' Type: 'Node' id: 450
Added Group: Name: 'group451' Type: 'Node' id: 451
Added Group: Name: 'group452' Type: 'Node' id: 452
Added Group: Name: 'group453' Type: 'Node' id: 453
Added Group: Name: 'group454' Type: 'Node' id: 454
Added Group: Name: 'group455' Type: 'Node' id: 455
Added Group: Name: 'group456' Type: 'Node' id: 456
Added Group: Name: 'group457' Type: 'Node' id: 457
Added Group: Name: 'group458' Type: 'Node' id: 458
Added Group: Name: 'group459' Type: 'Node' id: 459
Added Group: Name: 'group460' Type: 'Node' id: 460
Added Group: Name: 'group461' Type: 'Node' id: 461
Added Group: Name: 'group462' Type: 'Node' id: 462
Added Group: Name: 'group463' Type: 'Node' id: 463
Added Group: Name: 'group464' Type: 'Node' id: 464
Added Group: Name: 'group465' Type: 'Node' id: 465
Added Group: Name: 'group466' Type: 'Node' id: 466
Added Group: Name: 'group467' Type: 'Node' id: 467
Added Group: Name: 'group468' Type: 'Node' id: 468
Added Group: Name: 'group469' Type: 'Node' id: 469
Added Group: Name: 'group470' Type: 'Node' id: 470
Added Group: Name: 'group471' Type: 'Node' id: 471
Added Group: Name: 'group472' Type: 'Node' id: 472
Added Group: Name: 'group473' Type: 'Node' id: 473
Added Group: Name: 'group474' Type: 'Node' id: 474
Added Group: Name: 'group475' Type: 'Node' id: 475
Added Group: Name: 'group476' Type: 'Node' id: 476
Added Group: Name: 'group477' Type: 'Node' id: 477
Added Group: Name: 'group478' Type: 'Node' id: 478
Added Group: Name: 'group479' Type: 'Node' id: 479
Added Group: Name: 'group480' Type: 'Node' id: 480
Added Group: Name: 'group481' Type: 'Node' id: 481
Added Group: Name: 'group482' Type: 'Node' id: 482
Added Group: Name: 'group483' Type: 'Node' id: 483
Added Group: Name: 'group484' Type: 'Node' id: 484
Added Group: Name: 'group485' Type: 'Node' id: 485
Added Group: Name: 'group486' Type: 'Node' id: 486
Added Group: Name: 'group487' Type: 'Node' id: 487
Added Group: Name: 'group488' Type: 'Node' id: 488
Added Group: Name: 'group489' Type: 'Node' id: 489
Added Group: Name: 'group490' Type: 'Node' id: 490
Added Group: Name: 'group491' Type: 'Node' id: 491
Added Group: Name: 'group492' Type: 'Node' id: 492
Added Group: Name: 'group493' Type: 'Node' id: 493
Added Group: Name: 'group494' Type: 'Node' id: 494
Added Group: Name: 'group495' Type: 'Node' id: 495
Added Group: Name: 'group496' Type: 'Node' id: 496
Added Group: Name: 'group497' Type: 'Node' id: 497
Added Group: Name: 'group498' Type: 'Node' id: 498
Added Group: Name: 'group499' Type: 'Node' id: 499
Added Group: Name: 'group500' Type: 'Node' id: 500
Added Group: Name: 'group501' Type: 'Node' id: 501
Added Group: Name: 'group502' Type: 'Node' id: 502
Added Group: Name: 'group503' Type: 'Node' id: 503
Added Group: Name: 'group504' Type: 'Node' id: 504
Added Group: Name: 'group505' Type: 'Node' id: 505
Added Group: Name: 'group506' Type: 'Node' id: 506
Added Group: Name: 'group507' Type: 'Node' id: 507
Added Group: Name: 'group508' Type: 'Node' id: 508
Added Group: Name: 'group509' Type: 'Node' id: 509
Added Group: Name: 'group510' Type: 'Node' id: 510
Added Group: Name: 'group511' Type: 'Node' id: 511
Added Group: Name: 'group512' Type: 'Node' id: 512
Added Group: Name: 'group513' Type: 'Node' id: 513
Added Group: Name: 'group514' Type: 'Node' id: 514
Added Group: Name: 'group515' Type: 'Node' id: 515
Added Group: Name: 'group516' Type: 'Node' id: 516
Added Group: Name: 'group517' Type: 'Node' id: 517
Added Group: Name: 'group518' Type: 'Node' id: 518
Added Group: Name: 'group519' Type: 'Node' id: 519
Added Group: Name: 'group520' Type: 'Node' id: 520
Added Group: Name: 'group521' Type: 'Node' id: 521
Added Group: Name: 'group522' Type: 'Node' id: 522
Added Group: Name: 'group523' Type: 'Node' id: 523
Added Group: Name: 'group524' Type: 'Node' id: 524
Added Group: Name: 'group525' Type: 'Node' id: 525
Added Group: Name: 'group526' Type: 'Node' id: 526
Added Group: Name: 'group527' Type: 'Node' id: 527
Added Group: Name: 'group528' Type: 'Node' id: 528
Added Group: Name: 'group529' Type: 'Node' id: 529
Added Group: Name: 'group530' Type: 'Node' id: 530
Added Group: Name: 'group531' Type: 'Node' id: 531
Added Group: Name: 'group532' Type: 'Node' id: 532
Added Group: Name: 'group533' Type: 'Node' id: 533
Added Group: Name: 'group534' Type: 'Node' id: 534
Added Group: Name: 'group535' Type: 'Node' id: 535
Added Group: Name: 'group536' Type: 'Node' id: 536
Added Group: Name: 'group537' Type: 'Node' id: 537
Added Group: Name: 'group538' Type: 'Node' id: 538
Added Group: Name: 'group539' Type: 'Node' id: 539
Added Group: Name: 'group540' Type: 'Node' id: 540
Added Group: Name: 'group541' Type: 'Node' id: 541
Added Group: Name: 'group542' Type: 'Node' id: 542
Added Group: Name: 'group543' Type: 'Node' id: 543
Added Group: Name: 'group544' Type: 'Node' id: 544
Added Group: Name: 'group545' Type: 'Node' id: 545
Added Group: Name: 'group546' Type: 'Node' id: 546
Added Group: Name: 'group547' Type: 'Node' id: 547
Added Group: Name: 'group548' Type: 'Node' id: 548
Added Group: Name: 'group549' Type: 'Node' id: 549
Added Group: Name: 'group550' Type: 'Node' id: 550
Added Group: Name: 'group551' Type: 'Node' id: 551
Added Group: Name: 'group552' Type: 'Node' id: 552
Added Group: Name: 'group553' Type: 'Node' id: 553
Added Group: Name: 'group554' Type: 'Node' id: 554
Added Group: Name: 'group555' Type: 'Node' id: 555
Added Group: Name: 'group556' Type: 'Node' id: 556
Added Group: Name: 'group557' Type: 'Node' id: 557
Added Group: Name: 'group558' Type: 'Node' id: 558
Added Group: Name: 'group559' Type: 'Node' id: 559
Added Group: Name: 'group560' Type: 'Node' id: 560
Added Group: Name: 'group561' Type: 'Node' id: 561
Added Group: Name: 'group562' Type: 'Node' id: 562
Added Group: Name: 'group563' Type: 'Node' id: 563
Added Group: Name: 'group564' Type: 'Node' id: 564
Added Group: Name: 'group565' Type: 'Node' id: 565
Added Group: Name: 'group566' Type: 'Node' id: 566
Added Group: Name: 'group567' Type: 'Node' id: 567
Added Group: Name: 'group568' Type: 'Node' id: 568
Added Group: Name: 'group569' Type: 'Node' id: 569
Added Group: Name: 'group570' Type: 'Node' id: 570
Added Group: Name: 'group571' Type: 'Node' id: 571
Added Group: Name: 'group572' Type: 'Node' id: 572
Added Group: Name: 'group573' Type: 'Node' id: 573
Added Group: Name: 'group574' Type: 'Node' id: 574
Added Group: Name: 'group575' Type: 'Node' id: 575
Added Group: Name: 'group576' Type: 'Node' id: 576
Added Group: Name: 'group577' Type: 'Node' id: 577
Added Group: Name: 'group578' Type: 'Node' id: 578
Added Group: Name: 'group579' Type: 'Node' id: 579
Added Group: Name: 'group580' Type: 'Node' id: 580
Added Group: Name: 'group581' Type: 'Node' id: 581
Added Group: Name: 'group582' Type: 'Node' id: 582
Added Group: Name: 'group583' Type: 'Node' id: 583
Added Group: Name: 'group584' Type: 'Node' id: 584
Added Group: Name: 'group585' Type: 'Node' id: 585
Added Group: Name: 'group586' Type: 'Node' id: 586
Added Group: Name: 'group587' Type: 'Node' id: 587
Added Group: Name: 'group588' Type: 'Node' id: 588
Added Group: Name: 'group589' Type: 'Node' id: 589
Added Group: Name: 'group590' Type: 'Node' id: 590
Added Group: Name: 'group591' Type: 'Node' id: 591
Added Group: Name: 'group592' Type: 'Node' id: 592
Added Group: Name: 'group593' Type: 'Node' id: 593
Added Group: Name: 'group594' Type: 'Node' id: 594
Added Group: Name: 'group595' Type: 'Node' id: 595
Added Group: Name: 'group596' Type: 'Node' id: 596
Added Group: Name: 'group597' Type: 'Node' id: 597
Added Group: Name: 'group598' Type: 'Node' id: 598
Added Group: Name: 'group599' Type: 'Node' id: 599
Added Group: Name: 'group600' Type: 'Node' id: 600
Added Group: Name: 'group601' Type: 'Node' id: 601
Added Group: Name: 'group602' Type: 'Node' id: 602
Added Group: Name: 'group603' Type: 'Node' id: 603
Added Group: Name: 'group604' Type: 'Node' id: 604
Added Group: Name: 'group605' Type: 'Node' id: 605
Added Group: Name: 'group606' Type: 'Node' id: 606
Added Group: Name: 'group607' Type: 'Node' id: 607
Added Group: Name: 'group608' Type: 'Node' id: 608
Added Group: Name: 'group609' Type: 'Node' id: 609
Added Group: Name: 'group610' Type: 'Node' id: 610
Added Group: Name: 'group611' Type: 'Node' id: 611
Added Group: Name: 'group612' Type: 'Node' id: 612
Added Group: Name: 'group613' Type: 'Node' id: 613
Added Group: Name: 'group614' Type: 'Node' id: 614
Added Group: Name: 'group615' Type: 'Node' id: 615
Added Group: Name: 'group616' Type: 'Node' id: 616
Added Group: Name: 'group617' Type: 'Node' id: 617
Added Group: Name: 'group618' Type: 'Node' id: 618
Added Group: Name: 'group619' Type: 'Node' id: 619
Added Group: Name: 'group620' Type: 'Node' id: 620
Added Group: Name: 'group621' Type: 'Node' id: 621
Added Group: Name: 'group622' Type: 'Node' id: 622
Added Group: Name: 'group623' Type: 'Node' id: 623
Added Group: Name: 'group624' Type: 'Node' id: 624
Added Group: Name: 'group625' Type: 'Node' id: 625
Added Group: Name: 'group626' Type: 'Node' id: 626
Added Group: Name: 'group627' Type: 'Node' id: 627
Added Group: Name: 'group628' Type: 'Node' id: 628
Added Group: Name: 'group629' Type: 'Node' id: 629
Added Group: Name: 'group630' Type: 'Node' id: 630
Added Group: Name: 'group631' Type: 'Node' id: 631
Added Group: Name: 'group632' Type: 'Node' id: 632
Added Group: Name: 'group633' Type: 'Node' id: 633
Added Group: Name: 'group634' Type: 'Node' id: 634
Added Group: Name: 'group635' Type: 'Node' id: 635
Added Group: Name: 'group636' Type: 'Node' id: 636
Added Group: Name: 'group637' Type: 'Node' id: 637
Added Group: Name: 'group638' Type: 'Node' id: 638
Added Group: Name: 'group639' Type: 'Node' id: 639
Added Group: Name: 'group640' Type: 'Node' id: 640
Added Group: Name: 'group641' Type: 'Node' id: 641
Added Group: Name: 'group642' Type: 'Node' id: 642
Added Group: Name: 'group643' Type: 'Node' id: 643
Added Group: Name: 'group644' Type: 'Node' id: 644
Added Group: Name: 'group645' Type: 'Node' id: 645
Added Group: Name: 'group646' Type: 'Node' id: 646
Added Group: Name: 'group647' Type: 'Node' id: 647
Added Group: Name: 'group648' Type: 'Node' id: 648
Added Group: Name: 'group649' Type: 'Node' id: 649
Added Group: Name: 'group650' Type: 'Node' id: 650
Added Group: Name: 'group651' Type: 'Node' id: 651
Added Group: Name: 'group652' Type: 'Node' id: 652
Added Group: Name: 'group653' Type: 'Node' id: 653
Added Group: Name: 'group654' Type: 'Node' id: 654
Added Group: Name: 'group655' Type: 'Node' id: 655
Added Group: Name: 'group656' Type: 'Node' id: 656
Added Group: Name: 'group657' Type: 'Node' id: 657
Added Group: Name: 'group658' Type: 'Node' id: 658
Added Group: Name: 'group659' Type: 'Node' id: 659
Added Group: Name: 'group660' Type: 'Node' id: 660
Added Group: Name: 'group661' Type: 'Node' id: 661
Added Group: Name: 'group662' Type: 'Node' id: 662
Added Group: Name: 'group663' Type: 'Node' id: 663
Added Group: Name: 'group664' Type: 'Node' id: 664
Added Group: Name: 'group665' Type: 'Node' id: 665
Added Group: Name: 'group666' Type: 'Node' id: 666
Added Group: Name: 'group667' Type: 'Node' id: 667
Added Group: Name: 'group668' Type: 'Node' id: 668
Added Group: Name: 'group669' Type: 'Node' id: 669
Added Group: Name: 'group670' Type: 'Node' id: 670
Added Group: Name: 'group671' Type: 'Node' id: 671
Added Group: Name: 'group672' Type: 'Node' id: 672
Added Group: Name: 'group673' Type: 'Node' id: 673
Added Group: Name: 'group674' Type: 'Node' id: 674
Added Group: Name: 'group675' Type: 'Node' id: 675
Added Group: Name: 'group676' Type: 'Node' id: 676
Added Group: Name: 'group677' Type: 'Node' id: 677
Added Group: Name: 'group678' Type: 'Node' id: 678
Added Group: Name: 'group679' Type: 'Node' id: 679
Added Group: Name: 'group680' Type: 'Node' id: 680
Added Group: Name: 'group681' Type: 'Node' id: 681
Added Group: Name: 'group682' Type: 'Node' id: 682
Added Group: Name: 'group683' Type: 'Node' id: 683
Added Group: Name: 'group684' Type: 'Node' id: 684
Added Group: Name: 'group685' Type: 'Node' id: 685
Added Group: Name: 'group686' Type: 'Node' id: 686
Added Group: Name: 'group687' Type: 'Node' id: 687
Added Group: Name: 'group688' Type: 'Node' id: 688
Added Group: Name: 'group689' Type: 'Node' id: 689
Added Group: Name: 'group690' Type: 'Node' id: 690
Added Group: Name: 'group691' Type: 'Node' id: 691
Added Group: Name: 'group692' Type: 'Node' id: 692
Added Group: Name: 'group693' Type: 'Node' id: 693
Added Group: Name: 'group694' Type: 'Node' id: 694
Added Group: Name: 'group695' Type: 'Node' id: 695
Added Group: Name: 'group696' Type: 'Node' id: 696
Added Group: Name: 'group697' Type: 'Node' id: 697
Added Group: Name: 'group698' Type: 'Node' id: 698
Added Group: Name: 'group699' Type: 'Node' id: 699
Added Group: Name: 'group700' Type: 'Node' id: 700
Added Group: Name: 'group701' Type: 'Node' id: 701
Added Group: Name: 'group702' Type: 'Node' id: 702
Added Group: Name: 'group703' Type: 'Node' id: 703
Added Group: Name: 'group704' Type: 'Node' id: 704
Added Group: Name: 'group705' Type: 'Node' id: 705
Added Group: Name: 'group706' Type: 'Node' id: 706
Added Group: Name: 'group707' Type: 'Node' id: 707
Added Group: Name: 'group708' Type: 'Node' id: 708
Added Group: Name: 'group709' Type: 'Node' id: 709
Added Group: Name: 'group710' Type: 'Node' id: 710
Added Group: Name: 'group711' Type: 'Node' id: 711
Added Group: Name: 'group712' Type: 'Node' id: 712
Added Group: Name: 'group713' Type: 'Node' id: 713
Added Group: Name: 'group714' Type: 'Node' id: 714
Added Group: Name: 'group715' Type: 'Node' id: 715
Added Group: Name: 'group716' Type: 'Node' id: 716
Added Group: Name: 'group717' Type: 'Node' id: 717
Added Group: Name: 'group718' Type: 'Node' id: 718
Added Group: Name: 'group719' Type: 'Node' id: 719
Added Group: Name: 'group720' Type: 'Node' id: 720
Added Group: Name: 'group721' Type: 'Node' id: 721
Added Group: Name: 'group722' Type: 'Node' id: 722
Added Group: Name: 'group723' Type: 'Node' id: 723
Added Group: Name: 'group724' Type: 'Node' id: 724
Added Group: Name: 'group725' Type: 'Node' id: 725
Added Group: Name: 'group726' Type: 'Node' id: 726
Added Group: Name: 'group727' Type: 'Node' id: 727
Added Group: Name: 'group728' Type: 'Node' id: 728
Added Group: Name: 'group729' Type: 'Node' id: 729
Added Group: Name: 'group730' Type: 'Node' id: 730
Added Group: Name: 'group731' Type: 'Node' id: 731
Added Group: Name: 'group732' Type: 'Node' id: 732
Added Group: Name: 'group733' Type: 'Node' id: 733
Added Group: Name: 'group734' Type: 'Node' id: 734
Added Group: Name: 'group735' Type: 'Node' id: 735
Added Group: Name: 'group736' Type: 'Node' id: 736
Added Group: Name: 'group737' Type: 'Node' id: 737
Added Group: Name: 'group738' Type: 'Node' id: 738
Added Group: Name: 'group739' Type: 'Node' id: 739
Added Group: Name: 'group740' Type: 'Node' id: 740
Added Group: Name: 'group741' Type: 'Node' id: 741
Added Group: Name: 'group742' Type: 'Node' id: 742
Added Group: Name: 'group743' Type: 'Node' id: 743
Added Group: Name: 'group744' Type: 'Node' id: 744
Added Group: Name: 'group745' Type: 'Node' id: 745
Added Group: Name: 'group746' Type: 'Node' id: 746
Added Group: Name: 'group747' Type: 'Node' id: 747
Added Group: Name: 'group748' Type: 'Node' id: 748
Added Group: Name: 'group749' Type: 'Node' id: 749
Added Group: Name: 'group750' Type: 'Node' id: 750
Added Group: Name: 'group751' Type: 'Node' id: 751
Added Group: Name: 'group752' Type: 'Node' id: 752
Added Group: Name: 'group753' Type: 'Node' id: 753
Added Group: Name: 'group754' Type: 'Node' id: 754
Added Group: Name: 'group755' Type: 'Node' id: 755
Added Group: Name: 'group756' Type: 'Node' id: 756
Added Group: Name: 'group757' Type: 'Node' id: 757
Added Group: Name: 'group758' Type: 'Node' id: 758
Added Group: Name: 'group759' Type: 'Node' id: 759
Added Group: Name: 'group760' Type: 'Node' id: 760
Added Group: Name: 'group761' Type: 'Node' id: 761
Added Group: Name: 'group762' Type: 'Node' id: 762
Added Group: Name: 'group763' Type: 'Node' id: 763
Added Group: Name: 'group764' Type: 'Node' id: 764
Added Group: Name: 'group765' Type: 'Node' id: 765
Added Group: Name: 'group766' Type: 'Node' id: 766
Added Group: Name: 'group767' Type: 'Node' id: 767
Added Group: Name: 'group768' Type: 'Node' id: 768
Added Group: Name: 'group769' Type: 'Node' id: 769
Added Group: Name: 'group770' Type: 'Node' id: 770
Added Group: Name: 'group771' Type: 'Node' id: 771
Added Group: Name: 'group772' Type: 'Node' id: 772
Added Group: Name: 'group773' Type: 'Node' id: 773
Added Group: Name: 'group774' Type: 'Node' id: 774
Added Group: Name: 'group775' Type: 'Node' id: 775
Added Group: Name: 'group776' Type: 'Node' id: 776
Added Group: Name: 'group777' Type: 'Node' id: 777
Added Group: Name: 'group778' Type: 'Node' id: 778
Added Group: Name: 'group779' Type: 'Node' id: 779
Added Group: Name: 'group780' Type: 'Node' id: 780
Added Group: Name: 'group781' Type: 'Node' id: 781
Added Group: Name: 'group782' Type: 'Node' id: 782
Added Group: Name: 'group783' Type: 'Node' id: 783
Added Group: Name: 'group784' Type: 'Node' id: 784
Added Group: Name: 'group785' Type: 'Node' id: 785
Added Group: Name: 'group786' Type: 'Node' id: 786
Added Group: Name: 'group787' Type: 'Node' id: 787
Added Group: Name: 'group788' Type: 'Node' id: 788
Added Group: Name: 'group789' Type: 'Node' id: 789
Added Group: Name: 'group790' Type: 'Node' id: 790
Added Group: Name: 'group791' Type: 'Node' id: 791
Added Group: Name: 'group792' Type: 'Node' id: 792
Added Group: Name: 'group793' Type: 'Node' id: 793
Added Group: Name: 'group794' Type: 'Node' id: 794
Added Group: Name: 'group795' Type: 'Node' id: 795
Added Group: Name: 'group796' Type: 'Node' id: 796
Added Group: Name: 'group797' Type: 'Node' id: 797
Added Group: Name: 'group798' Type: 'Node' id: 798
Added Group: Name: 'group799' Type: 'Node' id: 799
Added Group: Name: 'group800' Type: 'Node' id: 800
Added Group: Name: 'group801' Type: 'Node' id: 801
Added Group: Name: 'group802' Type: 'Node' id: 802
Added Group: Name: 'group803' Type: 'Node' id: 803
Added Group: Name: 'group804' Type: 'Node' id: 804
Added Group: Name: 'group805' Type: 'Node' id: 805
Added Group: Name: 'group806' Type: 'Node' id: 806
Added Group: Name: 'group807' Type: 'Node' id: 807
Added Group: Name: 'group808' Type: 'Node' id: 808
Added Group: Name: 'group809' Type: 'Node' id: 809
Added Group: Name: 'group810' Type: 'Node' id: 810
Added Group: Name: 'group811' Type: 'Node' id: 811
Added Group: Name: 'group812' Type: 'Node' id: 812
Added Group: Name: 'group813' Type: 'Node' id: 813
Added Group: Name: 'group814' Type: 'Node' id: 814
Added Group: Name: 'group815' Type: 'Node' id: 815
Added Group: Name: 'group816' Type: 'Node' id: 816
Added Group: Name: 'group817' Type: 'Node' id: 817
Added Group: Name: 'group818' Type: 'Node' id: 818
Added Group: Name: 'group819' Type: 'Node' id: 819
Added Group: Name: 'group820' Type: 'Node' id: 820
Added Group: Name: 'group821' Type: 'Node' id: 821
Added Group: Name: 'group822' Type: 'Node' id: 822
Added Group: Name: 'group823' Type: 'Node' id: 823
Added Group: Name: 'group824' Type: 'Node' id: 824
Added Group: Name: 'group825' Type: 'Node' id: 825
Added Group: Name: 'group826' Type: 'Node' id: 826
Added Group: Name: 'group827' Type: 'Node' id: 827
Added Group: Name: 'group828' Type: 'Node' id: 828
Added Group: Name: 'group829' Type: 'Node' id: 829
Added Group: Name: 'group830' Type: 'Node' id: 830
Added Group: Name: 'group831' Type: 'Node' id: 831
Added Group: Name: 'group832' Type: 'Node' id: 832
Added Group: Name: 'group833' Type: 'Node' id: 833
Added Group: Name: 'group834' Type: 'Node' id: 834
Added Group: Name: 'group835' Type: 'Node' id: 835
Added Group: Name: 'group836' Type: 'Node' id: 836
Added Group: Name: 'group837' Type: 'Node' id: 837
Added Group: Name: 'group838' Type: 'Node' id: 838
Added Group: Name: 'group839' Type: 'Node' id: 839
Added Group: Name: 'group840' Type: 'Node' id: 840
Added Group: Name: 'group841' Type: 'Node' id: 841
Added Group: Name: 'group842' Type: 'Node' id: 842
Added Group: Name: 'group843' Type: 'Node' id: 843
Added Group: Name: 'group844' Type: 'Node' id: 844
Added Group: Name: 'group845' Type: 'Node' id: 845
Added Group: Name: 'group846' Type: 'Node' id: 846
Added Group: Name: 'group847' Type: 'Node' id: 847
Added Group: Name: 'group848' Type: 'Node' id: 848
Added Group: Name: 'group849' Type: 'Node' id: 849
Added Group: Name: 'group850' Type: 'Node' id: 850
Added Group: Name: 'group851' Type: 'Node' id: 851
Added Group: Name: 'group852' Type: 'Node' id: 852
Added Group: Name: 'group853' Type: 'Node' id: 853
Added Group: Name: 'group854' Type: 'Node' id: 854
Added Group: Name: 'group855' Type: 'Node' id: 855
Added Group: Name: 'group856' Type: 'Node' id: 856
Added Group: Name: 'group857' Type: 'Node' id: 857
Added Group: Name: 'group858' Type: 'Node' id: 858
Added Group: Name: 'group859' Type: 'Node' id: 859
Added Group: Name: 'group860' Type: 'Node' id: 860
Added Group: Name: 'group861' Type: 'Node' id: 861
Added Group: Name: 'group862' Type: 'Node' id: 862
Added Group: Name: 'group863' Type: 'Node' id: 863
Added Group: Name: 'group864' Type: 'Node' id: 864
Added Group: Name: 'group865' Type: 'Node' id: 865
Added Group: Name: 'group866' Type: 'Node' id: 866
Added Group: Name: 'group867' Type: 'Node' id: 867
Added Group: Name: 'group868' Type: 'Node' id: 868
Added Group: Name: 'group869' Type: 'Node' id: 869
Added Group: Name: 'group870' Type: 'Node' id: 870
Added Group: Name: 'group871' Type: 'Node' id: 871
Added Group: Name: 'group872' Type: 'Node' id: 872
Added Group: Name: 'group873' Type: 'Node' id: 873
Added Group: Name: 'group874' Type: 'Node' id: 874
Added Group: Name: 'group875' Type: 'Node' id: 875
Added Group: Name: 'group876' Type: 'Node' id: 876
Added Group: Name: 'group877' Type: 'Node' id: 877
Added Group: Name: 'group878' Type: 'Node' id: 878
Added Group: Name: 'group879' Type: 'Node' id: 879
Added Group: Name: 'group880' Type: 'Node' id: 880
Added Group: Name: 'group881' Type: 'Node' id: 881
Added Group: Name: 'group882' Type: 'Node' id: 882
Added Group: Name: 'group883' Type: 'Node' id: 883
Added Group: Name: 'group884' Type: 'Node' id: 884
Added Group: Name: 'group885' Type: 'Node' id: 885
Added Group: Name: 'group886' Type: 'Node' id: 886
Added Group: Name: 'group887' Type: 'Node' id: 887
Added Group: Name: 'group888' Type: 'Node' id: 888
Added Group: Name: 'group889' Type: 'Node' id: 889
Added Group: Name: 'group890' Type: 'Node' id: 890
Added Group: Name: 'group891' Type: 'Node' id: 891
Added Group: Name: 'group892' Type: 'Node' id: 892
Added Group: Name: 'group893' Type: 'Node' id: 893
Added Group: Name: 'group894' Type: 'Node' id: 894
Added Group: Name: 'group895' Type: 'Node' id: 895
Added Group: Name: 'group896' Type: 'Node' id: 896
Added Group: Name: 'group897' Type: 'Node' id: 897
Added Group: Name: 'group898' Type: 'Node' id: 898
Added Group: Name: 'group899' Type: 'Node' id: 899
Added Group: Name: 'group900' Type: 'Node' id: 900
Added Group: Name: 'group901' Type: 'Node' id: 901
Added Group: Name: 'group902' Type: 'Node' id: 902
Added Group: Name: 'group903' Type: 'Node' id: 903
Added Group: Name: 'group904' Type: 'Node' id: 904
Added Group: Name: 'group905' Type: 'Node' id: 905
Added Group: Name: 'group906' Type: 'Node' id: 906
Added Group: Name: 'group907' Type: 'Node' id: 907
Added Group: Name: 'group908' Type: 'Node' id: 908
Added Group: Name: 'group909' Type: 'Node' id: 909
Added Group: Name: 'group910' Type: 'Node' id: 910
Added Group: Name: 'group911' Type: 'Node' id: 911
Added Group: Name: 'group912' Type: 'Node' id: 912
Added Group: Name: 'group913' Type: 'Node' id: 913
Added Group: Name: 'group914' Type: 'Node' id: 914
Added Group: Name: 'group915' Type: 'Node' id: 915
Added Group: Name: 'group916' Type: 'Node' id: 916
Added Group: Name: 'group917' Type: 'Node' id: 917
Added Group: Name: 'group918' Type: 'Node' id: 918
Added Group: Name: 'group919' Type: 'Node' id: 919
Added Group: Name: 'group920' Type: 'Node' id: 920
Added Group: Name: 'group921' Type: 'Node' id: 921
Added Group: Name: 'group922' Type: 'Node' id: 922
Added Group: Name: 'group923' Type: 'Node' id: 923
Added Group: Name: 'group924' Type: 'Node' id: 924
Added Group: Name: 'group925' Type: 'Node' id: 925
Added Group: Name: 'group926' Type: 'Node' id: 926
Added Group: Name: 'group927' Type: 'Node' id: 927
Added Group: Name: 'group928' Type: 'Node' id: 928
Added Group: Name: 'group929' Type: 'Node' id: 929
Added Group: Name: 'group930' Type: 'Node' id: 930
Added Group: Name: 'group931' Type: 'Node' id: 931
Added Group: Name: 'group932' Type: 'Node' id: 932
Added Group: Name: 'group933' Type: 'Node' id: 933
Added Group: Name: 'group934' Type: 'Node' id: 934
Added Group: Name: 'group935' Type: 'Node' id: 935
Added Group: Name: 'group936' Type: 'Node' id: 936
Added Group: Name: 'group937' Type: 'Node' id: 937
Added Group: Name: 'group938' Type: 'Node' id: 938
Added Group: Name: 'group939' Type: 'Node' id: 939
Added Group: Name: 'group940' Type: 'Node' id: 940
Added Group: Name: 'group941' Type: 'Node' id: 941
Added Group: Name: 'group942' Type: 'Node' id: 942
Added Group: Name: 'group943' Type: 'Node' id: 943
Added Group: Name: 'group944' Type: 'Node' id: 944
Added Group: Name: 'group945' Type: 'Node' id: 945
Added Group: Name: 'group946' Type: 'Node' id: 946
Added Group: Name: 'group947' Type: 'Node' id: 947
Added Group: Name: 'group948' Type: 'Node' id: 948
Added Group: Name: 'group949' Type: 'Node' id: 949
Added Group: Name: 'group950' Type: 'Node' id: 950
Added Group: Name: 'group951' Type: 'Node' id: 951
Added Group: Name: 'group952' Type: 'Node' id: 952
Added Group: Name: 'group953' Type: 'Node' id: 953
Added Group: Name: 'group954' Type: 'Node' id: 954
Added Group: Name: 'group955' Type: 'Node' id: 955
Added Group: Name: 'group956' Type: 'Node' id: 956
Added Group: Name: 'group957' Type: 'Node' id: 957
Added Group: Name: 'group958' Type: 'Node' id: 958
Added Group: Name: 'group959' Type: 'Node' id: 959
Added Group: Name: 'group960' Type: 'Node' id: 960
Added Group: Name: 'group961' Type: 'Node' id: 961
Added Group: Name: 'group962' Type: 'Node' id: 962
Added Group: Name: 'group963' Type: 'Node' id: 963
Added Group: Name: 'group964' Type: 'Node' id: 964
Added Group: Name: 'group965' Type: 'Node' id: 965
Added Group: Name: 'group966' Type: 'Node' id: 966
Added Group: Name: 'group967' Type: 'Node' id: 967
Added Group: Name: 'group968' Type: 'Node' id: 968
Added Group: Name: 'group969' Type: 'Node' id: 969
Added Group: Name: 'group970' Type: 'Node' id: 970
Added Group: Name: 'group971' Type: 'Node' id: 971
Added Group: Name: 'group972' Type: 'Node' id: 972
Added Group: Name: 'group973' Type: 'Node' id: 973
Added Group: Name: 'group974' Type: 'Node' id: 974
Added Group: Name: 'group975' Type: 'Node' id: 975
Added Group: Name: 'group976' Type: 'Node' id: 976
Added Group: Name: 'group977' Type: 'Node' id: 977
Added Group: Name: 'group978' Type: 'Node' id: 978
Added Group: Name: 'group979' Type: 'Node' id: 979
Added Group: Name: 'group980' Type: 'Node' id: 980
Added Group: Name: 'group981' Type: 'Node' id: 981
Added Group: Name: 'group982' Type: 'Node' id: 982
Added Group: Name: 'group983' Type: 'Node' id: 983
Added Group: Name: 'group984' Type: 'Node' id: 984
Added Group: Name: 'group985' Type: 'Node' id: 985
Added Group: Name: 'group986' Type: 'Node' id: 986
Added Group: Name: 'group987' Type: 'Node' id: 987
Added Group: Name: 'group988' Type: 'Node' id: 988
Added Group: Name: 'group989' Type: 'Node' id: 989
Added Group: Name: 'group990' Type: 'Node' id: 990
Added Group: Name: 'group991' Type: 'Node' id: 991
Added Group: Name: 'group992' Type: 'Node' id: 992
Added Group: Name: 'group993' Type: 'Node' id: 993
Added Group: Name: 'group994' Type: 'Node' id: 994
Added Group: Name: 'group995' Type: 'Node' id: 995
Added Group: Name: 'group996' Type: 'Node' id: 996
Added Group: Name: 'group997' Type: 'Node' id: 997
Added Group: Name: 'group998' Type: 'Node' id: 998
Added Group: Name: 'group999' Type: 'Node' id: 999
ok
test_00print (femtest.app.test_result.TestResult) ...
****************************************************************************************************
********** run FEM TestResult tests ****************************************************************
****************************************************************************************************
ok
test_disp_abs (femtest.app.test_result.TestResult) ... ok
test_read_frd_massflow_networkpressure (femtest.app.test_result.TestResult) ... Read ccx results from frd file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_flow1D.frd
Read special 1DFlow nodes data form: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_flow1D_inout_nodes.txt
[['2', '15', '1', 'PIPE INLET\n'], ['13', '27', '28', 'PIPE OUTLET\n']]
ok
test_rho (femtest.app.test_result.TestResult) ... ok
test_stress_principal_reinforced (femtest.app.test_result.TestResult) ... ok
test_stress_principal_std (femtest.app.test_result.TestResult) ... ok
test_stress_von_mises (femtest.app.test_result.TestResult) ... ok
test_00print (femtest.app.test_ccxtools.TestCcxTools) ...
****************************************************************************************************
********** run FEM TestCcxTools tests **************************************************************
****************************************************************************************************
ok
test_box_frequency (femtest.app.test_ccxtools.TestCcxTools) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
--------------- Start of FEM ccxtools box_frequency test---------------
Setting up working directory /tmp/FEM_unittests/ccxtools_box_frequency_06741fd77fb3
Checking FEM inp file prerequisites for box_frequency ...

Check prerequisites...
Checking FEM inp file write...
Writing /tmp/FEM_unittests/ccxtools_box_frequency_06741fd77fb3/Mesh.inp for box_frequency

Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
Getting mesh data time: 0.0 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/ccxtools_box_frequency_06741fd77fb3/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/box_frequency.inp to /tmp/FEM_unittests/ccxtools_box_frequency_06741fd77fb3/Mesh.inp
Setting up working directory to /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix in order to read simulated calculations
Setting base name to read test box_frequency.frd file...
Setting inp file name to read test box_frequency.frd file...
Checking FEM frd file read from box_frequency...

CalculiX read results...
Read ccx results from frd file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/box_frequency.frd
Read ccx results from dat file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/box_frequency.dat
Reading stats from result object for box_frequency...
Save FreeCAD file for box_frequency to /tmp/FEM_unittests/ccxtools_box_frequency_06741fd77fb3/box_frequency.FCStd...
--------------- End of box_frequency -------------------
ok
test_box_static (femtest.app.test_ccxtools.TestCcxTools) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
--------------- Start of FEM ccxtools box_static test---------------
Setting up working directory /tmp/FEM_unittests/ccxtools_box_static_81ef1f22e9b2
Checking FEM inp file prerequisites for box_static ...

Check prerequisites...
Checking FEM inp file write...
Writing /tmp/FEM_unittests/ccxtools_box_static_81ef1f22e9b2/Mesh.inp for box_static

Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
FemConstraintFixed:
    Type: Fem::ConstraintFixed, Name: FemConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
FemConstraintForce:
    Type: Fem::ConstraintForce, Name: FemConstraintForce
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face6
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
FemConstraintPressure:
    Type: Fem::ConstraintPressure, Name: FemConstraintPressure
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
Getting mesh data time: 0.254 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/ccxtools_box_static_81ef1f22e9b2/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.015 seconds.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/box_static.inp to /tmp/FEM_unittests/ccxtools_box_static_81ef1f22e9b2/Mesh.inp
Setting up working directory to /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix in order to read simulated calculations
Setting base name to read test box_static.frd file...
Setting inp file name to read test box_static.frd file...
Checking FEM frd file read from box_static...

CalculiX read results...
Read ccx results from frd file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/box_static.frd
Read ccx results from dat file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/box_static.dat
Reading stats from result object for box_static...
Save FreeCAD file for box_static to /tmp/FEM_unittests/ccxtools_box_static_81ef1f22e9b2/box_static.FCStd...
--------------- End of box_static -------------------
ok
test_thermomech_flow1D (femtest.app.test_ccxtools.TestCcxTools) ... Recompute......
Recompute......                                 (100.0 %)
                                                (100.0 %)
--------------- Start of FEM ccxtools thermomech_flow1D test---------------
Setting up working directory /tmp/FEM_unittests/ccxtools_thermomech_flow1D_3f938bfe504e
Checking FEM inp file prerequisites for thermomech_flow1D ...

Check prerequisites...
Checking FEM inp file write...
Writing /tmp/FEM_unittests/ccxtools_thermomech_flow1D_3f938bfe504e/Mesh.inp for thermomech_flow1D

Get mesh data for constraints, materials and element geometry...
Fluid sections
Constraint: ElementFluid1D --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge1
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D001 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge2
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D002 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge3
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge5
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D003 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge4
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D004 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge6
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D005 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge7
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D006 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge8
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D007 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge11
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge9
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D008 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge10
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D009 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge12
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D010 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge13
std search: get_femelements_by_femnodes_std
Count finite elements as sum of constraints:   13
Count finite elements of the finite element mesh: 13
Getting mesh data time: 0.02 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/ccxtools_thermomech_flow1D_3f938bfe504e/Mesh.inp
One monster input file.
1DFlow inout nodes file: /tmp/FEM_unittests/ccxtools_thermomech_flow1D_3f938bfe504e/Mesh_inout_nodes.txt
ElementFluid1D:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge1
ElementFluid1D001:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D001
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge2
ElementFluid1D002:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D002
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge3
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge5
ElementFluid1D003:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D003
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge4
ElementFluid1D004:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D004
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge6
ElementFluid1D005:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D005
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge7
ElementFluid1D006:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D006
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge8
ElementFluid1D007:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D007
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge11
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge9
ElementFluid1D008:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D008
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge10
ElementFluid1D009:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D009
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge12
ElementFluid1D010:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D010
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge13
Writing time CalculiX input file: 0.027 seconds.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_flow1D.inp to /tmp/FEM_unittests/ccxtools_thermomech_flow1D_3f938bfe504e/Mesh.inp
Setting up working directory to /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix in order to read simulated calculations
Setting base name to read test thermomech_flow1D.frd file...
Setting inp file name to read test thermomech_flow1D.frd file...
Checking FEM frd file read from thermomech_flow1D...

CalculiX read results...
Read ccx results from frd file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_flow1D.frd
Read special 1DFlow nodes data form: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_flow1D_inout_nodes.txt
[['2', '15', '1', 'PIPE INLET\n'], ['13', '27', '28', 'PIPE OUTLET\n']]
Read ccx results from dat file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_flow1D.dat
Reading stats from result object for thermomech_flow1D...
Save FreeCAD file for thermomech_flow1D to /tmp/FEM_unittests/ccxtools_thermomech_flow1D_3f938bfe504e/thermomech_flow1D.FCStd...
--------------- End of thermomech_flow1D -------------------
ok
test_thermomech_spine (femtest.app.test_ccxtools.TestCcxTools) ... Recompute......
Recompute......                                 (100.0 %)
                                                (100.0 %)
--------------- Start of FEM ccxtools thermomech_spine test---------------
Setting up working directory /tmp/FEM_unittests/ccxtools_thermomech_spine_61e1fea87e6a
Checking FEM inp file prerequisites for thermomech_spine ...

Check prerequisites...
Checking FEM inp file write...
Writing /tmp/FEM_unittests/ccxtools_thermomech_spine_61e1fea87e6a/Mesh.inp for thermomech_spine

Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
FemConstraintFixed:
    Type: Fem::ConstraintFixed, Name: FemConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
FemConstraintTemperature:
    Type: Fem::ConstraintTemperature, Name: FemConstraintTemperature
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
Getting mesh data time: 0.289 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/ccxtools_thermomech_spine_61e1fea87e6a/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.007 seconds.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_spine.inp to /tmp/FEM_unittests/ccxtools_thermomech_spine_61e1fea87e6a/Mesh.inp
Setting up working directory to /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix in order to read simulated calculations
Setting base name to read test thermomech_spine.frd file...
Setting inp file name to read test thermomech_spine.frd file...
Checking FEM frd file read from thermomech_spine...

CalculiX read results...
Read ccx results from frd file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_spine.frd
Read ccx results from dat file: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/calculix/thermomech_spine.dat
Reading stats from result object for thermomech_spine...
Save FreeCAD file for thermomech_spine to /tmp/FEM_unittests/ccxtools_thermomech_spine_61e1fea87e6a/thermomech_spine.FCStd...
--------------- End of thermomech_spine -------------------
ok
test_00print (femtest.app.test_solver_calculix.TestSolverCalculix) ...
****************************************************************************************************
********** run FEM TestSolverCalculix tests *******************************************************
****************************************************************************************************
ok
test_box_frequency (femtest.app.test_solver_calculix.TestSolverCalculix) ...
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
Getting mesh data time: 0.0 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_box_frequency_3eb6d80ed16f/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_box_static (femtest.app.test_solver_calculix.TestSolverCalculix) ...
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
FemConstraintFixed:
    Type: Fem::ConstraintFixed, Name: FemConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
FemConstraintForce:
    Type: Fem::ConstraintForce, Name: FemConstraintForce
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face6
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
FemConstraintPressure:
    Type: Fem::ConstraintPressure, Name: FemConstraintPressure
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
Getting mesh data time: 0.038 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_box_static_eb7bb115ef19/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_buckling_flexuralbuckling (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Beam, Object label: Beam, Element name: Face5
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Beam, Object label: Beam, Element name: Face6
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 0.019 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_buckling_flexuralbuckling_b3e5bbdbeead/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_beam_circle (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Beam rotations
std search: get_femelements_by_femnodes_std
beam_axis_m is retrieved from the geometry but we could get if from mesh edge too
[{'direction': Vector (8000.0, 0.0, 0.0), 'ids': [1, 2, 3, 4, 5], 'beam_axis_m': [-0.0, 1.0, 0]}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex2
Getting mesh data time: 0.002 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_beam_circle_e4367022c54f/Mesh.inp
One monster input file.
-0, 1, 0

Writing time CalculiX input file: 0.0 seconds.
ok
test_ccx_cantilever_beam_pipe (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Beam rotations
std search: get_femelements_by_femnodes_std
beam_axis_m is retrieved from the geometry but we could get if from mesh edge too
[{'direction': Vector (8000.0, 0.0, 0.0), 'ids': [1, 2, 3, 4, 5], 'beam_axis_m': [-0.0, 1.0, 0]}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex2
Getting mesh data time: 0.002 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_beam_pipe_b0aae0f8c66b/Mesh.inp
One monster input file.
-0, 1, 0

Writing time CalculiX input file: 0.0 seconds.
ok
test_ccx_cantilever_beam_rect (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Beam rotations
std search: get_femelements_by_femnodes_std
beam_axis_m is retrieved from the geometry but we could get if from mesh edge too
[{'direction': Vector (8000.0, 0.0, 0.0), 'ids': [1, 2, 3, 4, 5], 'beam_axis_m': [-0.0, 1.0, 0]}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex2
Getting mesh data time: 0.001 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_beam_rect_f423d058cf43/Mesh.inp
One monster input file.
-0, 1, 0

Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_ele_hexa20 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 0.014 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_hexa20_9d78528bc7ef/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_ele_quad4 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge3
Getting mesh data time: 0.001 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_quad4_f77d74e934d3/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.0 seconds.
ok
test_ccx_cantilever_ele_quad8 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge3
Getting mesh data time: 0.001 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_quad8_bf2179cfb18f/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.0 seconds.
ok
test_ccx_cantilever_ele_seg2 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Beam rotations
std search: get_femelements_by_femnodes_std
beam_axis_m is retrieved from the geometry but we could get if from mesh edge too
[{'direction': Vector (8000.0, 0.0, 0.0), 'ids': [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54], 'beam_axis_m': [-0.0, 1.0, 0]}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex2
Getting mesh data time: 0.003 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_seg2_14c08b4e6680/Mesh.inp
One monster input file.
-0, 1, 0

Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_ele_seg3 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Beam rotations
std search: get_femelements_by_femnodes_std
beam_axis_m is retrieved from the geometry but we could get if from mesh edge too
[{'direction': Vector (8000.0, 0.0, 0.0), 'ids': [1, 2, 3, 4, 5], 'beam_axis_m': [-0.0, 1.0, 0]}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: CantileverLine, Object label: CantileverLine, Element name: Vertex2
Getting mesh data time: 0.002 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_seg3_0068d3cb4cd4/Mesh.inp
One monster input file.
-0, 1, 0

Writing time CalculiX input file: 0.0 seconds.
ok
test_ccx_cantilever_ele_tria3 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge3
Getting mesh data time: 0.003 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_tria3_153c5ee298f8/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.002 seconds.
ok
test_ccx_cantilever_ele_tria6 (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Edge, Object name: CanileverPlate, Object label: CanileverPlate, Element name: Edge3
Getting mesh data time: 0.001 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_ele_tria6_b38f7bf0ff86/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_faceload (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 0.01 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_faceload_131de400bed7/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_nodeload (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex5
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex6
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex7
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex8
Getting mesh data time: 0.004 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_nodeload_2e24834c366e/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_ccx_cantilever_prescribeddisplacement (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintDisplacmentPrescribed:
    Type: Fem::ConstraintDisplacement, Name: ConstraintDisplacmentPrescribed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
Getting mesh data time: 0.007 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_ccx_cantilever_prescribeddisplacement_9eecdb7e45c4/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_constraint_centrif (femtest.app.test_solver_calculix.TestSolverCalculix) ... ok
test_constraint_contact_shell_shell (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: Lower_tube, Object label: Lower_tube, Element name: Edge2
    ReferenceShape ... Type: Edge, Object name: Upper_tube, Object label: Upper_tube, Element name: Edge3
ConstraintContact:
    Type: Fem::ConstraintContact, Name: ConstraintContact
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: Load_place_point, Object label: Load_place_point, Element name: Vertex1
Getting mesh data time: 3.386 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_constraint_contact_shell_shell_2684df031fb5/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.046 seconds.
ok
test_constraint_contact_solid_solid (femtest.app.test_solver_calculix.TestSolverCalculix) ... ok
test_constraint_sectionprint (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MaterialSolid', 'mat_obj_name': 'Material', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face9
ConstraintPressure:
    Type: Fem::ConstraintPressure, Name: ConstraintPressure
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face1
Getting mesh data time: 0.13 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_constraint_sectionprint_0f666369d240/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.007 seconds.
ok
test_constraint_selfweight_cantilever (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
Getting mesh data time: 0.003 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_constraint_selfweight_cantilever_caf8140130be/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.004 seconds.
ok
test_constraint_tie (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Calculix-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Edge1
ConstraintTie:
    Type: Fem::ConstraintTie, Name: ConstraintTie
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face5
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face7
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Edge, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Edge2
Getting mesh data time: 0.146 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_constraint_tie_8c7a566a243c/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.039 seconds.
ok
test_constraint_transform_beam_hinged (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
FemConstraintDisplacment:
    Type: Fem::ConstraintDisplacement, Name: FemConstraintDisplacment
    ReferenceShape ... Type: Face, Object name: CompoundFilter, Object label: CompoundFilter, Element name: Face4
    ReferenceShape ... Type: Face, Object name: CompoundFilter, Object label: CompoundFilter, Element name: Face5
FemConstraintTransform1:
    Type: Fem::ConstraintTransform, Name: FemConstraintTransform1
    ReferenceShape ... Type: Face, Object name: CompoundFilter, Object label: CompoundFilter, Element name: Face4
FemConstraintTransform2:
    Type: Fem::ConstraintTransform, Name: FemConstraintTransform2
    ReferenceShape ... Type: Face, Object name: CompoundFilter, Object label: CompoundFilter, Element name: Face5
FemConstraintPressure:
    Type: Fem::ConstraintPressure, Name: FemConstraintPressure
    ReferenceShape ... Type: Face, Object name: CompoundFilter, Object label: CompoundFilter, Element name: Face8
Getting mesh data time: 0.386 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_constraint_transform_beam_hinged_80e3dcf83385/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.007 seconds.
ok
test_constraint_transform_torque (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Calculix-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Cut, Object label: Cut, Element name: Face3
ConstraintTransform:
    Type: Fem::ConstraintTransform, Name: ConstraintTransform
    ReferenceShape ... Type: Face, Object name: Cut, Object label: Cut, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Cut, Object label: Cut, Element name: Face1
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 7.839 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_constraint_transform_torque_c1c39f6d4ee8/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.024 seconds.
ok
test_frequency_beamsimple (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
Fix_XYZ:
    Type: Fem::ConstraintDisplacement, Name: Fix_XYZ
    ReferenceShape ... Type: Edge, Object name: Box, Object label: Box, Element name: Edge4
Fix_YZ:
    Type: Fem::ConstraintDisplacement, Name: Fix_YZ
    ReferenceShape ... Type: Edge, Object name: Box, Object label: Box, Element name: Edge8
Getting mesh data time: 0.008 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_frequency_beamsimple_073972a3d7c0/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.032 seconds.
ok
test_material_multiple_bendingbeam_fiveboxes (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Materials
Constraint: FemMaterial1 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Solid, Object name: Box3, Object label: Box3, Element name: Solid1
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 12630
found Volumes: 1466
Constraint: FemMaterial2 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Solid, Object name: Box2, Object label: Box2, Element name: Solid1
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 12630
found Volumes: 1458
    ReferenceShape ... Type: Solid, Object name: Box4, Object label: Box4, Element name: Solid1
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 12630
found Volumes: 1472
Constraint: FemMaterial3 --> We're going to search in the mesh for the element ID's.
Count finite elements as sum of constraints:   7315
Count finite elements of the finite element mesh: 7315
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box1, Object label: Box1, Element name: Face1
    ReferenceShape ... Type: Face, Object name: Box5, Object label: Box5, Element name: Face2
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Box1, Object label: Box1, Element name: Face6
    ReferenceShape ... Type: Face, Object name: Box2, Object label: Box2, Element name: Face6
    ReferenceShape ... Type: Face, Object name: Box3, Object label: Box3, Element name: Face6
    ReferenceShape ... Type: Face, Object name: Box4, Object label: Box4, Element name: Face6
    ReferenceShape ... Type: Face, Object name: Box5, Object label: Box5, Element name: Face6
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 15.558 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_material_multiple_bendingbeam_fiveboxes_7e6f02c04177/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.045 seconds.
ok
test_material_multiple_bendingbeam_fivefaces (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Materials
Constraint: FemMaterial1 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Face, Object name: Face3, Object label: Face3, Element name: Face1
std search: get_femelements_by_femnodes_std
Constraint: FemMaterial2 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Face, Object name: Face2, Object label: Face2, Element name: Face1
std search: get_femelements_by_femnodes_std
    ReferenceShape ... Type: Face, Object name: Face4, Object label: Face4, Element name: Face1
std search: get_femelements_by_femnodes_std
Constraint: FemMaterial3 --> We're going to search in the mesh for the element ID's.
Count finite elements as sum of constraints:   590
Count finite elements of the finite element mesh: 590
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: Face1, Object label: Face1, Element name: Edge1
    ReferenceShape ... Type: Edge, Object name: Face5, Object label: Face5, Element name: Edge3
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Edge, Object name: Face1, Object label: Face1, Element name: Edge4
    ReferenceShape ... Type: Edge, Object name: Face2, Object label: Face2, Element name: Edge4
    ReferenceShape ... Type: Edge, Object name: Face3, Object label: Face3, Element name: Edge4
    ReferenceShape ... Type: Edge, Object name: Face4, Object label: Face4, Element name: Edge4
    ReferenceShape ... Type: Edge, Object name: Face5, Object label: Face5, Element name: Edge4
Getting mesh data time: 0.237 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_material_multiple_bendingbeam_fivefaces_b3296d3250e2/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.006 seconds.
ok
test_material_multiple_tensionrod_twoboxes (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Materials
Constraint: MechanicalMaterialLow --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Solid, Object name: BoxLower, Object label: BoxLower, Element name: Solid1
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 553
found Volumes: 148
Constraint: MechanicalMaterialUpp --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Solid, Object name: BoxUpper, Object label: BoxUpper, Element name: Solid1
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 553
found Volumes: 148
Count finite elements as sum of constraints:   296
Count finite elements of the finite element mesh: 296
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: MultiMatCompSolid, Object label: MultiMatCompSolid, Element name: Face5
ConstraintPressure:
    Type: Fem::ConstraintPressure, Name: ConstraintPressure
    ReferenceShape ... Type: Face, Object name: MultiMatCompSolid, Object label: MultiMatCompSolid, Element name: Face11
Getting mesh data time: 1.044 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_material_multiple_tensionrod_twoboxes_9b1c71913969/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.002 seconds.
ok
test_material_nonlinear (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'Material_linSolid', 'mat_obj_name': 'Material_lin', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Hole_Plate, Object label: Hole_Plate, Element name: Face4
ConstraintPressure:
    Type: Fem::ConstraintPressure, Name: ConstraintPressure
    ReferenceShape ... Type: Face, Object name: Hole_Plate, Object label: Hole_Plate, Element name: Face2
Getting mesh data time: 0.288 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_material_nonlinear_58de1a53cc5e/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.038 seconds.
ok
test_square_pipe_end_twisted_edgeforces (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge4
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge7
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge10
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge12
ConstraintForce1:
    Type: Fem::ConstraintForce, Name: ConstraintForce1
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge9
ConstraintForce2:
    Type: Fem::ConstraintForce, Name: ConstraintForce2
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge3
ConstraintForce3:
    Type: Fem::ConstraintForce, Name: ConstraintForce3
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge11
ConstraintForce4:
    Type: Fem::ConstraintForce, Name: ConstraintForce4
    ReferenceShape ... Type: Edge, Object name: SquareTube, Object label: SquareTube, Element name: Edge6
Getting mesh data time: 0.012 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_square_pipe_end_twisted_edgeforces_b64f479ee1a3/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.005 seconds.
ok
test_square_pipe_end_twisted_nodeforces (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex6
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex15
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex5
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex29
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex42
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex30
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex9
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex31
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex33
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex32
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex3
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex34
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex46
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex1
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex36
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex11
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex38
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex12
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex39
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex13
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex40
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex16
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex35
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex14
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex47
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex20
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex37
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex18
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex41
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex17
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex10
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex26
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex43
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex21
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex44
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex19
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex4
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex28
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex48
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex22
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex8
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex23
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex7
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex24
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex45
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex27
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex2
    ReferenceShape ... Type: Vertex, Object name: Fixes, Object label: Fixes, Element name: Vertex25
ConstraintForce1:
    Type: Fem::ConstraintForce, Name: ConstraintForce1
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex1
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex14
ConstraintForce2:
    Type: Fem::ConstraintForce, Name: ConstraintForce2
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex2
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex8
ConstraintForce3:
    Type: Fem::ConstraintForce, Name: ConstraintForce3
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex20
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex21
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex22
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex23
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex24
ConstraintForce4:
    Type: Fem::ConstraintForce, Name: ConstraintForce4
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex9
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex10
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex11
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex12
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex13
ConstraintForce5:
    Type: Fem::ConstraintForce, Name: ConstraintForce5
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex43
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex44
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex45
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex46
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex47
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex48
ConstraintForce6:
    Type: Fem::ConstraintForce, Name: ConstraintForce6
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex31
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex32
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex33
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex34
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex35
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex36
ConstraintForce7:
    Type: Fem::ConstraintForce, Name: ConstraintForce7
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex1
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex2
ConstraintForce8:
    Type: Fem::ConstraintForce, Name: ConstraintForce8
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex8
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex14
ConstraintForce9:
    Type: Fem::ConstraintForce, Name: ConstraintForce9
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex3
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex4
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex5
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex6
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex7
ConstraintForce10:
    Type: Fem::ConstraintForce, Name: ConstraintForce10
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex15
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex16
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex17
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex18
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex19
ConstraintForce11:
    Type: Fem::ConstraintForce, Name: ConstraintForce11
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex25
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex26
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex27
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex28
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex29
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex30
ConstraintForce12:
    Type: Fem::ConstraintForce, Name: ConstraintForce12
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex37
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex38
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex39
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex40
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex41
    ReferenceShape ... Type: Vertex, Object name: Forces, Object label: Forces, Element name: Vertex42
Getting mesh data time: 0.051 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_square_pipe_end_twisted_nodeforces_216cf5ed6b61/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.005 seconds.
ok
test_thermomech_bimetall (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Materials
Constraint: MaterialCopper --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Solid, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Solid1
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 3093
found Volumes: 750
Constraint: MaterialInvar --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Solid, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Solid2
binary search: get_femelements_by_femnodes_bin
len femnodes_ele_table: 3093
found Volumes: 750
Count finite elements as sum of constraints:   1500
Count finite elements of the finite element mesh: 1500
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face1
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face7
ConstraintTemperature:
    Type: Fem::ConstraintTemperature, Name: ConstraintTemperature
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face1
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face2
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face3
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face4
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face5
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face7
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face8
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face9
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face10
    ReferenceShape ... Type: Face, Object name: BooleanFragments, Object label: BooleanFragments, Element name: Face11
Getting mesh data time: 8.644 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_thermomech_bimetall_63278a6d61c3/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.011 seconds.
ok
test_thermomech_flow1D (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
Fluid sections
Constraint: ElementFluid1D --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge1
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D001 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge2
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D002 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge3
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge5
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D003 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge4
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D004 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge6
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D005 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge7
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D006 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge8
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D007 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge11
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge9
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D008 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge10
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D009 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge12
std search: get_femelements_by_femnodes_std
Constraint: ElementFluid1D010 --> We're going to search in the mesh for the element ID's.
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge13
std search: get_femelements_by_femnodes_std
Count finite elements as sum of constraints:   13
Count finite elements of the finite element mesh: 13
Getting mesh data time: 0.005 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_thermomech_flow1D_41d55bdf8e2e/Mesh.inp
One monster input file.
1DFlow inout nodes file: /tmp/FEM_unittests/solver_calculix_thermomech_flow1D_41d55bdf8e2e/Mesh_inout_nodes.txt
ElementFluid1D:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge1
ElementFluid1D001:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D001
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge2
ElementFluid1D002:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D002
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge3
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge5
ElementFluid1D003:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D003
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge4
ElementFluid1D004:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D004
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge6
ElementFluid1D005:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D005
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge7
ElementFluid1D006:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D006
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge8
ElementFluid1D007:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D007
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge11
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge9
ElementFluid1D008:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D008
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge10
ElementFluid1D009:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D009
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge12
ElementFluid1D010:
    Type: Fem::ElementFluid1D, Name: ElementFluid1D010
    ReferenceShape ... Type: Edge, Object name: Wire, Object label: Wire, Element name: Edge13
Writing time CalculiX input file: 0.004 seconds.
ok
test_thermomech_spine (femtest.app.test_solver_calculix.TestSolverCalculix) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'MechanicalMaterialSolid', 'mat_obj_name': 'MechanicalMaterial', 'ccx_mat_name': 'Steel-Generic'}]
FemConstraintFixed:
    Type: Fem::ConstraintFixed, Name: FemConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
FemConstraintTemperature:
    Type: Fem::ConstraintTemperature, Name: FemConstraintTemperature
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
Getting mesh data time: 0.019 seconds.

CalculiX solver input writing...
Input file:/tmp/FEM_unittests/solver_calculix_thermomech_spine_6f947e604530/Mesh.inp
One monster input file.
Writing time CalculiX input file: 0.001 seconds.
ok
test_00print (femtest.app.test_solver_elmer.TestSolverElmer) ...
****************************************************************************************************
********** run FEM TestSolverElmer tests *******************************************************
****************************************************************************************************

ok
test_box_static_0_mm (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 0.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_box_static_0_mm_bfc33fba65f5
The FreeCAD standard unit schema mm/kg/s is used. Elmer sif-file writing is done in Standard FreeCAD units.
Exception in thread Thread-197 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'
Test writing STARTINFO file

ERROR
test_ccxcantilever_faceload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 0.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_0_mm_69f8f903caed
The FreeCAD standard unit schema mm/kg/s is used. Elmer sif-file writing is done in Standard FreeCAD units.
Exception in thread Thread-203 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'

FAIL
test_ccxcantilever_faceload_1_si (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 1.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_1_si_f8d05c4d75b6
The SI unit schema m/kg/s is used. Elmer sif-file writing is done in SI-units.
'Coordinate Scaling = Real 0.001' was inserted into the solver input file.
'Coordinate Scaling Revert = Logical True' was inserted into the solver input file.
Exception in thread Thread-209 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'
Reset unit schema back to 0

FAIL
test_ccxcantilever_nodeload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 0.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_nodeload_0_mm_bc29241c32a2
The FreeCAD standard unit schema mm/kg/s is used. Elmer sif-file writing is done in Standard FreeCAD units.
Exception in thread Thread-215 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'

FAIL
test_ccxcantilever_prescribeddisplacement_0_mm (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 0.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_prescribeddisplacement_0_mm_9d274061d4bb
The FreeCAD standard unit schema mm/kg/s is used. Elmer sif-file writing is done in Standard FreeCAD units.
Exception in thread Thread-221 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'

FAIL
test_00print (femtest.app.test_solver_z88.TestSolverZ88) ...
****************************************************************************************************
********** run FEM TestSolverFrameWork tests *******************************************************
****************************************************************************************************
ok
test_ccx_cantilever_ele_hexa20 (femtest.app.test_solver_z88.TestSolverZ88) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
------------- Start of FEM Z88 tests for ccx_cantilever_ele_hexa20 -------
Save FreeCAD file to /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/ccx_cantilever_ele_hexa20.FCStd ...

Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 0.018 seconds.

Z88 solver input writing...
FemInputWriterZ88 --> self.file_name  -->  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88
Write z88 input files to: /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088
The femelement_table need to be calculated.
{'INTORD': '3', 'INTOS': '0', 'IHFLAG': '0', 'ISFLAG': '0'}
Writing time input file: 0.0 seconds

['z88mat.txt', 'z88man.txt', 'z88int.txt', 'z88i2.txt', 'z88i5.txt', 'z88elp.txt', 'z88i1.txt', 'z88.dyn', '51.txt']
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88mat.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88mat.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88man.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88man.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88int.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88int.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88i2.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88i2.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88i5.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88i5.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88elp.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88elp.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88i1.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88i1.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/z88.dyn  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/z88.dyn
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_ele_hexa20/51.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_ele_hexa20_8afa8b76a088/51.txt
--------------- End of FEM Z88 tests for ccx_cantilever_ele_hexa20 ---------
ok
test_ccx_cantilever_ele_tria6 (femtest.app.test_solver_z88.TestSolverZ88) ... ok
test_ccx_cantilever_faceload (femtest.app.test_solver_z88.TestSolverZ88) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
------------- Start of FEM Z88 tests for ccx_cantilever_faceload -------
Save FreeCAD file to /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/ccx_cantilever_faceload.FCStd ...

Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face2
  No face data in finite volume element mesh. FreeCAD uses getccxVolumesByFace() to retrieve the volume elements of the ref_face.
Getting mesh data time: 0.01 seconds.

Z88 solver input writing...
FemInputWriterZ88 --> self.file_name  -->  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88
Write z88 input files to: /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457
The femelement_table need to be calculated.
{'INTORD': '4', 'INTOS': '0', 'IHFLAG': '0', 'ISFLAG': '0'}
Writing time input file: 0.0 seconds

['z88man.txt', 'z88int.txt', 'z88mat.txt', 'z88i5.txt', 'z88i2.txt', 'z88elp.txt', 'z88i1.txt', 'z88.dyn', '51.txt']
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88man.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88man.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88int.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88int.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88mat.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88mat.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88i5.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88i5.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88i2.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88i2.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88elp.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88elp.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88i1.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88i1.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/z88.dyn  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/z88.dyn
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_faceload/51.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_faceload_4d83927c7457/51.txt
--------------- End of FEM Z88 tests for ccx_cantilever_faceload ---------
ok
test_ccx_cantilever_nodeload (femtest.app.test_solver_z88.TestSolverZ88) ... Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
                                                (100.0 %)
------------- Start of FEM Z88 tests for ccx_cantilever_nodeload -------
Save FreeCAD file to /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/ccx_cantilever_nodeload.FCStd ...

Get mesh data for constraints, materials and element geometry...
[{'ccx_elset': 'Evolumes', 'ccx_elset_name': 'FemMaterialSolid', 'mat_obj_name': 'FemMaterial', 'ccx_mat_name': 'CalculiX-Steel'}]
ConstraintFixed:
    Type: Fem::ConstraintFixed, Name: ConstraintFixed
    ReferenceShape ... Type: Face, Object name: Box, Object label: Box, Element name: Face1
ConstraintForce:
    Type: Fem::ConstraintForce, Name: ConstraintForce
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex5
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex6
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex7
    ReferenceShape ... Type: Vertex, Object name: Box, Object label: Box, Element name: Vertex8
Getting mesh data time: 0.004 seconds.

Z88 solver input writing...
FemInputWriterZ88 --> self.file_name  -->  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88
Write z88 input files to: /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4
The femelement_table need to be calculated.
{'INTORD': '4', 'INTOS': '0', 'IHFLAG': '0', 'ISFLAG': '0'}
Writing time input file: 0.0 seconds

['z88mat.txt', 'z88man.txt', 'z88i1.txt', 'z88i2.txt', 'z88elp.txt', 'z88int.txt', 'z88i5.txt', 'z88.dyn', '51.txt']
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88mat.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88mat.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88man.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88man.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88i1.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88i1.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88i2.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88i2.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88elp.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88elp.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88int.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88int.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88i5.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88i5.txt
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/z88.dyn  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/z88.dyn
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/z88/ccx_cantilever_nodeload/51.txt  to  /tmp/FEM_unittests/solver_z88_ccx_cantilever_nodeload_50c4da1461a4/51.txt
--------------- End of FEM Z88 tests for ccx_cantilever_nodeload ---------
ok
test_import_draft (drafttests.test_import.DraftImport)
Import the Draft module. ...
------------------------------------------------------------------------------
  Try importing 'Draft'
ok
test_import_draft_geomutils (drafttests.test_import.DraftImport)
Import Draft geometrical utilities. ...
------------------------------------------------------------------------------
  Try importing 'DraftGeomUtils'
ok
test_import_draft_svg (drafttests.test_import.DraftImport)
Import Draft SVG utilities. ...
------------------------------------------------------------------------------
  Try importing 'draftfunctions.svg'
ok
test_import_draft_vecutils (drafttests.test_import.DraftImport)
Import Draft vector utilities. ...
------------------------------------------------------------------------------
  Try importing 'DraftVecUtils'
ok
test_arc (drafttests.test_creation.DraftCreation)
Create a circular arc. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Arc'
  radius=2
  startangle=0, endangle=90
ok
test_arc_3points (drafttests.test_creation.DraftCreation)
Create a circular arc from three points. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Arc 3Points'
  a=Vector (5.0, 0.0, 0.0), b=Vector (4.0, 3.0, 0.0)
  c=Vector (0.0, 5.0, 0.0)
----------------
Arc by 3 points
p1: Vector (5.0, 0.0, 0.0)
p2: Vector (4.0, 3.0, 0.0)
p3: Vector (0.0, 5.0, 0.0)
Radius: 5.000000000000002
Center: Vector (-1.3322676295501878e-15, -1.3322676295501878e-15, 0.0)
ok
test_bezcurve (drafttests.test_creation.DraftCreation)
Create a bezier curve of six points, degree five. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft BezCurve'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (5.0, 3.0, 0.0), d=Vector (9.0, 0.0, 0.0)
  e=Vector (12.0, 5.0, 0.0), f=Vector (12.0, 8.0, 0.0)
ok
test_bspline (drafttests.test_creation.DraftCreation)
Create a BSpline of three points. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft BSpline'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
  c=Vector (2.0, 2.0, 0.0)
ok
test_circle (drafttests.test_creation.DraftCreation)
Create a circle. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Circle'
  radius=3
ok
test_cubicbezcurve (drafttests.test_creation.DraftCreation)
Create a cubic bezier curve of four points. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft CubBezCurve'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (5.0, 3.0, 0.0), d=Vector (9.0, 0.0, 0.0)
ok
test_dimension_angular (drafttests.test_creation.DraftCreation)
Create an angular dimension between two lines at given angles. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension Angular'
  Occasionally crashes
  center=Vector (0.0, 0.0, 0.0)
  angle1=20, angle2=70
  dim_line=Vector (3.0, 1.0, 0.0)
----------------
Angular dimension
center: Vector (0.0, 0.0, 0.0)
angles: [20, 70]
dim_line: Vector (3.0, 1.0, 0.0)
normal: None
ok
test_dimension_linear_obj (drafttests.test_creation.DraftCreation)
Create a linear dimension linked to an object. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension'
  Occasionally crashes
  a=Vector (0.0, 0.0, 0.0), b=Vector (9.0, 0.0, 0.0)
Recompute......
----------------                                (100.0 %)
Linear dimension
edge_object: Line
i1: 1
i2: 2
dim_line: Vector (5.0, 3.0, 0.0)
ok
test_dimension_linear_simple (drafttests.test_creation.DraftCreation)
Create a simple linear dimension not linked to an object. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension'
  Occasionally crashes
  a=Vector (0.0, 0.0, 0.0), b=Vector (9.0, 0.0, 0.0)
  c=Vector (4.0, -1.0, 0.0)
----------------
Linear dimension
p1: Vector (0.0, 0.0, 0.0)
p2: Vector (9.0, 0.0, 0.0)
dim_line: Vector (4.0, -1.0, 0.0)
ok
test_dimension_radial_obj (drafttests.test_creation.DraftCreation)
Create a circle and then a radial and a diameter dimension. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension Radial'
  radius=10
  startangle=0, endangle=90
Recompute......
----------------                                (100.0 %)
Radial dimension
edge_object: Arc
index: 1
mode: radius
dim_line: Vector (1.0, 1.0, 0.0)
----------------
Radial dimension
edge_object: Arc
index: 1
mode: diameter
dim_line: Vector (3.0, 1.0, 0.0)
ok
test_ellipse (drafttests.test_creation.DraftCreation)
Create an ellipse. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Ellipse'
  major_axis=5, minor_axis=3
ok
test_facebinder (drafttests.test_creation.DraftCreation)
Create a box, and then a facebinder from its faces. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Facebinder'
  In order to test this, a selection is needed
  or an App::PropertyLinkSubList
  Box
Recompute......
  object='Solid' (Part::Box)                    (100.0 %)
  sub-elements=('Face1', 'Face6')
ok
test_fillet (drafttests.test_creation.DraftCreation)
Create two lines, and a fillet between them. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Fillet'
  Lines
  a=Vector (0.0, 0.0, 0.0), b=Vector (8.0, 0.0, 0.0)
  b=Vector (8.0, 0.0, 0.0), c=Vector (8.0, 8.0, 0.0)
Recompute......
  Fillet                                        (100.0 %)
  radius=4
----------------
Fillet
(1): Line; length: 8.0
(2): Line001; length: 8.0
Segment 1, length: 3.999999999999999
Segment 2, length: 6.283185307179587
Segment 3, length: 3.999999999999999
Update radius currently not implemented: r=0.0 mm
Update radius currently not implemented: r=4.0 mm
ok
test_label (drafttests.test_creation.DraftCreation)
Create a label. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Label'
  Occasionally crashes
  target_point=Vector (0.0, 0.0, 0.0), distance=-25
  placement=Placement [Pos=(50,50,0), Yaw-Pitch-Roll=(0,0,0)]
----------------
Label
target_point: Vector (0.0, 0.0, 0.0)
placement: Placement [Pos=(50,50,0), Yaw-Pitch-Roll=(0,0,0)]
label_type: Custom
custom_text: Label
direction: Horizontal
distance: -25
Recompute......
ok
test_layer (drafttests.test_creation.DraftCreation)
Create a layer, and add a rectangle to it. ...                                          (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Layer'
  length=5, width=2
----------------
Layer
line_width: 2.0
draw_style: Solid
transparency: 0
ok
test_line (drafttests.test_creation.DraftCreation)
Create a line. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Line'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
ok
test_point (drafttests.test_creation.DraftCreation)
Create a point. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Point'
  p.x=5.0, p.y=3.0, p.z=2.0
ok
test_polygon (drafttests.test_creation.DraftCreation)
Create a regular polygon. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Polygon'
  n_faces=6, radius=5
ok
test_polyline (drafttests.test_creation.DraftCreation)
Create a polyline. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Wire'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
  c=Vector (2.0, 2.0, 0.0)
ok
test_rectangle (drafttests.test_creation.DraftCreation)
Create a rectangle. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Rectangle'
  length=5, width=2
ok
test_shapestring (drafttests.test_creation.DraftCreation)
Create a ShapeString. NOT IMPLEMENTED CURRENTLY. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft ShapeString'
  In order to test this, a font file is needed.
  text='Testing Shapestring ', font='None'
  Arguments to placeholder function
  p1=Text; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_text (drafttests.test_creation.DraftCreation)
Create a text object. ...
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Text'
  text='Testing testing'
----------------
Text
string: Testing testing
placement: None
ok
test_circular_array (drafttests.test_modification.DraftModification)
Create a rectangle, and a circular array. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft CircularArray'
  Rectangle
  length=4, width=2
Recompute......
  Array                                         (100.0 %)
  radial_distance=10, tangential_distance=8
  number=3, symmetry=1
  axis=Vector (0.0, 0.0, 1.0)
  center=Vector (0.0, 0.0, 0.0)
----------------
Circular array
base_object: Rectangle
r_distance: 10
tan_distance: 8
number: 3
symmetry: 1
axis: Vector (0.0, 0.0, 1.0)
center: Vector (0.0, 0.0, 0.0)
use_link: True
ok
test_clone (drafttests.test_modification.DraftModification)
Create a box, then create a clone of it. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Clone'
Recompute......
  object: 'Solid' (Part::Box)                   (100.0 %)
  clone: 'Clone' (Part::FeaturePython)
ok
test_copy (drafttests.test_modification.DraftModification)
Create a line, then copy and move it. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Move with copy'
  Line
  a=Vector (0.0, 3.0, 0.0), b=Vector (2.0, 3.0, 0.0)
  Translation vector (copy)
  c=Vector (2.0, 2.0, 0.0)
Importing project files......
File was not written with this version of the topology%)
ok
test_downgrade (drafttests.test_modification.DraftModification)
Downgrade a closed Draft Wire into three simple Part Edges. ...                                                 (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Downgrade'
  Closed wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), a=Vector (0.0, 0.0, 0.0)
Recompute......
----------------                                (100.0 %)
Downgrade objects
Found 1 parametric object: breaking its dependencies
Recompute......
  1: Result 'Face' (Part::Feature)              (100.0 %)
----------------
Downgrade objects
Found 1 face: extracting its wires
Recompute......
  2: Result 'Wire' (Part::Feature)              (100.0 %)
----------------
Downgrade objects
Found only wires: extracting their edges
Recompute......
  3: Result 3 x 'Edge' (Part::Feature)          (100.0 %)
----------------
Downgrade objects
No more downgrade possible
Recompute......
  4: Result '[]'                                (100.0 %)
  The last objects cannot be downgraded further
ok
test_draft_to_drawing (drafttests.test_modification.DraftModification)
Create a solid, and then a projected view in a Drawing page. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Drawing'
  The Drawing Workbench is obsolete since 0.17,
  consider using the TechDraw Workbench instead
  Prism
  n_sides=5
  placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45,0)]
  Drawing view
  page=Drawing::FeaturePage
  template=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Drawing/Templates/A3_Landscape.svg
ok
test_draft_to_sketch (drafttests.test_modification.DraftModification)
Convert a Draft object to a Sketch and back. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Draft2Sketch'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0)
Recompute......
Recompute......                                 (100.0 %)
  1: Result 'Wire' (Sketcher::SketchObject)     (100.0 %)
Recompute......
  2: Result 'Wire' (Part::Part2DObjectPython)   (100.0 %)
ok
test_extend (drafttests.test_modification.DraftModification)
Extend a line. NOT IMPLEMENTED. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Trimex extend'
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (1.0, 1.0, 0.0)
  Line 2
  c=Vector (2.0, 2.0, 0.0), d=Vector (4.0, 2.0, 0.0)
Recompute......
  Arguments to placeholder function             (100.0 %)
  p1=<Part::Part2DObject>; p2=<Part::Part2DObject>
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_join (drafttests.test_modification.DraftModification)
Join two lines into a single Draft Wire. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Join'
  Line 1
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Line 2
  b=Vector (2.0, 2.0, 0.0), c=Vector (2.0, 4.0, 0.0)
ok
test_mirror (drafttests.test_modification.DraftModification)
Create a rectangle, then a mirrored shape. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Mirror'
  Rectangle
  length=4, width=2
  Mirror axis
  p1=Vector (6.0, -2.0, 0.0)
  p2=Vector (6.0, 2.0, 0.0)
----------------
Create mirror
ok
test_move (drafttests.test_modification.DraftModification)
Create a line and move it. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Move'
  Line
  a=Vector (0.0, 2.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Translation vector
  c=Vector (3.0, 1.0, 0.0)
ok
test_offset_closed (drafttests.test_modification.DraftModification)
Create a rectangle, then produce an offset copy. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Offset'
  Rectangle
  length=4, width=2
Recompute......
  Offset                                        (100.0 %)
  vector=Vector (-1.0, -1.0, 0.0)
 something wrong with firstDir
ok
test_offset_open (drafttests.test_modification.DraftModification)
Create a wire, then produce an offset copy. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Offset'
  Wire
  a=Vector (0.0, 2.0, 0.0), b=Vector (2.0, 4.0, 0.0)
  c=Vector (5.0, 2.0, 0.0)
Recompute......
  Offset                                        (100.0 %)
  vector=Vector (-1.0, 1.0, 0.0)
ok
test_path_array (drafttests.test_modification.DraftModification)
Create a wire, a polygon, and a path array. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PathArray'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (8.0, 4.0, 0.0)
  Polygon
  n_faces=3, radius=1
  Path Array
  number=4, translation=Vector (0.0, 1.0, 0.0)
  subelements=Edge1, align=False
----------------
Path array
base_object: Polygon
path_object: Wire
count: 4
extra: Vector (0.0, 1.0, 0.0)
subelements: Edge1
align: False
align_mode: Original
tan_vector: Vector (1.0, 0.0, 0.0)
force_vertical: False
vertical_vector: Vector (0.0, 0.0, 1.0)
use_link: True
ok
test_point_array (drafttests.test_modification.DraftModification)
Create a polygon, various point, and a point array. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PointArray'
  Points
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (8.0, 4.0, 0.0)
  Upgrade
----------------
Upgrade objects
Found points: creating compound
  Polygon
  n_faces=3, radius=1
  Point Array
----------------
Point array
base_object: Polygon
point_object: Block
extra: None
ok
test_polar_array (drafttests.test_modification.DraftModification)
Create a rectangle, and a polar array. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PolarArray'
  Rectangle
  length=4, width=2
Recompute......
  Array                                         (100.0 %)
  number=5, polar_angle=180
  center=Vector (-4.0, 0.0, 0.0)
----------------
Polar array
base_object: Rectangle
number: 5
angle: 180
center: Vector (-4.0, 0.0, 0.0)
use_link: True
ok
test_rectangular_array (drafttests.test_modification.DraftModification)
Create a rectangle, and a rectangular array. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft OrthoArray'
  Rectangle
  length=4, width=2
Recompute......
  Array                                         (100.0 %)
  direction_x=Vector (5.0, 0.0, 0.0)
  direction_y=Vector (0.0, 4.0, 0.0)
  direction_z=Vector (0.0, 0.0, 6.0)
  number_x=3, number_y=4, number_z=6
----------------
Orthogonal array
base_object: Rectangle
v_x: Vector (5.0, 0.0, 0.0)
v_y: Vector (0.0, 4.0, 0.0)
v_z: Vector (0.0, 0.0, 6.0)
n_x: 3
n_y: 4
n_z: 6
use_link: True
ok
test_rotate (drafttests.test_modification.DraftModification)
Create a line, then rotate it. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Rotate'
  Line
  a=Vector (1.0, 1.0, 0.0), b=Vector (3.0, 1.0, 0.0)
Recompute......
  Rotation                                      (100.0 %)
  angle=90 degrees
ok
test_scale_part_feature_arcs (drafttests.test_modification.DraftModification)
Create and scale a part feature (arcs). ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Scale part feature (arcs)'
Recompute......
Recompute......                                 (100.0 %)
ok
test_scale_part_feature_lines (drafttests.test_modification.DraftModification)
Create and scale a part feature (lines). ...                                            (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Scale part feature (lines)'
Recompute......
Recompute......                                 (100.0 %)
ok
test_scale_rectangle (drafttests.test_modification.DraftModification)
Create and scale a rectangle. ...                                               (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Scale rectangle'
Recompute......
Recompute......                                 (100.0 %)
ok
test_scale_spline (drafttests.test_modification.DraftModification)
Create and scale a spline. ...                                          (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Scale spline'
Recompute......
Recompute......                                 (100.0 %)
ok
test_scale_wire (drafttests.test_modification.DraftModification)
Create and scale a wire. ...                                            (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Scale wire'
Recompute......
Recompute......                                 (100.0 %)
ok
test_shape_2d_view (drafttests.test_modification.DraftModification)
Create a prism and then a 2D projection of it. ...                                              (100.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Shape2DView'
  Prism
  n_sides=5
  placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45,0)]
  Projection 2D view
  direction=Vector (0.0, 0.0, 1.0)
ok
test_split (drafttests.test_modification.DraftModification)
Split a Draft Wire into two Draft Wires. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft_Split'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (6.0, 4.0, 0.0)
  Split at
  p=Vector (2.0, 2.0, 0.0), index=1
ok
test_stretch (drafttests.test_modification.DraftModification)
Stretch a line. NOT IMPLEMENTED. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Stretch'
  This test requires an object and a selection
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (1.0, 1.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=Vector (4.0, 1.0, 0.0)
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_trim (drafttests.test_modification.DraftModification)
Trim a line. NOT IMPLEMENTED. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Trimex trim'
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (3.0, 3.0, 0.0)
  Line 2
  c=Vector (2.0, 2.0, 0.0), d=Vector (4.0, 2.0, 0.0)
Recompute......
  Arguments to placeholder function             (100.0 %)
  p1=<Part::Part2DObject>; p2=<Part::Part2DObject>
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_upgrade (drafttests.test_modification.DraftModification)
Upgrade two Lines into a closed Wire, then draftify it. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Upgrade'
  Line 1
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Line 2
  b=Vector (2.0, 2.0, 0.0), c=Vector (2.0, 4.0, 0.0)
Recompute......
----------------                                (100.0 %)
Upgrade objects
Found several wires or edges: wiring them
Recompute......
  1: Result 'Wire' (Part::Feature)              (100.0 %)
----------------
Upgrade objects
trying: closing it
Found 1 open wire: closing it
Recompute......
  2: Result 'Wire' (Part::Feature)              (100.0 %)
----------------
Upgrade objects
Found closed wires: creating faces
Recompute......
  3: Result 'Face' (Part::Feature)              (100.0 %)
----------------
Upgrade objects
Found 1 non-parametric objects: draftifying it
Recompute......
  4: Result 'Wire' (Part::Part2DObjectPython)   (100.0 %)
----------------
Upgrade objects
Unable to upgrade these objects.
Recompute......
  The last object cannot be upgraded further    (100.0 %)
ok
test_wire_to_bspline (drafttests.test_modification.DraftModification)
Convert a polyline to BSpline and back. ...
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft WireToBSpline'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0)
Recompute......
  1: Result 'BSpline' (Part::Part2DObjectPython)(100.0 %)
  2: Result 'Wire' (Part::Part2DObjectPython)
ok
test_get_extended_wire (drafttests.test_draftgeomutils.TestDraftGeomUtils)
Test the DraftGeomUtils.get_extended_wire function. ...
------------------------------------------------------------------------------
  Test 'DraftGeomUtils.get_extended_wire'
  Running tests with wire1
  Running tests with wire2
  Running tests with wire3
  Running tests with wire4
  Running tests with wire5
  Running tests with wire6
  Running tests with wire7
  Running tests with wire8
  Test completed, 248 subtests run
ok
test_export_svg (drafttests.test_svg.DraftSVG)
Create some figures and export them to an SVG file. ...
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
  Test 'importSVG.export'
  file=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/out_test.svg
  exists=False
  Arguments to placeholder function
  p1=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/out_test.svg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_get_svg_from_arch_space_with_zero_vector (drafttests.test_svg.DraftSVG)
Try to get a svg string from an Arch Space with a zero-vector as direction. ...
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
Recompute......
ok
test_read_svg (drafttests.test_svg.DraftSVG)
Read an SVG file and import its elements as Draf(100.0 %). ...                                          (50.0 %)
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
  Test 'importSVG.import'
  This test requires an SVG file to read.
  file=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/test.svg
  exists=False
  Arguments to placeholder function
  p1=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/test.svg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_export_dxf (drafttests.test_dxf.DraftDXF)
Create some figures and export them to a DXF file. ...
------------------------------------------------------------------------------
  Temporary document 'DraftDXF'
  Test 'importDXF.export'
  file=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/out_test.dxf
  exists=False
  Arguments to placeholder function
  p1=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/out_test.dxf; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_dxf (drafttests.test_dxf.DraftDXF)
Read a DXF file and import its elements as Draft objects. ...
------------------------------------------------------------------------------
  Temporary document 'DraftDXF'
  Test 'importDXF.import'
  This test requires a DXF file to read.
  file=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/test.dxf
  exists=False
  Arguments to placeholder function
  p1=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/test.dxf; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_export_dwg (drafttests.test_dwg.DraftDWG)
Create some figures and export them to a DWG file. ...
------------------------------------------------------------------------------
  Temporary document 'DraftDWG'
  Test 'importDWG.export'
  file=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/out_test.dwg
  exists=False
  Arguments to placeholder function
  p1=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/out_test.dwg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_dwg (drafttests.test_dwg.DraftDWG)
Read a DWG file and import its elements as Draft objects. ...
------------------------------------------------------------------------------
  Temporary document 'DraftDWG'
  Test 'importDWG.import'
  This test requires a DWG file to read.
  file=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/test.dwg
  exists=False
  Arguments to placeholder function
  p1=/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/Draft/drafttest/test.dwg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
testConstraintWithExpression (SketcherTests.TestSketchExpression.TestSketchExpression) ... ok
testBasicFillet (SketcherTests.TestSketchFillet.TestSketchFillet) ... ok
testCoincident (SketcherTests.TestSketchFillet.TestSketchFillet) ... Recompute......
ok
Recompute......cherTests.TestSketchFillet.TestSketchFillet) ...                                                 (100.0 %)
ok
Recompute......ketcherTests.TestSketchFillet.TestSketchFillet) ...                                              (100.0 %)
Recompute......                                 (100.0 %)
ok
testHorizontalVertical (SketcherTests.TestSketchFillet.TestSketchFillet) ... ok
Recompute......ner (SketcherTests.TestSketchFillet.TestSketchFillet) ...                                                (100.0 %)
ok
Recompute......ct (SketcherTests.TestSketchFillet.TestSketchFillet) ...                                                 (100.0 %)
ok
Recompute......SketcherTests.TestSketchFillet.TestSketchFillet) ...                                             (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......etcherTests.TestSketchFillet.TestSketchFillet) ...                                               (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute...... (SketcherTests.TestSketchFillet.TestSketchFillet) ...                                           (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Curve (SketcherTests.TestSketchFillet.TestSketchFillet) ...                                              (100.0 %)
ok
testBlockConstraintEllipse (SketcherTests.TestSketcherSolver.TestSketcherSolver) ... ok
Recompute......etcherTests.TestSketcherSolver.TestSketcherSolver) ...                                           (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......SketcherTests.TestSketcherSolver.TestSketcherSolver) ...                                                 (100.0 %)
ok
Recompute...... (SketcherTests.TestSketcherSolver.TestSketcherSolver) ...                                               (100.0 %)
ok
Recompute......ketcherTests.TestSketcherSolver.TestSketcherSolver) ...                                          (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......onCase (PartDesignTests.TestBoolean.TestBoolean) ...                                             (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute failed! Please check report view.
Recompute......                                 (94.0 %)
ok
Recompute......ase (PartDesignTests.TestBoolean.(100.0 %)an) ...                                                (5.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute failed! Please check report view.
Recompute......                                 (94.0 %)
ok
Recompute......Case (PartDesignTests.TestBoolean(100.0 %)ean) ...                                               (5.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute failed! Please check report view.
Recompute......                                 (94.0 %)
ok
Recompute......ToOctahedron (PartDesignTests.Tes(100.0 %)TestChamfer) ...                                               (5.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ine (PartDesignTests.TestDatum.Te(100.0 %)ne) ...                                                (10.0 %)
ok
Recompute......e (PartDesignTests.TestDatum.Test(100.0 %)e) ...                                                 (11.0 %)
ok
Recompute......Point (PartDesignTests.TestDatum.(100.0 %)Point) ...                                             (11.0 %)
ok
Recompute...... (PartDesignTests.TestDraft.TestD(100.0 %)                                               (11.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......oSphere (PartDesignTests.TestFill(100.0 %)llet) ...                                              (8.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Hole (PartDesignTests.TestHole.Te(100.0 %)..                                             (10.0 %)
Recompute......                                 (100.0 %)
Looking for thread definitions in: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/PartDesign/Resources/Hole /home/c0rn3j/.local/share/FreeCAD/PartDesign/Hole
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Hole (PartDesignTests.TestHole.Te(100.0 %)..                                             (9.0 %)
Recompute......                                 (100.0 %)
Looking for thread definitions in: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/PartDesign/Resources/Hole /home/c0rn3j/.local/share/FreeCAD/PartDesign/Hole
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Hole (PartDesignTests.TestHole.Te(100.0 %)..                                             (9.0 %)
Recompute......                                 (100.0 %)
Looking for thread definitions in: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/PartDesign/Resources/Hole /home/c0rn3j/.local/share/FreeCAD/PartDesign/Hole
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......PartDesignTests.TestHole.TestHole(100.0 %)                                       (9.0 %)
Recompute......                                 (100.0 %)
Looking for thread definitions in: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/PartDesign/Resources/Hole /home/c0rn3j/.local/share/FreeCAD/PartDesign/Hole
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute...... (PartDesignTests.TestHole.TestHo(100.0 %)                                               (9.0 %)
Recompute......                                 (100.0 %)
Looking for thread definitions in: /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/../../share/freecad/Mod/PartDesign/Resources/Hole /home/c0rn3j/.local/share/FreeCAD/PartDesign/Hole
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ketchAxisLinearPattern (PartDesig(100.0 %)stLinearPattern.TestLinearPattern) ...                                                 (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......hAxisLinearPattern (PartDesignTes(100.0 %)nearPattern.TestLinearPattern) ...                                             (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......tchAxisLinearPattern (PartDesignT(100.0 %)LinearPattern.TestLinearPattern) ...                                           (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Pattern (PartDesignTests.TestLine(100.0 %).TestLinearPattern) ...                                                (9.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Pattern (PartDesignTests.TestLine(100.0 %).TestLinearPattern) ...                                                (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......Pattern (PartDesignTests.TestLine(100.0 %).TestLinearPattern) ...                                                (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......iveLoftCase (PartDesignTests.Test(100.0 %)Loft) ...                                              (10.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......activeLoftCase (PartDesignTests.T(100.0 %)estLoft) ...                                           (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......setCase (PartDesignTests.TestMirr(100.0 %)Mirrored) ...                                          (7.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Transformed: Result has multiple solids. Only keeping the first.
ok
testMirroredPrimitiveCase (PartDesignTests.TestMirrored.TestMirrored)
Recompute......mirroring scenario as in the sket(100.0 %)...                                            (9.0 %)
Recompute......                                 (100.0 %)
ok
testMirroredSketchCase (PartDesignTests.TestMirrored.TestMirrored)
Recompute......cube cornered at the origin and m(100.0 %) about the Y axis. ...                                                 (10.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......orm (PartDesignTests.TestMultiTra(100.0 %)stMultiTransform) ...                                          (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......rtDesignTests.TestPad.TestPad) ..(100.0 %)                                       (7.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......se (PartDesignTests.TestPad.TestP(100.0 %)                                               (50.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ase (PartDesignTests.TestPad.Test(100.0 %)                                               (8.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......sionsCase (PartDesignTests.TestPa(100.0 %)) ...                                          (8.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......se (PartDesignTests.TestPad.TestP(100.0 %)                                               (8.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ne (PartDesignTests.TestPad.TestP(100.0 %)                                               (8.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ivePipeCase (PartDesignTests.Test(100.0 %)Pipe) ...                                              (10.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......activePipeCase (PartDesignTests.T(100.0 %)estPipe) ...                                           (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......sionCase (PartDesignTests.TestPoc(100.0 %)ocket) ...                                             (7.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ghAllCase (PartDesignTests.TestPo(100.0 %)Pocket) ...                                            (8.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......eCase (PartDesignTests.TestPocket(100.0 %)et) ...                                                (7.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute failed! Please check report view.
Recompute......                                 (85.0 %)
ok
Recompute......stCase (PartDesignTests.TestPocke(100.0 %)ket) ...                                               (7.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ketchAxisPolarPattern (PartDesign(100.0 %)tPolarPattern.TestPolarPattern) ...                                            (7.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......hAxisPolarPattern (PartDesignTest(100.0 %)arPattern.TestPolarPattern) ...                                                (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......tchAxisPolarPattern (PartDesignTe(100.0 %)olarPattern.TestPolarPattern) ...                                              (9.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......attern (PartDesignTests.TestPolar(100.0 %)estPolarPattern) ...                                           (9.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......attern (PartDesignTests.TestPolar(100.0 %)estPolarPattern) ...                                           (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......attern (PartDesignTests.TestPolar(100.0 %)estPolarPattern) ...                                           (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......x (PartDesignTests.TestPrimitive.(100.0 %)tive) ...                                              (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ne (PartDesignTests.TestPrimitive(100.0 %)itive) ...                                             (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......linder (PartDesignTests.TestPrimi(100.0 %)Primitive) ...                                                 (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......lipsoid (PartDesignTests.TestPrim(100.0 %)tPrimitive) ...                                                (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ism (PartDesignTests.TestPrimitiv(100.0 %)mitive) ...                                            (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......here (PartDesignTests.TestPrimiti(100.0 %)imitive) ...                                           (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......rus (PartDesignTests.TestPrimitiv(100.0 %)mitive) ...                                            (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......dge (PartDesignTests.TestPrimitiv(100.0 %)mitive) ...                                            (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......(PartDesignTests.TestRevolve.Test(100.0 %)...                                            (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute...... (PartDesignTests.TestRevolve.Tes(100.0 %) ...                                           (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......eBinderCase (PartDesignTests.Test(100.0 %)er.TestShapeBinder) ...                                                (10.0 %)
Recompute......                                 (100.0 %)
ok
Recompute......ckness (PartDesignTests.TestThick(100.0 %)Thickness) ...                                                 (5.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testGetters (TestPartApp.PartTestBSplineCurve)
only check if the function doesn't crash ... ok
Recompute......TestPartApp.PartTestBSplineCurve)(100.0 %)                                       (10.0 %)
ok
Recompute......TestPartApp.PartTestBSplineCurve)(100.0 %)                                       (33.0 %)
ok
testProperties (TestPartApp.PartTestBSplineCurve) ... ok
testSetters (TestPartApp.PartTestBSplineCurve) ... ok
Recompute......stPartApp.PartTestCases) ...     (100.0 %)                               (33.0 %)
ok
testIssue2985 (TestPartApp.PartTestCases) ... ok
test_issue_4456 (parttests.regression_tests.RegressionTests)
0004456: Regression : Part.Plane.Intersect do not accept plane as argument ... ok
saving...... (MeshTestsApp.LoadMeshInThreadsCases) ...                                          (100.0 %)
                                                (64.ok%)
testSphereMesh (MeshTestsApp.LoadMeshInThreadsCases) ... ok
create mesh structure......App.MeshGeoTestCases)(99.0 %))
ok
create mesh structure......sApp.MeshGeoTestCases(100.0 %)                                       (25.0 %)
ok
create mesh structure......eshTestsApp.MeshGeoTe(100.0 %)...                                            (25.0 %)
ok
create mesh structure......Edges (MeshTestsApp.M(100.0 %)tCases) ...                                            (25.0 %)
ok
create mesh structure......ingEdges (MeshTestsAp(100.0 %)TestCases) ...                                                 (25.0 %)
ok
create mesh structure......dges (MeshTestsApp.Me(100.0 %)Cases) ...                                             (25.0 %)
ok
create mesh structure......riangles (MeshTestsAp(100.0 %)TestCases) ...                                                 (25.0 %)
ok
create mesh structure......edMesh (MeshTestsApp.(100.0 %)stCases) ...                                           (25.0 %)
ok
create mesh structure......es (MeshTestsApp.Mesh(100.0 %)ses) ...                                               (25.0 %)
ok
create mesh structure......hTestsApp.MeshGeoTest(100.0 %).                                              (25.0 %)
ok
create mesh structure......shTestsApp.MeshGeoTes(100.0 %)..                                             (25.0 %)
ok
Checking for self-intersections......shGeoTestCa(100.0 %)                                               (25.0 %)
ok
Checking topology...... (MeshTestsApp.MeshSplitTestCases) ...                                           (100.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_01 (MeshTestsApp.MeshSp(100.0 %)ses) ...                                               (7.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_02 (MeshTestsApp.MeshSp(100.0 %)ses) ...                                               (6.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_10 (MeshTestsApp.MeshSp(100.0 %)ses) ...                                               (6.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_12 (MeshTestsApp.MeshSp(100.0 %)ses) ...                                               (6.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_20 (MeshTestsApp.MeshSp(100.0 %)ses) ...                                               (6.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_21 (MeshTestsApp.MeshSp(100.0 %)ses) ...                                               (6.0 %)
Checking indices......                          (100.0 %)
ok
Checking topology......s_5teps (MeshTestsApp.Mes(100.0 %)tCases) ...                                            (6.0 %)
Checking indices......                          (100.0 %)
ok
testCenterOfGravity (MeshTestsApp.MeshSubElement) ... ok
testCountSubElements (MeshTestsApp.MeshSubElement) ... ok
testFacesFromSubElement (MeshTestsApp.MeshSubElement) ... ok
testSegmentSubElement (MeshTestsApp.MeshSubElement) ... ok
testSubElements (MeshTestsApp.MeshSubElement) ... ok
create mesh structure......TestsApp.MeshTopoTest(100.0 %).                                              (3.0 %)
ok
create mesh structure......(MeshTestsApp.MeshTop(100.0 %)s) ...                                                 (2.0 %)
ok
create mesh structure......eshTestsApp.MeshTopoT(100.0 %) ...                                           (2.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
create mesh structure......                     (100.0 %)
ok
testCorruptedFacet (MeshTestsApp.MeshTopoTestCases) ... ok
testCTRIA3Element (MeshTestsApp.NastranReader) ... ok
testDelimitedGRIDElement (MeshTestsApp.NastranReader) ... ok
testEightCharGRIDElement (MeshTestsApp.NastranReader) ... ok
testSixteenCharGRIDElement (MeshTestsApp.NastranReader) ... ok
testPrimitiveCount (MeshTestsApp.PivyTestCases) ... ok
testRayPick (MeshTestsApp.PivyTestCases) ... ok
testFitBad (MeshTestsApp.PolynomialFitCases) ... ok
testFitExact (MeshTestsApp.PolynomialFitCases) ... ok
testFitGood (MeshTestsApp.PolynomialFitCases) ... ok
Call from Python thread (not synchronized): count=10.0 %)...                                            (2.0 %)
Call from Python thread (not synchronized): count=2
Call from Python thread (not synchronized): count=3
Call from Python thread (not synchronized): count=4
Call from Python thread (not synchronized): count=5
Call from Python thread (not synchronized): count=6
Call from Python thread (not synchronized): count=7
Call from Python thread (not synchronized): count=8
Call from Python thread (not synchronized): count=9
Call from Python thread (not synchronized): count=10
10
ok
testPrint (BaseTests.ConsoleTestCase) ...    Printing message
   Printing error
   Printing warning
ok
testSynchronPrintFromThread (BaseTests.ConsoleTestCase) ... Call from Python thread: count=1
Call from Python thread: count=2
Call from Python thread: count=3
Call from Python thread: count=4
Call from Python thread: count=5
Call from Python thread: count=6
Call from Python thread: count=7
Call from Python thread: count=8
Call from Python thread: count=9
Call from Python thread: count=10
10
ok
testAngle (BaseTests.ParameterTestCase) ... ok
testAngleWithNullVector (BaseTests.ParameterTestCase) ... ok
testBool (BaseTests.ParameterTestCase) ... ok
testBounding (BaseTests.ParameterTestCase) ... ok
testExportImport (BaseTests.ParameterTestCase) ... ok
testFloat (BaseTests.ParameterTestCase) ... ok
testGroup (BaseTests.ParameterTestCase) ... ok
testInt (BaseTests.ParameterTestCase) ... ok
testMatrix (BaseTests.ParameterTestCase) ... ok
testNesting (BaseTests.ParameterTestCase) ... ok
testRotAndMoveMatrix (BaseTests.ParameterTestCase) ... ok
testRotation (BaseTests.ParameterTestCase) ... ok
testString (BaseTests.ParameterTestCase) ... ok
testYawPitchRoll (BaseTests.ParameterTestCase) ... ok
testConversions (UnitTests.UnitBasicCases) ... ok
testDivide (UnitTests.UnitBasicCases) ... ok
testEnergy (UnitTests.UnitBasicCases) ... ok
testImperial (UnitTests.UnitBasicCases) ... ok
testSchemeTranslation (UnitTests.UnitBasicCases) ... b'10.0 mm : 9.524999999999999 mm : (\'3/8"\', 25.4, \'in\') : CentiMetre : Building US (ft-in/sqft/cft)'
b'100.0 mm : 98.425 mm : (\'3+7/8"\', 25.4, \'in\') : DeciMetre : Building US (ft-in/sqft/cft)'
b'1000000.0 mm : 1000001.175 mm : (\'3280\\\' 10+1/8"\', 25.4, \'in\') : KiloMetre : Building US (ft-in/sqft/cft)'
b"1000000.0 kg/s^2 : 999999.5503821528 kg/s^2 : ('5710.1466608456139511 lbf/in', 175.1268503937008, 'lbf/in') : MegaNewtonPerMeter : US customary (in/lb)"
b"1000000.0 kg/s^2 : 999999.5503821528 kg/s^2 : ('5710.1466608456139511 lbf/in', 175.1268503937008, 'lbf/in') : MegaNewtonPerMeter : Imperial decimal (in/lb)"
b"1000000.0 kg/s^2 : 999999.5503821528 kg/s^2 : ('5710.1466608456139511 lbf/in', 175.1268503937008, 'lbf/in') : MegaNewtonPerMeter : Imperial for Civil Eng (ft, ft/sec)"
b'1000.0 mm : 1000.1250000000001 mm : (\'3\\\' 3+3/8"\', 25.4, \'in\') : Metre : Building US (ft-in/sqft/cft)'
b"1e-12 s^3*A^2/(mm^2*kg) : 1.0 : ('1.0000000000000000 \xc3\x82\xc2\xb5S', 1e-12, '\xc3\x82\xc2\xb5S') : MicroSiemens : Standard (mm/kg/s/degree)"
b"1e-12 s^3*A^2/(mm^2*kg) : 1.0 : ('1.0000000000000000 \xc3\x82\xc2\xb5S', 1e-12, '\xc3\x82\xc2\xb5S') : MicroSiemens : MKS (m/kg/s/degree)"
b"1.0 mm : 0.0 : ('0', 25.4, 'in') : MilliMetre : Building US (ft-in/sqft/cft)"
b"0.0254 mm : 0.0 : ('0', 25.4, 'in') : Thou : Building US (ft-in/sqft/cft)"
ok
testSchemes (UnitTests.UnitBasicCases) ... ok
testSelfConsistency (UnitTests.UnitBasicCases) ... ok
testTrigonometric (UnitTests.UnitBasicCases) ... ok
testVoltage (UnitTests.UnitBasicCases) ... ok
testIssue0003323 (Document.DocumentBacklinks) ... ok
testAbortTransaction (Document.DocumentBasicCases) ... ok
testAddRemove (Document.DocumentBasicCases) ... ok
testAddRemoveUndo (Document.DocumentBasicCases) ... ok
testAddition (Document.DocumentBasicCases) ... ok
testCreateDestroy (Document.DocumentBasicCases) ... ok
testDuplicateLinks (Document.DocumentBasicCases) ... ok
testEnum (Document.DocumentBasicCases) ... ok
testExtensionBug0002785 (Document.DocumentBasicCases) ... ok
testExtensionBugViewProvider (Document.DocumentBasicCases) ... ok
testExtensionGroup (Document.DocumentBasicCases) ... ok
testExtensions (Document.DocumentBasicCases) ... ok
testMem (Document.DocumentBasicCases) ... ok
testNoRecompute (Document.DocumentBasicCases) ... Recompute......
Recompute......                                 (100.0 %)
ok
Recompute......Parent (Document.DocumentBasicCases) ...                                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testNotification_Issue2902Part2 (Document.DocumentBasicCases) ... ok
testNotification_Issue2996 (Document.DocumentBasicCases) ... ok
Recompute......cument.DocumentBasicCases) ...   (100.0 %)                               (50.0 %)
Recompute......                                 (100.0 %)
ok
Importing project files......ocumentBasicCases) ...                                             (100.0 %)
ok
testPropertyLink_Issue2902Part1 (Document.DocumentBasicCases) ... ok
testRemoval (Document.DocumentBasicCases) ... ok
Recompute......(Document.DocumentExpressionCases) ...                                           (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testIssue4649 (Document.DocumentExpressionCases) ... onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> Proxy
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> ExpressionEngine
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> ExpressionEngine
Recompute......                                 (100.0 %)
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> propA
Removing expression...
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> ExpressionEngine
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> _GroupTouched
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> propA
Removing expression...
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> ExpressionEngine
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> ExpressionEngine
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> propA
Removing expression...
Recompute......                                 (100.0 %)
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> propA
Removing expression...
onChanged <Document.DocumentExpressionCases.testIssue4649.<locals>.Cls object at 0x7f7f9ffba740> <group object> _GroupTouched
FreeCAD/build_dir/Mod/Test/Document.py(1449)<class 'AttributeError'>: Module Document has no class Cls
Postprocessing......                            (100.0 %)
ok
Importing project files......mentFileIncludeCases) ...                                          (100.0 %)
Postprocessing......                            (100.0 %)
Importing project files......                   (100.0 %)
Postprocessing......                            (100.0 %)
ok
testGroup (Document.DocumentGroupCases) ... ok
Recompute......FeatureGroup (Document.DocumentGroupCases) ...                                           (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
App::FeatureTest / Fusion: Links go out of the allowed scope
Recompute......                                 (100.0 %)
App::FeatureTest / Fusion: Links go out of the allowed scope
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
2e-08 <App> Document.cpp(3205): The graph must be a DAG.
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
0.000180918 <App> Document.cpp(3560): GroupTests#Part2 still touched after recompute
Recompute......                                 (9.0 %)
ok
testIssue0003150Part2 (Document.DocumentGroupCases) ... ok
testDocument (Document.DocumentObserverCases) ... ok
testGuiObserver (Document.DocumentObserverCases) ... ok
Recompute......ument.DocumentObserverCases) ... (100.0 %)                                       (4.0 %)
ok
testRemoveObserver (Document.DocumentObserverCases) ... ok
testSave (Document.DocumentObserverCases) ... ok
testUndoDisabledDocument (Document.DocumentObserverCases) ... ok
Importing project files......entPlatformCases) ...                                              (100.0 %)
Postprocessing......                            (100.0 %)
ok
Importing project files......entPlatformCases) ...                                              (100.0 %)
Postprocessing......                            (100.0 %)
ok
Importing project files......PlatformCases) ...                                                 (100.0 %)
Postprocessing......                            (100.0 %)
ok
Importing project files......mentPlatformCases) ...                                             (100.0 %)
Postprocessing......                            (100.0 %)
ok
Importing project files......tPropertyCases) ...                                                (100.0 %)
File was not written with this version of the topology%)
Postprocessing......                            (100.0 %)
ok
Recompute......rty (Document.DocumentPropertyCases) ...                                                 (100.0 %)
ok
Recompute......rtyExpression (Document.DocumentPropertyCases) ...                                               (100.0 %)
Recompute......                                 (100.0 %)
ok
testRemovePropertyOnChange (Document.DocumentPropertyCases) ... ok
testDescent (Document.DocumentRecomputeCases) ... ok
testRecompute (Document.DocumentRecomputeCases) ... <App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
<App::FeatureTest object>
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testActiveDocument (Document.DocumentSaveRestoreCases) ... ok
Postprocessing......tore (Document.DocumentSaveR(100.0 %)es) ...                                                (9.0 %)
ok
Importing project files......ocument.DocumentSaveRestoreCases) ...                                              (100.0 %)
Document with the UUID 'fe589bf9-c1b2-43ef-9bc9-bca40dd66c1b' already exists, change to 'e350b59e-8bf9-4ed3-8d35-5804a1325b0f'
Importing project files......                   (100.0 %)
ok
Importing project files......tSaveRestoreCases) (100.0 %)                                       (8.0 %)
ok
Importing project files......DocumentSaveRestore(100.0 %).                                              (25.0 %)
Postprocessing......                            (100.0 %)
ok
testUndo (Document.UndoRedoCases) ... ok
testUndoClear (Document.UndoRedoCases) ... ok
testUndoInList (Document.UndoRedoCases) ... ok
Recompute......03150Part1 (Document.UndoRedoCases) ...                                          (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
ok
testUndoProperties (Document.UndoRedoCases) ... ok
Importing project files......sts.DocumentSaveRes(100.0 %)) ...                                          (16.0 %)
Postprocessing......                            (100.0 %)
ok
testUnicodeLabel (UnicodeTests.UnicodeBasicCases) ... ok
testAll (TestPythonSyntax.PythonSyntaxTestCase) ... ok

======================================================================
ERROR: test_box_static_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 147, in test_box_static_0_mm
    ret = testtools.compare_files(startinfo_given, startinfo_totest)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/support_utils.py", line 237, in compare_files
    file2 = open(file_name2, "r")
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/FEM_unittests/solver_elmer_box_static_0_mm_bfc33fba65f5/ELMERSOLVER_STARTINFO'

======================================================================
FAIL: test_ccxcantilever_faceload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 172, in test_ccxcantilever_faceload_0_mm
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_0_mm_69f8f903caed/case.sif failed!\n--- \n+++ \n@@ -7,82 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Face2"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_faceload_0_mm test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_0_mm_69f8f903caed/case.sif failed!
---
+++
@@ -7,82 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Face2"
-End
-
+Solver 1

======================================================================
FAIL: test_ccxcantilever_faceload_1_si (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 189, in test_ccxcantilever_faceload_1_si
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_1_si.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_1_si_f8d05c4d75b6/case.sif failed!\n--- \n+++ \n@@ -7,84 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate Scaling = Real 0.001\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Coordinate Scaling Revert = Logical True\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Face2"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_faceload_1_si test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_1_si.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_1_si_f8d05c4d75b6/case.sif failed!
---
+++
@@ -7,84 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate Scaling = Real 0.001
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Coordinate Scaling Revert = Logical True
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Face2"
-End
-
+Solver 1

======================================================================
FAIL: test_ccxcantilever_nodeload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 199, in test_ccxcantilever_nodeload_0_mm
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_nodeload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_nodeload_0_mm_bc29241c32a2/case.sif failed!\n--- \n+++ \n@@ -7,112 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex5"\n-End\n-\n-Boundary Condition 3\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex6"\n-End\n-\n-Boundary Condition 4\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex7"\n-End\n-\n-Boundary Condition 5\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex8"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_nodeload_0_mm test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_nodeload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_nodeload_0_mm_bc29241c32a2/case.sif failed!
---
+++
@@ -7,112 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex5"
-End
-
-Boundary Condition 3
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex6"
-End
-
-Boundary Condition 4
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex7"
-End
-
-Boundary Condition 5
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex8"
-End
-
+Solver 1

======================================================================
FAIL: test_ccxcantilever_prescribeddisplacement_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 209, in test_ccxcantilever_prescribeddisplacement_0_mm
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_prescribeddisplacement_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_prescribeddisplacement_0_mm_9d274061d4bb/case.sif failed!\n--- \n+++ \n@@ -7,77 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Displacement 3 = Real -0.25\n-  Name = String "Face2"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_prescribeddisplacement_0_mm test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_prescribeddisplacement_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_prescribeddisplacement_0_mm_9d274061d4bb/case.sif failed!
---
+++
@@ -7,77 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Displacement 3 = Real -0.25
-  Name = String "Face2"
-End
-
+Solver 1

----------------------------------------------------------------------
Ran 588 tests in 35.796s

FAILED (failures=4, errors=1)
==> ERROR: A failure occurred in check().       (100.0 %)
    Aborting...
:: Unable to build freecad-git - makepkg exited with code: 4
freecad_build.log (357,707 bytes)   

adrianinsaval

2022-01-11 19:03

reporter   ~0016200

Please read and follow the guidelines and make a forum post before making a ticket

openBrain

2022-01-17 16:47

developer   ~0016219

@C0rn3j FYI Reporting guidelines

adrianinsaval

2022-01-17 17:21

reporter   ~0016222

Description is misleading because OP doesn't fully understand how makepkg and the PKGBUILD work. It's not the build of FreeCAD that fails but the tests done before making a package, don't know if it's the case here but it is known that FreeCAD is kinda broken now in archlinux (and other rolling release distros) because pivy has incompatibilities with python 3.10 (maybe other dependencies too)

Kunda1

2022-01-23 19:07

administrator   ~0016263

These are the relevant tests that are failing.
@jnxd can you take a look at these FEM tests (even though there is the issue of python 3.10 + pivy issues.. as mentioned by @adrianinsaval
is there something we can do nevertheless?



FAIL
test_ccxcantilever_faceload_1_si (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 1.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_1_si_f8d05c4d75b6
The SI unit schema m/kg/s is used. Elmer sif-file writing is done in SI-units.
'Coordinate Scaling = Real 0.001' was inserted into the solver input file.
'Coordinate Scaling Revert = Logical True' was inserted into the solver input file.
Exception in thread Thread-209 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'
Reset unit schema back to 0

FAIL
test_ccxcantilever_nodeload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 0.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_nodeload_0_mm_bc29241c32a2
The FreeCAD standard unit schema mm/kg/s is used. Elmer sif-file writing is done in Standard FreeCAD units.
Exception in thread Thread-215 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'

FAIL
test_ccxcantilever_prescribeddisplacement_0_mm (femtest.app.test_solver_elmer.TestSolverElmer) ...

Saved unit schema: 0. Set unit schema to 0.
Recompute......
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Recompute......                                 (100.0 %)
Machine testmode: True                          (100.0 %)
Write elmer input files to: /tmp/FEM_unittests/solver_elmer_ccxcantilever_prescribeddisplacement_0_mm_9d274061d4bb
The FreeCAD standard unit schema mm/kg/s is used. Elmer sif-file writing is done in Standard FreeCAD units.
Exception in thread Thread-221 (protector):
Traceback (most recent call last):
  File "/usr/lib/python3.10/threading.py", line 1009, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.10/threading.py", line 946, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/task.py", line 118, in protector
    self.run()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/tasks.py", line 87, in run
    w.write_solver_input()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 93, in write_solver_input
    self._writeSif()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/writer.py", line 912, in _writeSif
    sif.write(fstream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 219, in write
    writeSections(self.sections, stream)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 101, in writeSections
    _Writer(ids, sections, stream).write()
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 293, in write
    self._writeSection(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 298, in _writeSection
    self._writeSectionBody(s)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 314, in _writeSectionBody
    self._writeAttribute(key, s[key])
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 323, in _writeAttribute
    elif self._isCollection(data):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femsolver/elmer/sifio.py", line 342, in _isCollection
    and isinstance(data, collections.Iterable)
AttributeError: module 'collections' has no attribute 'Iterable'

FAIL
test_00print (femtest.app.test_solver_z88.TestSolverZ88) ...



ERROR: test_box_static_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 147, in test_box_static_0_mm
    ret = testtools.compare_files(startinfo_given, startinfo_totest)
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/support_utils.py", line 237, in compare_files
    file2 = open(file_name2, "r")
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/FEM_unittests/solver_elmer_box_static_0_mm_bfc33fba65f5/ELMERSOLVER_STARTINFO'

======================================================================
FAIL: test_ccxcantilever_faceload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 172, in test_ccxcantilever_faceload_0_mm
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_0_mm_69f8f903caed/case.sif failed!\n--- \n+++ \n@@ -7,82 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Face2"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_faceload_0_mm test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_0_mm_69f8f903caed/case.sif failed!


FAIL: test_ccxcantilever_faceload_1_si (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 189, in test_ccxcantilever_faceload_1_si
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_1_si.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_1_si_f8d05c4d75b6/case.sif failed!\n--- \n+++ \n@@ -7,84 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate Scaling = Real 0.001\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Coordinate Scaling Revert = Logical True\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Face2"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_faceload_1_si test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_faceload_1_si.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_faceload_1_si_f8d05c4d75b6/case.sif failed!
---
+++
@@ -7,84 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate Scaling = Real 0.001
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Coordinate Scaling Revert = Logical True
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Face2"
-End
-
+Solver 1

======================================================================
FAIL: test_ccxcantilever_nodeload_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 199, in test_ccxcantilever_nodeload_0_mm
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_nodeload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_nodeload_0_mm_bc29241c32a2/case.sif failed!\n--- \n+++ \n@@ -7,112 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex5"\n-End\n-\n-Boundary Condition 3\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex6"\n-End\n-\n-Boundary Condition 4\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex7"\n-End\n-\n-Boundary Condition 5\n-  Force 1 = Real -0.0\n-  Force 1 Normalize by Area = Logical True\n-  Force 2 = Real -0.0\n-  Force 2 Normalize by Area = Logical True\n-  Force 3 = Real -9000000000.0\n-  Force 3 Normalize by Area = Logical True\n-  Name = String "Vertex8"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_nodeload_0_mm test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_nodeload_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_nodeload_0_mm_bc29241c32a2/case.sif failed!
---
+++
@@ -7,112 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex5"
-End
-
-Boundary Condition 3
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex6"
-End
-
-Boundary Condition 4
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex7"
-End
-
-Boundary Condition 5
-  Force 1 = Real -0.0
-  Force 1 Normalize by Area = Logical True
-  Force 2 = Real -0.0
-  Force 2 Normalize by Area = Logical True
-  Force 3 = Real -9000000000.0
-  Force 3 Normalize by Area = Logical True
-  Name = String "Vertex8"
-End
-
+Solver 1

======================================================================
FAIL: test_ccxcantilever_prescribeddisplacement_0_mm (femtest.app.test_solver_elmer.TestSolverElmer)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 209, in test_ccxcantilever_prescribeddisplacement_0_mm
    self.input_file_writing_test(get_namefromdef("test_"))
  File "/tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/app/test_solver_elmer.py", line 248, in input_file_writing_test
    self.assertFalse(
AssertionError: 'Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_prescribeddisplacement_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_prescribeddisplacement_0_mm_9d274061d4bb/case.sif failed!\n--- \n+++ \n@@ -7,77 +7 @@\n-Solver 1\n-  Bubbles = Logical False\n-  Calculate Pangle = Logical False\n-  Calculate Principal = Logical False\n-  Calculate Strains = Logical False\n-  Calculate Stresses = Logical False\n-  Displace mesh = Logical False\n-  Eigen Analysis = Logical False\n-  Eigen System Values = Integer 5\n-  Equation = String "Elasticity"\n-  Exec Solver = String "Always"\n-  Linear System Abort Not Converged = Logical False\n-  Linear System Convergence Tolerance = Real 1e-08\n-  Linear System Iterative Method = String "BiCGStab"\n-  Linear System Max Iterations = Integer 500\n-  Linear System Precondition Recompute = Integer 1\n-  Linear System Preconditioning = String "ILU0"\n-  Linear System Residual Output = Integer 1\n-  Linear System Solver = String "Iterative"\n-  Optimize Bandwidth = Logical True\n-  Procedure = File "StressSolve" "StressSolver"\n-  Stabilize = Logical True\n-  Steady State Convergence Tolerance = Real 1e-05\n-  Variable = String "Displacement"\n-  Variable DOFs = Integer 3\n-End\n-\n-Simulation \n-  BDF Order = Integer 1\n-  Coordinate Mapping(3) = Integer 1 2 3\n-  Coordinate System = String "Cartesian 3D"\n-  Output Intervals = Integer 1\n-  Simulation Type = String "Steady state"\n-  Steady State Max Iterations = Integer 1\n-  Steady State Min Iterations = Integer 0\n-  Timestepping Method = String "BDF"\n-  Use Mesh Names = Logical True\n-End\n-\n-Constants \n-End\n-\n-Body 1\n-  Equation = Integer 1\n-  Material = Integer 1\n-  Name = String "Solid1"\n-End\n-\n-Material 1\n-  Poisson ratio = Real 0.3\n-  Youngs Modulus = Real 210000000.0\n-End\n-\n-Equation 1\n-  Active Solvers(2) = Integer 1 2\n-End\n-\n-Solver 2\n-  Equation = String "ResultOutput"\n-  Exec Solver = String "After simulation"\n-  Output File Name = File "case"\n-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"\n-  Vtu Format = Logical True\n-End\n-\n-Boundary Condition 1\n-  Displacement 1 = Real 0.0\n-  Displacement 2 = Real 0.0\n-  Displacement 3 = Real 0.0\n-  Name = String "Face1"\n-End\n-\n-Boundary Condition 2\n-  Displacement 3 = Real -0.25\n-  Name = String "Face2"\n-End\n-\n+Solver 1' is not false : Elmer write_inp_file for ccxcantilever_prescribeddisplacement_0_mm test failed.
Comparing /tmp/trizen-c0rn3j/freecad-git/src/FreeCAD/build_dir/Mod/Fem/femtest/data/elmer/ccxcantilever_prescribeddisplacement_0_mm.sif to /tmp/FEM_unittests/solver_elmer_ccxcantilever_prescribeddisplacement_0_mm_9d274061d4bb/case.sif failed!
---
+++
@@ -7,77 +7 @@
-Solver 1
-  Bubbles = Logical False
-  Calculate Pangle = Logical False
-  Calculate Principal = Logical False
-  Calculate Strains = Logical False
-  Calculate Stresses = Logical False
-  Displace mesh = Logical False
-  Eigen Analysis = Logical False
-  Eigen System Values = Integer 5
-  Equation = String "Elasticity"
-  Exec Solver = String "Always"
-  Linear System Abort Not Converged = Logical False
-  Linear System Convergence Tolerance = Real 1e-08
-  Linear System Iterative Method = String "BiCGStab"
-  Linear System Max Iterations = Integer 500
-  Linear System Precondition Recompute = Integer 1
-  Linear System Preconditioning = String "ILU0"
-  Linear System Residual Output = Integer 1
-  Linear System Solver = String "Iterative"
-  Optimize Bandwidth = Logical True
-  Procedure = File "StressSolve" "StressSolver"
-  Stabilize = Logical True
-  Steady State Convergence Tolerance = Real 1e-05
-  Variable = String "Displacement"
-  Variable DOFs = Integer 3
-End
-
-Simulation
-  BDF Order = Integer 1
-  Coordinate Mapping(3) = Integer 1 2 3
-  Coordinate System = String "Cartesian 3D"
-  Output Intervals = Integer 1
-  Simulation Type = String "Steady state"
-  Steady State Max Iterations = Integer 1
-  Steady State Min Iterations = Integer 0
-  Timestepping Method = String "BDF"
-  Use Mesh Names = Logical True
-End
-
-Constants
-End
-
-Body 1
-  Equation = Integer 1
-  Material = Integer 1
-  Name = String "Solid1"
-End
-
-Material 1
-  Poisson ratio = Real 0.3
-  Youngs Modulus = Real 210000000.0
-End
-
-Equation 1
-  Active Solvers(2) = Integer 1 2
-End
-
-Solver 2
-  Equation = String "ResultOutput"
-  Exec Solver = String "After simulation"
-  Output File Name = File "case"
-  Procedure = File "ResultOutputSolve" "ResultOutputSolver"
-  Vtu Format = Logical True
-End
-
-Boundary Condition 1
-  Displacement 1 = Real 0.0
-  Displacement 2 = Real 0.0
-  Displacement 3 = Real 0.0
-  Name = String "Face1"
-End
-
-Boundary Condition 2
-  Displacement 3 = Real -0.25
-  Name = String "Face2"
-End
-
+Solver 1

----------------------------------------------------------------------
Ran 588 tests in 35.796s

FAILED (failures=4, errors=1)
==> ERROR: A failure occurred in check().       (100.0 %)
    Aborting...
:: Unable to build freecad-git - makepkg exited with code: 4

Kunda1

2022-01-23 19:26

administrator   ~0016264

Looks like for 'import collections' issue the solution is to make a exception for python 3.10 since 'collections.iterable' is deprecated in favor of 'collections.abc.iterable'
ref: https://stackoverflow.com/a/69882451

How do we add that to https://github.com/FreeCAD/FreeCAD/blob/5d49bf78de785a536f941f1a6d06d432582a95d3/src/Mod/Fem/femsolver/elmer/sifio.py#L342 ?

jnxd

2022-01-24 04:00

developer   ~0016265

@Kunda1 Unfortunately I am suffering from this as well with my Manjaro Build. I will update on the forum in case I find something interesting.

jnxd

2022-01-24 04:48

developer   ~0016266

Are we sure this is pivy and not pyside or shiboken? I had trouble compiling after python updated to 3.10, and the compilation errors were related to shiboken.

Issue History

Date Modified Username Field Change
2022-01-11 09:47 C0rn3j New Issue
2022-01-11 09:47 C0rn3j File Added: freecad_build.log
2022-01-11 19:03 adrianinsaval Note Added: 0016200
2022-01-17 16:47 openBrain Tag Attached: #post-to-forum
2022-01-17 16:47 openBrain Status new => feedback
2022-01-17 16:47 openBrain Note Added: 0016219
2022-01-17 17:21 adrianinsaval Note Added: 0016222
2022-01-23 19:07 Kunda1 Note Added: 0016263
2022-01-23 19:26 Kunda1 Note Added: 0016264
2022-01-23 19:47 Kunda1 Summary Build test error - test_box_static_0_mm => Building with python 3.10 on Arch/Manjaro fails in tests
2022-01-24 04:00 jnxd Note Added: 0016265
2022-01-24 04:48 jnxd Note Added: 0016266